import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

/**
 * @description: BaseTeacher分页参数 模型
 */
export interface BaseTeacherPageParams extends BasicPageParams {
  enName: string;
}

/**
 * @description: BaseTeacher分页返回值模型
 */
export interface BaseTeacherPageModel {
  id: string;

  enName: string;
}

/**
 * @description: BaseTeacher表类型
 */
export interface BaseTeacherModel {
  id: number;

  createUserId: number;

  createDate: string;

  modifyUserId: number;

  modifyDate: string;

  deleteMark: number;

  enabledMark: number;

  userId: number;

  asName: string;

  enName: string;

  pyName: string;

  formerName: string;

  jobState: string;

  credentialType: string;

  credentialNumber: string;

  dayOfBirth: string;

  birthType: string;

  nation: string;

  bloodType: string;

  health: string;

  maritalState: string;

  politicalState: string;

  nationality: string;

  chineseType: string;

  houseHoldType: string;

  provinces: number;

  city: number;

  district: number;

  houseHoldAddress: string;

  startWorkTime: string;

  joinTime: string;

  isOrganized: number;

  employType: string;

  employWay: string;

  baseTeacherContactList?: BaseTeacherContactModel;
}

/**
 * @description: BaseTeacherContact表类型
 */
export interface BaseTeacherContactModel {
  id: number;

  createUserId: number;

  createDate: string;

  modifyUserId: number;

  modifyDate: string;

  deleteMark: number;

  enabledMark: number;

  teacherId: number;

  officeTel: string;

  officeAddress: string;

  address: string;

  qqMsn: string;

  wechat: string;

  microblog: string;

  zipCode: string;
}

/**
 * @description: BaseTeacher分页返回值结构
 */
export type BaseTeacherPageResult = BasicFetchResult<BaseTeacherPageModel>;