import { defHttp } from '/@/utils/http/axios';
import { ErrorMessageMode, UploadFileParams } from '/#/axios';
import { getTableConfig } from './modal/classTable';
enum Api {
  GETCLASSTABLE = '/coursetable/class',
  UPDATE = '/coursetable/wordimport',
}

//获取班级课表
export async function getClassTable(params: getTableConfig, mode: ErrorMessageMode = 'modal') {
  return defHttp.get<any>(
    {
      url: Api.GETCLASSTABLE,
      params,
    },
    {
      errorMessageMode: mode,
    },
  );
}
export async function inputClassTable(file: UploadFileParams, mode: ErrorMessageMode = 'none') {
  return defHttp.post<boolean>(
    {
      url: Api.UPDATE,
      params: file,
      headers: { 'Content-Type': 'multipart/form-data' },
    },
    {
      errorMessageMode: mode,
    },
  );
}
