import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

export interface CategoryPageListParams {
  typeName?: string; //物料类别
  createDate?: string; //创建时间
}

export interface CategoryAddParamsModel {
  typeName: string; //物料类别
  state: number; //状态 0-关闭 1-开启
  remark: string; //备注
}

export interface CategoryUpdateParamsModel {
  id: string; //详情id
  typeName: string; //物料类别
  state: number; //状态 0-关闭 1-开启
  remark: string; //备注
}

export interface CategoryListModel {
  id: string; //详情id
  typeName: string; //物料类别
  createUserName: string; //创建人
  createDate: string; //创建时间
  state: number; //状态 0-关闭 1-开启
  remark: string; //备注
}

export type CategoryPageListSearchModel = BasicPageParams & CategoryPageListParams;
export type CategoryPageListResultModel = BasicFetchResult<CategoryListModel>;
