import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

export interface PropertyPageListParams {
  propertyName?: string; //物料属性
  createDate?: string; //创建时间
}

export interface PropertyAddParamsModel {
  propertyName: string; //物料属性
  state: number; //状态 0-关闭 1-开启
  remark: string; //备注
}

export interface PropertyUpdateParamsModel {
  id: string; //详情id
  propertyName: string; //物料属性
  state: number; //状态 0-关闭 1-开启
  remark: string; //备注
}

export interface PropertyListModel {
  id: string; //详情id
  propertyName: string; //物料属性
  createUserName: string; //创建人
  createDate: string; //创建时间
  state: number; //状态 0-关闭 1-开启
  remark: string; //备注
}

export type PropertyPageListSearchModel = BasicPageParams & PropertyPageListParams;
export type PropertyPageListResultModel = BasicFetchResult<PropertyListModel>;
