import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

export interface ManagementPageListParams {
  keyword?: string; //关键字
}

export interface ManagementAddParamsModel {
  name: string; //单据名称
  code: string; //单据编号
  type: number; //单据类型
  relationKeyId: string; //关联单据
  personIds: string; //经手人员
  remark: string; //备注
}

export interface ManagementUpdateParamsModel {
  id: string; //详情id
  name: string; //单据名称
  code: string; //单据编号
  type: number; //单据类型
  relationKeyId: string; //关联单据
  personIds: string; //经手人员
  remark: string; //备注
}

export interface ManagementPageListModel {
  id: string; //详情id
  name: string; //单据名称
  code: string; //单据编号
  type: string; //单据类型
  createDate: string; //时间
  personNames: string; //经手人员
  remark: string; //备注
}

export type ManagementPageListSearchModel = BasicPageParams & ManagementPageListParams;
export type ManagementPageListResultModel = BasicFetchResult<ManagementPageListModel>;
