import { defHttp } from '/@/utils/http/axios';

import { ErrorMessageMode } from '/#/axios';
import { BasicOptionModel } from '/@/api/model/baseModel';

enum Api {
  AREAOPITON = '/magic-api/baseData/area/option',
  MAJOROPITON = '/magic-api/major/major/option',
  SUBJECTOPITON = '/magic-api/educational/subject/option',
  GRADEOPITON = '/magic-api/baseData/grade/option',
  MajorSetOption = '/magic-api/major/majorset/option',
  ClassOption = '/magic-api/educational/class/option'
}
//获取省市区
export const getAreaOption = (params: { parent_id: number }, mode: ErrorMessageMode = 'modal') => {
  return defHttp.get<BasicOptionModel>(
    {
      url: Api.AREAOPITON,
      params,
    },
    {
      errorMessageMode: mode,
    },
  );
};
//获取专业
export const getMajorOption = (mode: ErrorMessageMode = 'modal') => {
  return defHttp.get<BasicOptionModel>(
    {
      url: Api.MAJOROPITON,
    },
    {
      errorMessageMode: mode,
    },
  );
};
//获取学科
export const getSubjectOption = (mode: ErrorMessageMode = 'modal') => {
  return defHttp.get<BasicOptionModel>(
    {
      url: Api.SUBJECTOPITON,
    },
    {
      errorMessageMode: mode,
    },
  );
};
//获取年级
export const getGradeOption = (mode: ErrorMessageMode = 'modal') => {
  return defHttp.get<BasicOptionModel>(
    {
      url: Api.GRADEOPITON,
    },
    {
      errorMessageMode: mode,
    },
  );
};
//获取专业方向
export const getMajorSetOption = (mode: ErrorMessageMode = 'modal') => {
  return defHttp.get<BasicOptionModel[]>(
    {
      url: Api.MajorSetOption,
    },
    {
      errorMessageMode: mode,
    },
  );
};
// 获取班级
export const getClassOption = (mode: ErrorMessageMode = 'modal') => {
  return defHttp.get<BasicOptionModel[]>(
    {
      url: Api.ClassOption,
    },
    {
      errorMessageMode: mode,
    },
  );
};
