import { BasicColumn, FormSchema } from '/@/components/Table';
export const type = {
  0: '菜单',
  1: '目录',
};
export const TableColumns: BasicColumn[] = [
  {
    title: '规则名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '绑定楼栋',
    dataIndex: 'buildNames',
    align: 'left',
  },
  {
    title: '门牌号',
    dataIndex: 'houseNumber',
    width: 120,
  },
  {
    title: '操作',
    dataIndex: 'action',
    width: 200,
    slots: { customRender: 'action' },
  },
];
export const Eumns = {
  name: '公文名称',
  remark: '发文说明',
  number: '发文字号',
  orgName: '发文部门',
  institution: '发文单位意见',
  backOpinion: '会办单位意见',
  dateOfIssue: '印发日期',
  urgency: '紧急程度',
  confidentialityPeriod: '保密期限',
  tags: '主题词',
  printNumber: '打印份数',
};
export const formSchema: FormSchema[] = [
  {
    label: 'id',
    field: 'id',
    component: 'Input',
    show: false,
  },
  {
    label: '规则名称',
    field: 'name',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    label: '规则配置',
    field: 'rule',
    component: 'Input',
    required: true,
    slot: 'postRoomRoomRule',
    colProps: { span: 24 },
  },
];

export const bindModelSchema: FormSchema[] = [
  {
    label: '楼栋选择',
    field: 'buildIds',
    component: 'Input',
    slot: 'postRoomRuleBindBuilds',
    colProps: { span: 24 },
  },
];
