import { requestMagicApi } from '/@/api/magicApi';
import { BasicColumn, FormSchema } from '/@/components/Table';
export const columns: BasicColumn[] = [
  {
    title: '查寝时间',
    dataIndex: 'checkRecordTime',
  },
  {
    title: '班级名称',
    dataIndex: 'classIdCN',
  },
  {
    title: '寝室情况',
    dataIndex: 'record',
  },
  {
    title: '填写人',
    dataIndex: 'userIdCN',
  },
  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
  },
];

export const showConfig = {
  classIdCN: '查寝班级',
  checkRecordTime: '查寝时间',
  remark: '备注',
};

export const searchFormSchema: FormSchema[] = [
  {
    field: 'checkRecordTimeStart',
    label: '查寝开始时间',
    component: 'DatePicker',
    componentProps: {
      showTime: false,
      format: 'YYYY-MM-DD',
      valueFormat: 'YYYY-MM-DD',
    },
    colProps: { span: 8 },
  },
  {
    field: 'checkRecordTimeEnd',
    label: '查寝结束时间',
    component: 'DatePicker',
    componentProps: {
      showTime: false,
      format: 'YYYY-MM-DD',
      valueFormat: 'YYYY-MM-DD',
    },
    colProps: { span: 8 },
  },
  {
    field: 'classId',
    label: '班级名称',
    component: 'ApiSelect',
    componentProps: {
      api: requestMagicApi,
      params: { url: 'educational/class/option' },
    },
    colProps: { span: 8 },
  },
];
