import { BasicColumn, FormSchema } from '/@/components/Table';
import { requestMagicApi } from '/@/api/magicApi';

export const listColumns: BasicColumn[] = [
  {
    title: '学号',
    dataIndex: 'studentId',
  },
  {
    title: '领取人姓名',
    dataIndex: 'name',
  },
  {
    title: '发放状态',
    dataIndex: 'releaseStatus',
    customRender: ({ record }) => {
      const { releaseStatus } = record;
      return releaseStatus === 1 ? '已发放' : '未发放';
    },
  },
  {
    title: '班级名称',
    dataIndex: 'className',
  },

  {
    title: '在读专业',
    dataIndex: 'majorName',
  },
  {
    title: '性别',
    dataIndex: 'genderName',
    customRender: ({ text }) => {
      return text === '1' ? '男' : '女';
    },
  },
  {
    title: '招生类型',
    dataIndex: 'enrollTypeCn',
  },
  {
    title: '收款银行',
    dataIndex: 'bankTypeCn',
  },
  {
    title: '银行卡号',
    dataIndex: 'bankNo',
  },
  {
    title: '获奖日期',
    dataIndex: 'awardDate',
  },
];
export const scholarshipList: BasicColumn[] = [
  {
    title: '奖学金名称',
    dataIndex: 'name',
  },
  {
    title: '上报金额（元）',
    dataIndex: 'reportAmount',
  },
  {
    title: '发放金额（元）',
    dataIndex: 'grantAmount',
  },
  {
    title: '人数（人）',
    dataIndex: 'applicantUserCount',
  },
];
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '学生姓名',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'semesterId',
    label: '发放学期',
    component: 'ApiSelect',
    componentProps: {
      getPopupContainer: () => document.body,
      api: requestMagicApi,
      params: { url: 'baseData/semester/option' },
    },
    colProps: { span: 8 },
  },
  {
    field: 'scholarshipSource',
    label: '奖学金来源',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'scholarshipLevel',
    label: '奖学金等级',
    component: 'Input',
    colProps: { span: 8 },
  },
];
