import { BasicColumn, FormSchema } from '/@/components/Table';
import { h } from 'vue';
export const type = {
  0: '菜单',
  1: '目录',
};
export const TableColumns: BasicColumn[] = [
  {
    title: '姓名',
    dataIndex: 'userName',
  },
  {
    title: '工号',
    dataIndex: 'OA',
  },
  {
    title: '打卡时间',
    dataIndex: 'checkTime',
  },
  {
    title: '打卡地点',
    dataIndex: 'address',
  },
  {
    title: '所属部门',
    dataIndex: 'deptName',
  },
  {
    title: '状态',
    dataIndex: 'status',
    customRender: ({ text }) => {
      switch (text) {
        case 1:
          return h('span', { style: { color: 'green' } }, '正常');
        case 2:
          return h('span', { style: { color: 'red' } }, '迟到');
      }
    },
  },
];
export const Eumns = {
  name: '公文名称',
  remark: '发文说明',
  number: '发文字号',
  orgName: '发文部门',
  institution: '发文单位意见',
  backOpinion: '会办单位意见',
  dateOfIssue: '印发日期',
  urgency: '紧急程度',
  confidentialityPeriod: '保密期限',
  tags: '主题词',
  printNumber: '打印份数',
};
export const formSchema: FormSchema[] = [
  {
    label: '姓名',
    field: 'userName',
    component: 'Input',
    slot: 'userName',
  },
  {
    label: '开始时间',
    field: 'checkTimeStart',
    component: 'Input',
    slot: 'startTime',
  },
  {
    label: '结束时间',
    field: 'checkTimeEnd',
    component: 'Input',
    slot: 'endTime',
  },
];
