import { BasicColumn } from '/@/components/Table';

export const status = {
  0: '否',
  1: '是',
};
export const TableColumns: BasicColumn[] = [
  {
    title: '处分学期',
    dataIndex: 'baseSemesterName',
  },
  {
    title: '处分类型',
    dataIndex: 'punishmentType',
  },
  {
    title: '处分开始日期',
    dataIndex: 'startTime',
  },
  {
    title: '处分结束日期',
    dataIndex: 'endTime',
  },
  {
    title: '是否公示',
    dataIndex: 'isPublicity',
    customRender: ({ text }) => {
      return status[text];
    },
  },
  {
    title: '处分原因',
    dataIndex: 'reason',
  },
  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
  },
];

export const enum showConfig {
  reason = '考核原因',
  assessmentDate = '考核日期',
  assessmentUserName = '考核人',
  createUserName = '登记人',
  modifyUserName = '最后修改人',
  scoreType = '考核类型',
  score = '加扣分',
}

export const viewColumns: BasicColumn[] = [
  {
    title: '学号',
    dataIndex: 'studentId',
  },
  {
    title: '所在班级',
    dataIndex: 'className',
  },
  {
    title: '性别',
    dataIndex: 'genderCn',
  },
  {
    title: '所学专业',
    dataIndex: 'major',
  },
  {
    title: '姓名',
    dataIndex: 'name',
  },
  {
    title: '民族',
    dataIndex: 'nation',
  },
];

export const enum viewShowConfig {
  endTime = '处分结束日期',
  isPublicity = '是否公示(1:是 0:否)',
  punishmentType = '处分类型',
  pushMessageObject = '发送处分(1:班主任 2:学生 3:家长)',
  reason = '处分原因',
  semesterName = '处分学期',
  startTime = '处分开始日期',
}
