// import { BasicOptionModel } from '/@/api/model/baseModel';
import { FormSchema } from '/@/components/Form';
import { BasicColumn } from '/@/components/Table';
import { getDataOption } from '/@/api/system/dic';
export const type = {
  0: '菜单',
  1: '目录',
};
export const sexOptions = [
  {
    label: '男',
    value: 1,
  },
  {
    label: '女',
    value: 0,
  },
];
export const TableColumns: BasicColumn[] = [
  {
    title: '工号',
    dataIndex: 'userName',
  },
  {
    title: '姓名',
    dataIndex: 'name',
  },
  {
    title: '性别',
    format: 'int32',
    dataIndex: 'gender',
    customRender: ({ text }) => {
      switch (text) {
        case '1':
          return '男';
        case '2':
          return '女';
        case '-1':
          return '保密;';
      }
    },
  },
  {
    title: '入职时间',
    dataIndex: 'startWorkTime',
  },
  {
    title: '在职状态',
    dataIndex: 'jobstate',
  },
  {
    title: '人员类别',
    dataIndex: 'natureOrganization',
  },
  {
    title: '任职部门',
    dataIndex: 'departName',
  },
  {
    title: '工作岗位',
    dataIndex: 'job',
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '姓名',
    component: 'Input',
    colProps: { span: 6 },
  },
  {
    field: 'userName',
    label: '工号',
    component: 'Input',
    colProps: { span: 6 },
  },
  {
    field: 'gender',
    label: '性别',
    component: 'ApiSelect',
    componentProps: {
      getPopupContainer: () => document.body,
      api: getDataOption,
      params: { code: 'gender' },
    },
    colProps: { span: 6 },
  },
  {
    label: '人员类别',
    field: 'natureOrganization',
    component: 'ApiSelect',
    componentProps: {
      getPopupContainer: () => document.body,
      api: getDataOption,
    },
    colProps: { span: 6 },
  },
  {
    label: '在职状态',
    field: 'jobstate',
    component: 'ApiSelect',
    componentProps: {
      getPopupContainer: () => document.body,
      api: getDataOption,
      params: { code: 'job_state' },
    },
    colProps: { span: 6 },
  },

  {
    field: '[startWorkTime,endWorkTime]',
    label: '入职时间',
    component: 'RangePicker',
    componentProps: {
      getPopupContainer: () => document.body,
      Format: 'YYYY-MM-DD',
      placeholder: ['开始时间', '结束时间'],
      // showTime: true,
    },
    colProps: { span: 12 },
  },
  {
    label: '工作岗位',
    field: 'job',
    component: 'Input',
    colProps: { span: 6 },
  },
];
