import { BasicColumn, FormSchema } from '/@/components/Table';

export const type = {
  0: '菜单',
  1: '目录',
};
export const tableColumns: BasicColumn[] = [
  {
    title: '工资发放名称',
    dataIndex: 'name',
    align: 'left',
  },
  {
    title: '工资发放年月',
    dataIndex: 'dateOfIssue',
    width: 150,
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'name',
    label: '工资发放名称',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    field: 'dateOfIssue',
    label: '工资发放年月',
    component: 'DatePicker',
    componentProps: {
      picker: 'month',
      format: 'YYYY-MM',
      valueFormat: 'YYYY-MM',
    },
    required: true,
    colProps: { span: 24 },
  },
];
