import { BasicColumn, FormSchema } from '/@/components/Table';
import { getDataOption } from '/@/api/system/dic';

export const type = {
  0: '菜单',
  1: '目录',
};

export const status = {
  1: '是',
  0: '否',
};
export const TableColumns: BasicColumn[] = [
  
  {
    title: '原因',
    dataIndex: 'reason',
  },
  {
    title: '备注',
    dataIndex: 'remark',
  },
  

  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
  },
];
export const formSchema: FormSchema[] = [
  {
    label: 'id',
    field: 'id',
    show: false,
    component: 'Input',
  },
  {
    label: '学籍异动类别ID',
    field: 'schoolRollCategoryId',
    component: 'Input',
    show: false,
    colProps: { span: 24 },
  },
  {
    label: '原因',
    field: 'reason',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    label: '备注',
    field: 'remark',
    component: 'InputTextArea',
    required: false,
    colProps: { span: 24 },
  },
  
];

export const typeSchema: FormSchema[] = [
  {
    label: 'id',
    field: 'id',
    show: false,
    component: 'Input',
  },
  {
    label: '类型名称',
    field: 'name',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    label: '学籍异动类型',
    field: 'scholarshipSource',
    // 使用接口请求
    component: 'ApiSelect',
    componentProps:{
      // 把元素挂载到body上
      getPopupContainer: () => document.body,
      //  接口配置
      api:getDataOption,
      // 接口参数
      params:{
        code:'school_change_type'
      }
    },
    required: true,
    colProps: { span: 24 },
  },
  {
    label: '备注',
    field: 'remark',
    component: 'InputTextArea',
    colProps: { span: 24 },
  },
  

  ]
