import { FormProps, FormSchema } from '/@/components/Form';
import { BasicColumn } from '/@/components/Table';

export const searchFormSchema: FormSchema[] = [
  {
    field: 'userName',
    label: '身份证号',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'mobile',
    label: '手机号',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'name',
    label: '姓名',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'email',
    label: '邮箱',
    component: 'Input',
    colProps: { span: 8 },
  },
];

export const columns: BasicColumn[] = [
  {
    dataIndex: 'studentId',
    title: '学号',
    componentType: 'input',

    sorter: true,
  },

  {
    dataIndex: 'mobile',
    title: '手机号',
    componentType: 'input',

    sorter: true,
  },

  {
    dataIndex: 'name',
    title: '姓名',
    componentType: 'input',

    sorter: true,
  },

  {
    dataIndex: 'genderCn',
    title: '性别',
    sorter: true,
  },
];

export const formProps: FormProps = {
  labelCol: { offset: 0, span: 12 },
  labelAlign: 'right',
  layout: 'vertical',
  size: 'default',
  schemas: [
    {
      key: '4b3669525a0a4488b46a467f7cb40f42',
      field: '',
      label: '',
      type: 'card',
      colProps: { span: 24 },
      component: 'Card',
      children: [
        {
          span: 24,
          name: 'card',
          list: [
            {
              key: 'aa64854d0bb34032a176078164bc96ec',
              field: '',
              label: '',
              type: 'grid',
              colProps: { span: 24 },
              component: 'Grid',
              children: [
                {
                  span: 12,
                  list: [
                    {
                      key: '93a7888058ad402e8e9a2f2e48ed9ad5',
                      field: 'userName',
                      label: '工号',
                      type: 'input',
                      component: 'Input',
                      colProps: { span: 24 },
                      defaultValue: '',
                      componentProps: {
                        defaultValue: '',
                        prefix: '',
                        rules: [],
                        suffix: '',
                        addonAfter: '',
                        showLabel: true,
                        required: true,
                        width: '100%',
                        disabled: false,
                        placeholder: '请输入工号',
                        allowClear: false,
                        addonBefore: '',
                        events: {},
                        span: 7,
                        style: { width: '100%' },
                      },
                    },
                    {
                      key: 'f56a579e811c4a8c9abafd6308ccf2f9',
                      field: 'mobile',
                      label: '手机号',
                      type: 'input',
                      component: 'Input',
                      colProps: { span: 24 },
                      defaultValue: '',
                      componentProps: {
                        defaultValue: '',
                        prefix: '',
                        rules: [
                          {
                            pattern:
                              '/^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\\d{8}$/',
                            message: '请输入正确手机号',
                          },
                        ],
                        suffix: '',
                        addonAfter: '',
                        showLabel: true,
                        required: true,
                        width: '100%',
                        disabled: false,
                        placeholder: '请输入手机号',
                        allowClear: false,
                        addonBefore: '',
                        events: {},
                        span: 7,
                        style: { width: '100%' },
                      },
                    },
                  ],
                },
                {
                  span: 12,
                  list: [
                    {
                      key: '678d1bc2486a4018bc723f2663fdc9ae',
                      field: 'name',
                      label: '姓名',
                      type: 'input',
                      component: 'Input',
                      colProps: { span: 24 },
                      defaultValue: '',
                      componentProps: {
                        defaultValue: '',
                        prefix: '',
                        rules: [],
                        suffix: '',
                        addonAfter: '',
                        showLabel: true,
                        required: true,
                        width: '100%',
                        disabled: false,
                        placeholder: '请输入姓名',
                        allowClear: false,
                        addonBefore: '',
                        events: {},
                        span: 7,
                        style: { width: '100%' },
                      },
                    },
                    {
                      key: 'b726fc66cecb4c42a23e382f0c250adf',
                      field: 'email',
                      label: '邮箱',
                      type: 'input',
                      component: 'Input',
                      colProps: { span: 24 },
                      defaultValue: '',
                      componentProps: {
                        defaultValue: '',
                        prefix: '',
                        rules: [
                          {
                            pattern: '/^\\w+([-+.]\\w+)*@\\w+([-.]\\w+)*\\.\\w+([-.]\\w+)*$/',
                            message: '请输入正确的邮箱格式',
                          },
                        ],
                        suffix: '',
                        addonAfter: '',
                        showLabel: true,
                        required: true,
                        width: '100%',
                        disabled: false,
                        placeholder: '请输入邮箱',
                        allowClear: false,
                        addonBefore: '',
                        events: {},
                        span: 7,
                        style: { width: '100%' },
                      },
                    },
                  ],
                },
              ],
              componentProps: { align: 'top', gutter: 16, justify: 'start' },
            },
          ],
        },
      ],
      componentProps: { title: '教职工基本信息' },
    },
    {
      key: '4ab991a5234246ecb0fb6504fd3ad11b',
      label: '单表组件',
      field: 'baseTeacherList',
      type: 'one-for-one',
      component: 'OneForOne',
      colProps: { span: 24 },
      children: [],
      componentProps: {
        mainKey: 'baseTeacherList',
        childSchemas: [
          {
            key: '72152d27574e4e98a69213868615d456',
            field: '',
            label: '',
            type: 'grid',
            colProps: { span: 24 },
            component: 'Grid',
            children: [
              {
                span: 12,
                list: [
                  {
                    key: '524276f1281a4cdb84e77afec8c56053',
                    field: 'asName',
                    label: '别名',
                    type: 'input',
                    component: 'Input',
                    colProps: { span: 24 },
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      prefix: '',
                      rules: [],
                      suffix: '',
                      addonAfter: '',
                      showLabel: true,
                      required: false,
                      width: '100%',
                      disabled: false,
                      placeholder: '别名请输入',
                      allowClear: false,
                      addonBefore: '',
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'a022dda87cd44daeb9fbf7855f808bc0',
                    field: 'pyName',
                    label: '姓名拼音',
                    type: 'input',
                    component: 'Input',
                    colProps: { span: 24 },
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      prefix: '',
                      rules: [],
                      suffix: '',
                      addonAfter: '',
                      showLabel: true,
                      required: false,
                      width: '100%',
                      disabled: false,
                      placeholder: '姓名拼音请输入',
                      allowClear: false,
                      addonBefore: '',
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: '25be5941262d4492933b00dfc3bc494b',
                    field: 'credentialType',
                    label: '证件类型',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000006' },
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000006',
                      dicOptions: [],
                      showSearch: true,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: '02b2bbe61598411eba9cba09a114c043',
                    field: 'dayOfBirth',
                    label: '出生日期',
                    type: 'date',
                    component: 'DatePicker',
                    colProps: { span: 24 },
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      format: 'YYYY-MM-DD',
                      rules: [],
                      showLabel: true,
                      required: true,
                      width: '100%',
                      disabled: false,
                      placeholder: '请选择出生日期',
                      allowClear: true,
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'dc33e70900e74eff8b9b0ed70e053c0b',
                    field: 'nation',
                    label: '民族',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000008' },
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000008',
                      dicOptions: [],
                      showSearch: true,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '民族请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'c7ef5d180b9a4db3b9bb88449bd24261',
                    field: 'health',
                    label: '健康状况',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000010' },
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000010',
                      dicOptions: [],
                      showSearch: false,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '健康状况请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'f0e4616ab2b04ad3be50d160e877be74',
                    field: 'politicalState',
                    label: '政治面貌',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000012' },
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000012',
                      dicOptions: [],
                      showSearch: true,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '政治面貌请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'f6d02c84f08f45b8a682305f529af78d',
                    field: 'chineseType',
                    label: '港澳台侨外',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000014' },
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000014',
                      dicOptions: [],
                      showSearch: true,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'fd3521b497ea42cc82ec3138b53eb7d4',
                    field: 'provinces',
                    label: '省',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'label',
                      datasourceType: 'api',
                      dicOptions: [],
                      showSearch: false,
                      width: '100%',
                      apiConfig: {
                        method: 'GET',
                        script:
                          'var sql = """\r\nselect name as label,id as value from xjr_area\r\n\twhere 1 = 1\r\n\t<if test="parent_id != null">\r\n        and parent_id = #{parent_id}\r\n    </if>\r\n"""\r\nreturn db.select(sql)',
                        apiParams: [
                          {
                            tableInfo: [
                              {
                                dataType: 'String',
                                bindType: 'value',
                                required: false,
                                name: 'parent_id',
                                value: '0',
                              },
                            ],
                            title: 'Query Params',
                            key: '1',
                          },
                          { tableInfo: [], title: 'Header', key: '2' },
                          { title: 'Body', key: '3' },
                        ],
                        path: 'baseData/area/option',
                        apiId: '26d2446aff824d118485b0a1b87c4956',
                      },
                      disabled: false,
                      placeholder: '省请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'ab9825c9faea472d8bd14aae857add26',
                    field: 'district',
                    label: '区',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'label',
                      datasourceType: 'api',
                      dicOptions: [],
                      showSearch: false,
                      width: '100%',
                      apiConfig: {
                        method: 'GET',
                        script:
                          'var sql = """\r\nselect name as label,id as value from xjr_area\r\n\twhere 1 = 1\r\n\t<if test="parent_id != null">\r\n        and parent_id = #{parent_id}\r\n    </if>\r\n"""\r\nreturn db.select(sql)',
                        apiParams: [
                          {
                            tableInfo: [
                              {
                                dataType: 'String',
                                bindType: 'data',
                                required: false,
                                name: 'parent_id',
                                value: 'city',
                              },
                            ],
                            title: 'Query Params',
                            key: '1',
                          },
                          { tableInfo: [], title: 'Header', key: '2' },
                          { title: 'Body', key: '3' },
                        ],
                        path: 'baseData/area/option',
                        apiId: '26d2446aff824d118485b0a1b87c4956',
                      },
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'e1a0215b6d42470b886707495b9c1ac5',
                    field: 'startWorkTime',
                    label: '参加工作时间',
                    type: 'date',
                    component: 'DatePicker',
                    colProps: { span: 24 },
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      format: 'YYYY-MM',
                      rules: [],
                      showLabel: true,
                      required: false,
                      width: '100%',
                      disabled: false,
                      placeholder: '请选择参加工作时间',
                      allowClear: true,
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                ],
              },
              {
                span: 12,
                list: [
                  {
                    key: '8101d25174424ad3bf2a3d481496fc55',
                    field: 'enName',
                    label: '英文名',
                    type: 'input',
                    component: 'Input',
                    colProps: { span: 24 },
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      prefix: '',
                      rules: [],
                      suffix: '',
                      addonAfter: '',
                      showLabel: true,
                      required: false,
                      width: '100%',
                      disabled: false,
                      placeholder: '英文名请输入',
                      allowClear: false,
                      addonBefore: '',
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: '6fca0d9fd4924cec98c6dfbe91dd3c56',
                    field: 'jobState',
                    label: '在职状态',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000005' },
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000005',
                      dicOptions: [],
                      showSearch: true,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: '4c808e09d59a40c790174e3362388a48',
                    field: 'credentialNumber',
                    label: '证件号码',
                    type: 'input',
                    component: 'Input',
                    colProps: { span: 24 },
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      prefix: '',
                      rules: [{ pattern: '/^[0-9]*$/', message: '请输入数字' }],
                      suffix: '',
                      addonAfter: '',
                      showLabel: true,
                      required: true,
                      width: '100%',
                      disabled: false,
                      placeholder: '请输入证件号码',
                      allowClear: false,
                      addonBefore: '',
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'd1381645471e4b96b59c300b47202af1',
                    field: 'birthType',
                    label: '生日类型',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000007' },
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000007',
                      dicOptions: [],
                      showSearch: true,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'f5a7306c5a4a4867944925678f32fc27',
                    field: 'bloodType',
                    label: '血型',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000009' },
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000009',
                      dicOptions: [],
                      showSearch: false,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '血型请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: '148d42dfe1374642a6097bbb9179e1f4',
                    field: 'maritalState',
                    label: '婚姻状况',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000011' },
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000011',
                      dicOptions: [],
                      showSearch: false,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: '5289710eb23a488e83735d472fd9f043',
                    field: 'nationality',
                    label: '国籍地区',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000013' },
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000013',
                      dicOptions: [],
                      showSearch: true,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '国籍地区请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'bb1c92ee3644431a8ae00583e3ed7db6',
                    field: 'houseHoldType',
                    label: '户籍类别',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000015' },
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000015',
                      dicOptions: [],
                      showSearch: true,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'ed8317b4949345558ff90bd8ff0a5662',
                    field: 'city',
                    label: '市',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'label',
                      datasourceType: 'api',
                      dicOptions: [],
                      showSearch: false,
                      width: '100%',
                      apiConfig: {
                        method: 'GET',
                        script:
                          'var sql = """\r\nselect name as label,id as value from xjr_area\r\n\twhere 1 = 1\r\n\t<if test="parent_id != null">\r\n        and parent_id = #{parent_id}\r\n    </if>\r\n"""\r\nreturn db.select(sql)',
                        apiParams: [
                          {
                            tableInfo: [
                              {
                                dataType: 'String',
                                bindType: 'data',
                                required: false,
                                name: 'parent_id',
                                value: 'provinces',
                              },
                            ],
                            title: 'Query Params',
                            key: '1',
                          },
                          { tableInfo: [], title: 'Header', key: '2' },
                          { title: 'Body', key: '3' },
                        ],
                        path: 'baseData/area/option',
                        apiId: '26d2446aff824d118485b0a1b87c4956',
                      },
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: '3555307d457d42888dfadb39c1283451',
                    field: 'houseHoldAddress',
                    label: '户籍地址',
                    type: 'input',
                    component: 'Input',
                    colProps: { span: 24 },
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      prefix: '',
                      rules: [],
                      suffix: '',
                      addonAfter: '',
                      showLabel: true,
                      required: true,
                      width: '100%',
                      disabled: false,
                      placeholder: '请输入户籍地址',
                      allowClear: false,
                      addonBefore: '',
                      events: {},
                      span: 7,
                      style: { width: '100%' },
                    },
                  },
                ],
              },
            ],
            componentProps: { align: 'top', gutter: 16, justify: 'start' },
          },
        ],
        showLabel: false,
        showComponentBorder: false,
        showFormBorder: false,
        span: '24',
      },
    },
    {
      key: '310711ba5839419fb10e779250b70822',
      field: '',
      label: '',
      type: 'card',
      colProps: { span: 24 },
      component: 'Card',
      children: [
        {
          span: 24,
          name: 'card',
          list: [
            {
              key: '6b8d9d8f221741b9b74a85414b6ac771',
              label: '表格组件',
              field: 'baseTeacherFamilyMemberList',
              type: 'form',
              component: 'SubForm',
              required: true,
              colProps: { span: 24 },
              componentProps: {
                mainKey: 'baseTeacherFamilyMemberList',
                columns: [
                  {
                    key: '1e1087b131d34b22a5a59990adfd7b8e',
                    title: '与本人关系',
                    dataIndex: 'relationship',
                    componentType: 'XjrSelect',
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000023' },
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000023',
                      dicOptions: [],
                      showSearch: true,
                      prestrainField: 'relationship',
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: '',
                    },
                  },
                  {
                    key: 'bd02958c9b9c4c2aac3588912c324bc7',
                    title: '姓名',
                    dataIndex: 'name',
                    componentType: 'Input',
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      prefix: '',
                      rules: [],
                      suffix: '',
                      addonAfter: '',
                      showLabel: true,
                      required: true,
                      prestrainField: 'name',
                      width: '100%',
                      disabled: false,
                      placeholder: '请输入姓名',
                      allowClear: false,
                      addonBefore: '',
                      events: {},
                      span: '',
                    },
                  },
                  {
                    key: '48fdc2325df444e3ba7740c0f36f482a',
                    title: '性别',
                    dataIndex: 'gender',
                    componentType: 'XjrSelect',
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000004' },
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000004',
                      dicOptions: [],
                      showSearch: true,
                      prestrainField: 'gender',
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: '',
                    },
                  },
                  {
                    key: '73eeff58a8d44f6bbe2f5c225c956885',
                    title: '是否为监护人',
                    dataIndex: 'isGuardian',
                    componentType: 'ApiRadioGroup',
                    componentProps: {
                      defaultSelect: '1',
                      rules: [],
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'label',
                      optionType: 'default',
                      datasourceType: 'staticData',
                      dicOptions: [],
                      prestrainField: 'gender',
                      apiConfig: {},
                      disabled: false,
                      staticOptions: [
                        { label: '是', value: '1', key: 1 },
                        { label: '否', value: '0', key: 2 },
                      ],
                      events: {},
                      span: '',
                    },
                  },
                  {
                    key: '8cd1edf03ae441a4b4217c6338922c29',
                    title: '出生日期',
                    dataIndex: 'dayOfBirth',
                    componentType: 'DatePicker',
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      format: 'YYYY-MM-DD',
                      rules: [],
                      showLabel: true,
                      required: true,
                      prestrainField: 'gender',
                      width: '100%',
                      disabled: false,
                      placeholder: '请选择出生日期',
                      allowClear: true,
                      events: {},
                      span: '',
                    },
                  },
                  {
                    key: 'a1c9d3008fbb4247a86c9944723dba05',
                    title: '政治面貌',
                    dataIndex: 'politicalState',
                    componentType: 'XjrSelect',
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000012' },
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000012',
                      dicOptions: [],
                      showSearch: true,
                      prestrainField: 'political_state',
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: '',
                    },
                  },
                  {
                    key: 'af71990b0c90405392776615f82e9a5f',
                    title: '职业',
                    dataIndex: 'occupation',
                    componentType: 'Input',
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      prefix: '',
                      rules: [],
                      suffix: '',
                      addonAfter: '',
                      showLabel: true,
                      required: false,
                      prestrainField: 'occupation',
                      width: '100%',
                      disabled: false,
                      placeholder: '请输入职业',
                      allowClear: false,
                      addonBefore: '',
                      events: {},
                      span: '',
                    },
                  },
                  {
                    key: 'fb3e2b7a32f849a796e667d75c06f92f',
                    title: '工作单位',
                    dataIndex: 'workUnit',
                    componentType: 'Input',
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      prefix: '',
                      rules: [],
                      suffix: '',
                      addonAfter: '',
                      showLabel: true,
                      required: false,
                      prestrainField: 'occupation',
                      width: '100%',
                      disabled: false,
                      placeholder: '请输入工作单位',
                      allowClear: false,
                      addonBefore: '',
                      events: {},
                      span: '',
                    },
                  },
                  {
                    key: '2a9d84834ca34712bbde01f45e49ff49',
                    title: '联系电话',
                    dataIndex: 'mobile',
                    componentType: 'Input',
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      prefix: '',
                      rules: [],
                      suffix: '',
                      addonAfter: '',
                      showLabel: true,
                      required: false,
                      prestrainField: 'mobile',
                      width: '100%',
                      disabled: false,
                      placeholder: '请输入联系电话',
                      allowClear: false,
                      addonBefore: '',
                      events: {},
                      span: '',
                    },
                  },
                  { title: '操作', key: 'action', fixed: 'right', width: '50px' },
                ],
                buttonName: '选择数据',
                showIndex: false,
                useSelectButton: false,
                preloadType: 'api',
                showLabel: true,
                itemId: '',
                multipleHeads: [],
                dicOptions: [],
                showComponentBorder: true,
                apiConfig: {},
                showFormBorder: true,
                span: '24',
              },
            },
          ],
        },
      ],
      componentProps: { title: '教师家庭成员信息' },
    },
    {
      key: '61eadd1af30a4f57bf8a1dce6ff3f534',
      field: '',
      label: '',
      type: 'card',
      colProps: { span: 24 },
      component: 'Card',
      children: [
        {
          span: 24,
          name: 'card',
          list: [
            {
              key: '61a97c325b2940a68afdf7f0757a6392',
              label: '单表组件',
              field: 'baseTeacherFamilyList',
              type: 'one-for-one',
              component: 'OneForOne',
              colProps: { span: 24 },
              children: [],
              componentProps: {
                mainKey: 'baseTeacherFamilyList',
                childSchemas: [
                  {
                    key: 'a8fa6daba06948348770ef78b9226a3a',
                    field: '',
                    label: '',
                    type: 'grid',
                    colProps: { span: 24 },
                    component: 'Grid',
                    children: [
                      {
                        span: 12,
                        list: [
                          {
                            key: 'eb7ab7a6bd0e4797aa78194d56348c09',
                            field: 'zipCode',
                            label: '家庭邮编',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入家庭邮编',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 7,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: '2e66b76007824cde94ad15df98f85573',
                            field: 'contact',
                            label: '联系人姓名',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入联系人姓名',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 7,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: '3458e48f41ab461ba50cd1cd4eaf0009',
                            field: 'finance',
                            label: '家庭经济情况',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入家庭经济情况',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 7,
                              style: { width: '100%' },
                            },
                          },
                        ],
                      },
                      {
                        span: 12,
                        list: [
                          {
                            key: 'a33ce83064d2495a8ebc1d86b91d38e8',
                            field: 'telephone',
                            label: '家庭电话',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入家庭电话',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 7,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: 'eb268890edc946d094bdb7832148ac54',
                            field: 'population',
                            label: '家庭人口',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [{ pattern: '/^[0-9]*$/', message: '请输入数字' }],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入家庭人口',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 7,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: 'd39871511a4c4aa488dfdac38d624a1a',
                            field: 'address',
                            label: '家庭住址',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入家庭住址',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 7,
                              style: { width: '100%' },
                            },
                          },
                        ],
                      },
                    ],
                    componentProps: { align: 'top', gutter: 16, justify: 'start' },
                  },
                ],
                showLabel: false,
                showComponentBorder: false,
                showFormBorder: false,
                span: '24',
              },
            },
          ],
        },
      ],
      componentProps: { title: '教职工家庭基本信息' },
    },
    {
      key: '47f14e99d6244020b8c512fa1a55ae64',
      field: '',
      label: '',
      type: 'card',
      colProps: { span: 24 },
      component: 'Card',
      children: [
        {
          span: 24,
          name: 'card',
          list: [
            {
              key: '6155bb4c67ec4f75ae1115484f2cfa0a',
              label: '单表组件',
              field: 'baseTeacherRegularList',
              type: 'one-for-one',
              component: 'OneForOne',
              colProps: { span: 24 },
              children: [],
              componentProps: {
                mainKey: 'baseTeacherRegularList',
                childSchemas: [
                  {
                    key: '25dc7f9e2e6e41b9955235ac6ffa6ead',
                    field: 'certificateType',
                    label: '教师资格证种类',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000017' },
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000017',
                      dicOptions: [],
                      showSearch: false,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '教师资格证种类请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: '',
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: '40395aedb2f949b48d9563af7cf7a9a8',
                    field: 'belongOrg',
                    label: '所属系统',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000018' },
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000018',
                      dicOptions: [],
                      showSearch: false,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: '',
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'bc8b24b1fdaa408a9d77c075d9e40380',
                    field: 'mandarinLevel',
                    label: '普通话等级',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      params: { itemId: '2023000000000000019' },
                      valueField: 'value',
                      showLabel: true,
                      required: true,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000019',
                      dicOptions: [],
                      showSearch: true,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '普通话等级请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: '',
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: '93968248eea0417ea555fd6bcae3fad6',
                    field: 'startTeachTime',
                    label: '从教开始时间',
                    type: 'date',
                    component: 'DatePicker',
                    colProps: { span: 24 },
                    defaultValue: '',
                    componentProps: {
                      defaultValue: '',
                      format: 'YYYY-MM-DD',
                      rules: [],
                      showLabel: true,
                      required: false,
                      width: '100%',
                      disabled: false,
                      placeholder: '请选择从教开始时间',
                      allowClear: true,
                      events: {},
                      span: '',
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'f3bc97de3b7f42a79bab49702717d451',
                    field: 'teachingStatus',
                    label: '任课状况',
                    type: 'multiple-popup',
                    component: 'MultiplePopup',
                    colProps: { span: 24 },
                    defaultValue: '',
                    componentProps: {
                      popupType: 'multiple',
                      defaultValue: '',
                      defaultSelect: '',
                      rules: [],
                      valueField: 'value',
                      params: { itemId: '2023000000000000020' },
                      showLabel: true,
                      required: false,
                      labelField: 'name',
                      datasourceType: 'dic',
                      itemId: '2023000000000000020',
                      dicOptions: [],
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择任课状况',
                      events: {},
                      span: '',
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: '565a70ddba344aca8c2fa09ae18db7db',
                    field: 'isDoubleTeacher',
                    label: '任课专业',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: '',
                      rules: [],
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'label',
                      datasourceType: 'api',
                      dicOptions: [],
                      showSearch: false,
                      width: '100%',
                      apiConfig: {
                        method: 'GET',
                        script:
                          'return db.select("""\r\n    select name as label,id as value ,study_year as studyyear from base_major\r\n""");',
                        apiParams: [
                          { tableInfo: [], title: 'Query Params', key: '1' },
                          { tableInfo: [], title: 'Header', key: '2' },
                          { title: 'Body', key: '3' },
                        ],
                        path: 'major/major/option',
                        apiId: '10cddd2d338b4177b291604d28810fd4',
                      },
                      disabled: false,
                      placeholder: '任课专业请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: '',
                      style: { width: '100%' },
                    },
                  },
                  {
                    key: 'c208d702577742f1aed684cbba88d8f6',
                    field: 'isDoubleTeacher',
                    label: '是否双师型教师',
                    type: 'radio',
                    component: 'ApiRadioGroup',
                    colProps: { span: 24 },
                    componentProps: {
                      defaultSelect: '1',
                      rules: [],
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'label',
                      optionType: 'default',
                      datasourceType: 'staticData',
                      dicOptions: [],
                      apiConfig: {},
                      disabled: false,
                      staticOptions: [
                        { label: '是', value: '1', key: 1 },
                        { label: '否', value: '0', key: 2 },
                      ],
                      events: {},
                      span: '',
                      style: {},
                    },
                  },
                  {
                    key: '929af5f499794628890d08d79990cc6b',
                    field: 'courseSubjectId',
                    label: '任课学科',
                    type: 'select',
                    component: 'XjrSelect',
                    colProps: { span: 24 },
                    componentProps: {
                      clearable: false,
                      defaultSelect: 'Option 1',
                      rules: [],
                      valueField: 'value',
                      showLabel: true,
                      required: false,
                      labelField: 'label',
                      datasourceType: 'staticData',
                      dicOptions: [],
                      showSearch: false,
                      width: '100%',
                      apiConfig: {},
                      disabled: false,
                      placeholder: '请选择下拉选择',
                      staticOptions: [
                        { label: 'Option 1', value: 'Option 1', key: 1 },
                        { label: 'Option 2', value: 'Option 2', key: 2 },
                        { label: 'Option 3', value: 'Option 3', key: 3 },
                      ],
                      events: {},
                      span: '',
                      style: { width: '100%' },
                    },
                  },
                ],
                showLabel: false,
                showComponentBorder: false,
                showFormBorder: false,
                span: '24',
              },
            },
          ],
        },
      ],
      componentProps: { title: '教职工专任信息' },
    },
    {
      key: '653771b32b71435dbf220e4d6cdf3bb2',
      field: '',
      label: '',
      type: 'card',
      colProps: { span: 24 },
      component: 'Card',
      children: [
        {
          span: 24,
          name: 'card',
          list: [
            {
              key: 'c3d47d1976cb43b49d66a40574a23e21',
              label: '单表组件',
              field: 'baseTeacherEducationList',
              type: 'one-for-one',
              component: 'OneForOne',
              colProps: { span: 24 },
              children: [],
              componentProps: {
                mainKey: 'baseTeacherEducationList',
                childSchemas: [
                  {
                    key: 'd6b88a93455a43a48adf71c87d0ed55b',
                    field: '',
                    label: '',
                    type: 'grid',
                    colProps: { span: 24 },
                    component: 'Grid',
                    children: [
                      {
                        span: 12,
                        list: [
                          {
                            key: 'c82d59c392e94b76bfc281056dc2ebe3',
                            field: 'specialty',
                            label: '所学专业',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: true,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入所学专业',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 7,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: '8306c31f9be94963831ca1b6d9ea8695',
                            field: 'educationCollege',
                            label: '获得最高学历院校',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: true,
                              width: '100%',
                              disabled: false,
                              placeholder: '获得最高学历院校请输入',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 12,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: '451952643d444a95ab0896637a3d39f8',
                            field: 'degreeCollege',
                            label: '获得最高学位院校',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: true,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入获得最高学位院校',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 12,
                              style: { width: '100%' },
                            },
                          },
                        ],
                      },
                      {
                        span: 12,
                        list: [
                          {
                            key: '10ee40e0250149c48b855fc543424554',
                            field: 'education',
                            label: '最高学历',
                            type: 'select',
                            component: 'XjrSelect',
                            colProps: { span: 24 },
                            componentProps: {
                              clearable: false,
                              defaultSelect: '',
                              rules: [],
                              params: { itemId: '2023000000000000021' },
                              valueField: 'value',
                              showLabel: true,
                              required: true,
                              labelField: 'name',
                              datasourceType: 'dic',
                              itemId: '2023000000000000021',
                              dicOptions: [],
                              showSearch: true,
                              width: '100%',
                              apiConfig: {},
                              disabled: false,
                              placeholder: '请选择下拉选择',
                              staticOptions: [
                                { label: 'Option 1', value: 'Option 1', key: 1 },
                                { label: 'Option 2', value: 'Option 2', key: 2 },
                                { label: 'Option 3', value: 'Option 3', key: 3 },
                              ],
                              events: {},
                              span: 7,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: '4ab627ae96b146c7ad081931ddff14d7',
                            field: 'degree',
                            label: '最高学位',
                            type: 'select',
                            component: 'XjrSelect',
                            colProps: { span: 24 },
                            componentProps: {
                              clearable: false,
                              defaultSelect: '',
                              rules: [],
                              params: { itemId: '2023000000000000022' },
                              valueField: 'value',
                              showLabel: true,
                              required: true,
                              labelField: 'name',
                              datasourceType: 'dic',
                              itemId: '2023000000000000022',
                              dicOptions: [],
                              showSearch: true,
                              width: '100%',
                              apiConfig: {},
                              disabled: false,
                              placeholder: '请选择下拉选择',
                              staticOptions: [
                                { label: 'Option 1', value: 'Option 1', key: 1 },
                                { label: 'Option 2', value: 'Option 2', key: 2 },
                                { label: 'Option 3', value: 'Option 3', key: 3 },
                              ],
                              events: {},
                              span: 7,
                              style: { width: '100%' },
                            },
                          },
                        ],
                      },
                    ],
                    componentProps: { align: 'top', gutter: 16, justify: 'start' },
                  },
                ],
                showLabel: false,
                showComponentBorder: false,
                showFormBorder: false,
                span: '24',
              },
            },
          ],
        },
      ],
      componentProps: { title: '教职工学历学位' },
    },
    {
      key: '1355cba4abd4473d8fa782f948f066ec',
      label: '单表组件',
      field: 'baseTeacherEmployList',
      type: 'one-for-one',
      component: 'OneForOne',
      colProps: { span: 24 },
      children: [],
      componentProps: {
        mainKey: 'baseTeacherEmployList',
        childSchemas: [],
        showLabel: true,
        showComponentBorder: true,
        showFormBorder: true,
        span: '24',
      },
    },
    {
      key: 'b89224eb3bd541e689ac2241256afe81',
      field: '',
      label: '',
      type: 'card',
      colProps: { span: 24 },
      component: 'Card',
      children: [
        {
          span: 24,
          name: 'card',
          list: [
            {
              key: '4168aca2f39e4d958159509a231a24be',
              label: '单表组件',
              field: 'baseTeacherContactList',
              type: 'one-for-one',
              component: 'OneForOne',
              colProps: { span: 24 },
              children: [],
              componentProps: {
                mainKey: 'baseTeacherContactList',
                childSchemas: [
                  {
                    key: 'ec6bfeeea58c46b59385e908ca7e2670',
                    field: '',
                    label: '',
                    type: 'grid',
                    colProps: { span: 24 },
                    component: 'Grid',
                    children: [
                      {
                        span: 12,
                        list: [
                          {
                            key: 'bdd9d0eda4e641babd14ad0b23e991b3',
                            field: 'officeTel',
                            label: '办公室电话',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '办公室电话请输入',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 24,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: '19bfc08b27114fac93fa44f5a7f5ff5b',
                            field: 'address',
                            label: '现住地址',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '现住地址请输入',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 12,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: 'bbfdf83b55bb4197bcd1f70cd0cdfafc',
                            field: 'wechat',
                            label: '微信号',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入微信号',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 12,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: '1766c4dcb33f4b53a160627e3679608e',
                            field: 'zipCode',
                            label: '住址邮编',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入住址邮编',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 12,
                              style: { width: '100%' },
                            },
                          },
                        ],
                      },
                      {
                        span: 12,
                        list: [
                          {
                            key: '814b87707b2242248b39af814fbbf151',
                            field: 'officeAddress',
                            label: '办公室地址',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '办公室地址请输入',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 12,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: '4eaa3d3c2d9b40b58dcd77ef6a9aa252',
                            field: 'qqMsn',
                            label: 'qq或者MSN',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '请输入qq或者MSN',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 12,
                              style: { width: '100%' },
                            },
                          },
                          {
                            key: 'a582cd57751c4f39a5ec0037fe52f9d0',
                            field: 'microblog',
                            label: '微博地址',
                            type: 'input',
                            component: 'Input',
                            colProps: { span: 24 },
                            defaultValue: '',
                            componentProps: {
                              defaultValue: '',
                              prefix: '',
                              rules: [],
                              suffix: '',
                              addonAfter: '',
                              showLabel: true,
                              required: false,
                              width: '100%',
                              disabled: false,
                              placeholder: '微博地址请输入',
                              allowClear: false,
                              addonBefore: '',
                              events: {},
                              span: 12,
                              style: { width: '100%' },
                            },
                          },
                        ],
                      },
                    ],
                    componentProps: { align: 'top', gutter: 16, justify: 'start' },
                  },
                ],
                showLabel: true,
                showComponentBorder: true,
                showFormBorder: true,
                span: '24',
              },
            },
          ],
        },
      ],
      componentProps: { title: '教职工联系信息' },
    },
  ],
  showActionButtonGroup: false,
  buttonLocation: 'center',
  actionColOptions: { span: 24 },
  showResetButton: false,
  showSubmitButton: false,
  hiddenComponent: [],
};
