import { BasicColumn } from '/@/components/Table';
import { h } from 'vue';

export const columns: BasicColumn[] = [
  {
    title: '考核行政班',
    dataIndex: 'behaviorClassNames',
  },
  {
    title: '考核学期',
    dataIndex: 'semesterName',
  },
  {
    title: '考核地点',
    dataIndex: 'assessmentAddress',
  },
  {
    title: '考核项目',
    dataIndex: 'behaviorCategoryName',
  },
  {
    title: '考核日期',
    dataIndex: 'assessmentDate',
  },
  {
    title: '考核人',
    dataIndex: 'assessmentUserName',
  },
  {
    title: '是否影响班级考核',
    dataIndex: 'isAffect',
    customRender: ({ text }) => {
      switch (text) {
        case 0:
          return h('span', { style: { color: 'green' } }, '不影响');
        case 1:
          return h('span', { style: { color: 'red' } }, '影响');
      }
    },
  },
  {
    title: '加扣分',
    dataIndex: 'score',
    customRender: ({ record }) => {
      //   判断是否小于0 如果小于0显示红色
      if (record.scoreType === 'score_add') {
        return h('span', { style: { color: 'green' } }, `+${record.score}`);
      } else {
        return h('span', { style: { color: 'red' } }, `${record.score}`);
      }
    },
  },
  {
    title: '影响班级考核的学生人数',
    dataIndex: 'scoreNumber',
  },
  {
    title: '总分',
    dataIndex: 'totalScore',
  },
  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
  },
];

export const enum showConfig {
  assessmentAddress = '考核地点',
  assessmentDate = '考核时间',
  isAffect = '是否影响',
  score = '分数',
  scoreNumber = '分数次数',
  totalScore = '总分',
}
