import { BasicColumn } from '/@/components/Table';
import { h } from 'vue';

export const columns: BasicColumn[] = [
  {
    title: '姓名',
    dataIndex: 'studentIdCN',
  },
  {
    title: '学号',
    dataIndex: 'studentId',
  },
  {
    title: '性别',
    dataIndex: 'genderCn',
    customRender: ({ text }) => {
      return text === '1' ? '男' : '女';
    },
  },
  {
    title: '升学前班级',
    dataIndex: 'beforeClassIdCN',
  },
  {
    title: '升学后班级',
    dataIndex: 'backClassIdCN',
  },
  {
    title: '申请人',
    dataIndex: 'applicantUserIdCN',
  },
  {
    title: '审核状态',
    dataIndex: 'status',
    customRender: ({ text }) => {
      return text === '1'
        ? h('span', { style: 'color: green' }, '已审核')
        : h('span', { style: 'color: red' }, '未审核');
    },
  },
  {
    title: '升学原因',
    dataIndex: 'reason',
  },
  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
  },
];

export const enum showConfig {
  studentIdCN = '升学学生姓名',
  studentId = '学号',
  applicantUserIdCN = '申请人',
  beforeClassIdCN = '升学前班级',
  beforeMajorSetIdCN = '升学前专业方向',
  backClassIdCN = '升学后班级',
  backMajorSetIdCN = '升学后专业方向',
  reason = '升学原因',
}
