import { BasicColumn } from '/@/components/Table';
import { h } from 'vue';

const formatWeek = ({ text }: { text: any }) => {
  return h('div', null, [
    h('div', null, text.courseName || ''),
    h('div', null, text.siteName || ''),
    h('div', null, text.name || ''),
  ]);
};

const formatNumber = ({ text }: { text: any }) => {
  return h('div', null, [h('div', null, text.title || ''), h('div', null, text.time || '')]);
};

export const tableColumns: BasicColumn[] = [
  {
    title: '时间',
    dataIndex: 'timePeriod',
    width: 60,
    colSpan: 2,
    customCell: (record) => {
      return { rowSpan: record.rowSpan };
    },
  },
  {
    title: '节次',
    dataIndex: 'timeNumber',
    width: 90,
    colSpan: 0,
    customRender: formatNumber,
  },
  {
    title: '周一',
    dataIndex: 'week1',
    customRender: formatWeek,
  },
  {
    title: '周二',
    dataIndex: 'week2',
    customRender: formatWeek,
  },
  {
    title: '周三',
    dataIndex: 'week3',
    customRender: formatWeek,
  },
  {
    title: '周四',
    dataIndex: 'week4',
    customRender: formatWeek,
  },
  {
    title: '周五',
    dataIndex: 'week5',
    customRender: formatWeek,
  },
  {
    title: '周六',
    dataIndex: 'week6',
    customRender: formatWeek,
  },
  {
    title: '周日',
    dataIndex: 'week7',
    customRender: formatWeek,
  },
];
