import { BasicColumn } from '/@/components/Table';
import { h } from 'vue';

export const columns: BasicColumn[] = [
  {
    title: '考核年级',
    dataIndex: 'gradeName',
  },
  {
    title: '受影响班级',
    dataIndex: 'assessmentClassNames',
  },
  {
    title: '考核时间',
    dataIndex: 'assessmentDate',
  },
  {
    title: '考核类别',
    dataIndex: 'assessmentProjectName',
  },
  {
    title: '考核类型',
    dataIndex: 'scoreTypeCn',
  },
  {
    title: '考核项目',
    dataIndex: 'assessmentCategoryName',
  },
  {
    title: '考核学期',
    dataIndex: 'semesterName',
  },
  {
    title: '考核人',
    dataIndex: 'assessmentUserName',
  },

  {
    title: '分数',
    dataIndex: 'score',
    customRender: ({ text, record }) => {
      if (record.scoreType !== 'score_add') {
        //  显示红色
        return h('span', { style: { color: 'red' } }, `${text}`);
      } else {
        return h('span', { style: { color: 'green' } }, `+${text}`);
      }
    },
  },
  {
    title: '受影响学生人数',
    dataIndex: 'studentCount',
  },
  {
    title: '考核原因',
    dataIndex: 'reason',
  },
  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
  },
];

export const enum showConfig {
  assessmentDate = '考核日期',
  assessmentUserName = '考核人',
  createUserName = '登记人',
  scoreTypeCn = '考核类型',
  score = '加扣分',
  reason = '考核原因',
}
