import { BasicColumn, FormSchema } from '/@/components/Table';
import { getDataOption } from '/@/api/system/dic';

export const tableColumns: BasicColumn[] = [
  {
    title: '规则名称',
    dataIndex: 'name',
    align: 'left',
    width: 120,
  },
  {
    title: '计算公式',
    dataIndex: 'formula',
    align: 'left',
  },
  {
    title: '绑定指标',
    dataIndex: 'bindQuota',
    align: 'left',
    width: 250,
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'name',
    label: '规则名称',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    field: 'formula',
    label: '计算公式',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    field: 'bindQuota',
    label: '绑定指标',
    component: 'ApiSelect',
    required: true,
    colProps: { span: 24 },
    componentProps: {
      mode: 'multiple',
      api: () => {
        return getDataOption({ code: 'quota_group' });
      },
      getPopupContainer: () => document.body,
    },
  },
];
