import { BasicColumn, FormSchema } from '/@/components/Table';

export const tableColumns: BasicColumn[] = [
  {
    title: '工号',
    dataIndex: 'name',
    align: 'left',
    width: 120,
  },
  {
    title: '班级',
    dataIndex: 'evaluateType',
    align: 'left',
  },
  {
    title: '班主任',
    dataIndex: 'deptNames',
    align: 'left',
    width: 100,
  },
  {
    title: '人数',
    dataIndex: 'total',
    width: 60,
  },
  {
    title: '状态',
    dataIndex: 'total',
    width: 60,
  },
  {
    title: '学生个人行为',
    dataIndex: 'address',
    children: [
      {
        title: '扣分',
        dataIndex: 'total',
        width: 60,
      },
      {
        title: '此项得分',
        dataIndex: 'remark',
        width: 80,
      },
    ],
  },
  {
    title: '常规管理',
    dataIndex: 'address',
    children: [
      {
        title: '扣分',
        dataIndex: 'total',
        width: 60,
      },
      {
        title: '此项得分',
        dataIndex: 'remark',
        width: 80,
      },
    ],
  },
  {
    title: '获奖及荣誉奖彰',
    dataIndex: 'address',
    children: [
      {
        title: '扣分',
        dataIndex: 'total',
        width: 60,
      },
      {
        title: '此项得分',
        dataIndex: 'remark',
        width: 80,
      },
    ],
  },
  {
    title: '准军事化管理效果',
    dataIndex: 'address',
    children: [
      {
        title: '扣分',
        dataIndex: 'total',
        width: 60,
      },
      {
        title: '此项得分',
        dataIndex: 'remark',
        width: 80,
      },
    ],
  },
  {
    title: '任课教师考核',
    dataIndex: 'address',
    children: [
      {
        title: '扣分',
        dataIndex: 'total',
        width: 60,
      },
      {
        title: '此项得分',
        dataIndex: 'remark',
        width: 80,
      },
    ],
  },
  {
    title: '月份总得分',
    dataIndex: 'remark',
    width: 80,
  },
  {
    title: '月考核金额',
    dataIndex: 'remark',
    width: 80,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'deptIds',
    label: '年级',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'evaluateType',
    label: '班级',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'status',
    label: '状态',
    component: 'Select',
    colProps: { span: 8 },
    componentProps: {
      options: [
        { label: '启用', value: '1' },
        { label: '禁用', value: '0' },
      ],
      getPopupContainer: () => document.body,
    },
  },
];
