import { FormSchema } from '/@/components/Form';
import { BasicColumn } from '/@/components/Table';

export const TableColumns: BasicColumn[] = [
  {
    title: '应用名',
    dataIndex: 'applicationName',
  },
  {
    title: '规则名',
    dataIndex: 'chainName',
  },
  {
    title: '规则文件',
    dataIndex: 'elData',
  },
  {
    title: '备注',
    dataIndex: 'chainDesc',
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
  },
  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
    align: 'center',
  },
];

export const formSchema: FormSchema[] = [
  {
    label: 'id',
    field: 'id',
    component: 'Input',
    show: false,
  },
  {
    label: '应用名',
    field: 'applicationName',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    label: '规则名',
    field: 'chainName',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    label: '执行规则',
    field: 'elData',
    component: 'InputTextArea',
    componentProps: {
      rows: 4,
    },
    required: true,
    colProps: { span: 24 },
  },
  {
    label: '备注',
    field: 'chainDesc',
    component: 'InputTextArea',
    colProps: { span: 24 },
  },
];

export const SearchFormSchema: FormSchema[] = [
  {
    label: '关键字',
    field: 'keyword',
    component: 'Input',
    colProps: { span: 8 },
  },
];
