import { FormSchema } from '/@/components/Form';
import { BasicColumn } from '/@/components/Table';

export const TableColumns: BasicColumn[] = [
  {
    title: '任务名称',
    dataIndex: 'materialTypeName',
    customCell: (_) => {
      if (_.startIndex === 0 || _.startIndex) {
        return { rowSpan: _.sumLength + 1 };
      } else {
        return { rowSpan: 0 };
      }
    },
    align: 'left',
    //  如果有相同的值就合并
  },
  {
    title: '用户姓名',
    dataIndex: 'userName',
    align: 'left',
    width: 120,
  },
  {
    title: '用户类型',
    dataIndex: 'userType',
    customRender: ({ text }) => {
      return text === 1 ? '教职工' : '学生';
    },
    align: 'left',
    width: 80,
  },
  {
    title: '部门名称',
    dataIndex: 'deptName',
    align: 'left',
    width: 150,
  },
  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
    width: 100,
  },
];
export const RulesColumns = [
  {
    title: '用户姓名',
    dataIndex: 'userName',
  },
  {
    title: '用户类型',
    dataIndex: 'userType',
    customRender: ({ text }) => {
      return text === 1 ? '教职工' : '学生';
    },
  },
  {
    title: '部门名称',
    dataIndex: 'deptName',
  },
];
export const formSchema: FormSchema[] = [
  {
    label: 'id',
    field: 'id',
    component: 'Input',
    show: false,
  },
  {
    label: '类型名称',
    field: 'name',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    label: '是否启用',
    field: 'enabledMark',
    component: 'RadioButtonGroup',
    defaultValue: 1,
    required: true,
    componentProps: {
      options: [
        { label: '启用', value: 1 },
        { label: '禁用', value: 0 },
      ],
    },
    colProps: { span: 24 },
  },
];
