import { BasicColumn, FormSchema } from '/@/components/Table';
import { getDataOption } from '/@/api/system/dic';
export const type = {
  0: '菜单',
  1: '目录',
};


export const TableColumns: BasicColumn[] = [
   {
    title: '证件类型',
    dataIndex: 'idType',
  },
  {
    title: '证件号码',
    dataIndex: 'idNumber',
  },
 
  {
    title: '工号',
    dataIndex: 'jobNumbe',
  },
  {
    title: '工资发放名称',
    dataIndex: 'name',
    
  },
 
  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
  },
];
export const formSchema: FormSchema[] = [
  {
    field: 'idType',
    label: '证件类型',
    component: 'ApiSelect',
    colProps: { span: 24 },
    required: true,
    componentProps: () => {
      return {
        getPopupContainer: () => document.body,
        api: () => {
          return getDataOption({ code: 'credential_type' });
        },
      };
    },
    // 挂载到body
  },
  {
    label: '证件号码',
    field: 'idNumber',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  
 
  
  {
    label: '工资发放名称',
    field: 'name',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
];
