import { FormSchema } from '/@/components/Form';
import { BasicColumn } from '/@/components/Table';

export const fromSchema: FormSchema[] = [
  {
    label: '发文名称',
    field: 'fa_wen_ming_chen7323',
    component: 'Input',
  },
  {
    label: '发文人',
    field: 'fa_wen_ren4935',
    component: 'Input',
  },
  {
    label: '发文说明',
    field: 'fshuo_ming1237',
    component: 'Input',
  },
  {
    label: '发文字号',
    field: 'fa_wen_zi_hao3454',
    component: 'Input',
  },
];

export const TableColumns: BasicColumn[] = [
  {
    title: '收文人',
    dataIndex: 'userNameCn',
  },
  {
    title: '来文机关',
    dataIndex: 'institution',
  },
  {
    title: '来文标题',
    dataIndex: 'title',
  },
  {
    title: '来文字号',
    dataIndex: 'pullNumber',
  },
  {
    title: '收文编号',
    dataIndex: 'number',
  },
  {
    title: '密级',
    dataIndex: 'classification',
  },
  {
    title: '缓急',
    dataIndex: 'urgency',
  },
  {
    title: '来文日期',
    dataIndex: 'pullDate',
  },
  {
    title: '领导批示',
    dataIndex: 'leaderOpinion',
  },
  {
    title: '拟办意见',
    dataIndex: 'opinion',
  },
  {
    title: '部门办理情况',
    dataIndex: 'organHandleStatus',
  },
  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
  },
];
export const Eumns = {
  userNameCn: '收文人',
  institution: '来文机关',
  title: '来文标题',
  pullNumber: '来文字号',
  number: '收文编号',
  classification: '密级',
  urgency: '缓急',
  pullDate: '来文日期',
  leaderOpinion: '领导批示',
  organHandleStatus: '部门办理情况',
  opinion: '拟办意见',
};
