export function svgToPng(svgString) {
  return new Promise((resolve, reject) => {
    // 创建一个新的Image对象
    const img = new Image();
    // SVG字符串转换为Data URL
    img.src = 'data:image/svg+xml;base64,' + btoa(unescape(encodeURIComponent(svgString)));

    img.onload = function () {
      // 创建canvas
      const canvas = document.createElement('canvas');
      canvas.width = img.width;
      canvas.height = img.height;
      // 将Image画到canvas上
      const ctx = canvas.getContext('2d');
      ctx.drawImage(img, 0, 0);
      // 从canvas中获取数据
      const dataURL = canvas.toDataURL('image/png');
      resolve(dataURL);
    };

    img.onerror = function () {
      reject(new Error('SVG转PNG失败'));
    };
  });
}
