// @ts-ignore
/* eslint-disable */

// 该文件自动生成，请勿手动修改！


            declare namespace API {
                /** 分页查询请求参数基类型 */
                type PageQueryType = {
                    /** 当前页值 */
                    pageIndex: number;
                    /** 每页大小 */
                    pageSize: number;

                    /** 搜索值 */
                    searchValue?: string;
                    /** 搜索开始时间 */
                    searchBeginTime?: string;
                    /** 搜索结束时间 */
                    searchEndTime?: string;
                    /** 排序字段 */
                    sortField?: string;
                    /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
                    sortOrder?: string;
                    /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
                    descStr?: string;
                    /** 复杂查询条件 */
                    searchParameters?: Condition[];
                };

                /** 后端服务请求返回参数 */
                type ResponseType<T = any> = {
                    /** 执行成功 */
                    success?: boolean;
                    /** 状态码 */
                    code?: number;
                    /** 错误码 */
                    errorCode?: number;
                    /** 错误信息 */ 
                    errorMessage?: any;
                    /** 消息显示类型 */
                    showType?: number;
                    /** 数据 */
                    data?: T;
                    /** 附加数据 */
                    extras?: any;
                    /** 时间戳 */
                    timestamp?: number;
                };

                /** 分页数据对象 */
                type PageResponse<T = any> = {
                    /** 当前页值  */
                    pageIndex: number;
                    /** 每页大小 */
                    pageSize: number;
                    /** 数据总数 */
                    totalCount: number;
                    /** 总页数 */
                    totalPage?: number;
                    /** 数据行  */
                    items?: T[];
                };

            type AddAppMenuDto = {
/** 分类id */
categoryId?: string;
/** 菜单编码 */
code?: string;
/** 菜单图标 */
icon?: string;
/** 菜单名称 */
name?: string;
/** 备注 */
remark?: string;
/** 排序 */
sortCode?: number;
/** url 路径 */
url?: string;
}

type AddAppPageDesignDto = {
/** 功能类别id */
categoryId?: string;
/** 页面编码 */
code?: string;
/** 1:启用，0：禁用，-1：草稿 */
enabledMark?: number;
/** 图标 */
icon?: string;
/** 是否是菜单：（0：否，1：是） */
isMenu?: number;
/** json内容 */
jsonContent?: string;
/** 页面名称 */
name?: string;
/** 页面代码 */
pageCode?: string;
/** 备注 */
remark?: string;
/** 排序码 */
sortCode?: number;
}

type AddAreaDto = {
/** 区域编码 */
code?: string;
/** 层次 */
layer?: number;
/** 区域名称 */
name?: string;
/** 父级主键 */
parentId?: string;
/** 快速查询 */
quickQuery?: string;
/** 备注 */
remark?: string;
/** 简拼 */
simpleSpelling?: string;
/** 排序码 */
sortCode?: number;
}

type AddAttendanceConfigDto = {
/** 地点 */
address?: string;
/** 范围（米） */
attendanceRange?: number;
/** 考勤时间 */
attendanceTime?: LocalTime_1;
/** 纬度 */
latitude?: number;
/** 考勤节点(xjr_dictionary_item[attendance_node]) */
leaveReason?: string;
/** 经度 */
longitude?: number;
/** 序号 */
sortCode?: number;
}

type AddAttendancePersonnelDto = {
/** 用户编号 */
userId?: string;
}

type AddAttendanceRecordDto = {
/** 地点 */
address?: string;
/** 考勤时间 */
attendanceTime?: LocalTime_1;
/** 打卡时间 */
checkTime?: string;
/** 纬度 */
latitude?: number;
/** 考勤节点(xjr_dictionary_item[attendance_node]) */
leaveReason?: string;
/** 纬度 */
longitude?: number;
/** 序号 */
sortCode?: number;
/** 状态（1:正常 2:迟到） */
status?: number;
/** 用户编号 */
userId?: string;
}

type AddBaseAppFunctionDto = {
/** 图标颜色 */
color?: string;
/** 图标 */
icon?: string;
/** 菜单类型 0=菜单 1=目录 */
isDirectory?: number;
/** 名称 */
name?: string;
/** 图标前缀 */
prefix?: string;
/** 模板ID */
schemaId?: string;
/** 排序 */
sortCode?: number;
/** 功能分类(xjr_dictionary_item[APPFUNC]) */
type?: string;
/** 功能地址 */
url?: string;
}

type AddBaseClassMajorSetDto = {
/** 男生人数 */
boyNum?: number;
/** 班级(base_class_major_set) */
classId?: string;
/** 女生人数 */
girlNum?: number;
/** 专业方向(base_major_set) */
majorSetId?: string;
/** 计划人数 */
planTotalStudent?: number;
/** 班级人数 */
totalStudent?: number;
}

type AddBasePersonnelLabourCapitalDto = {
/** 发放年月 */
dateOfIssue?: string;
/** 工资发放名称 */
name?: string;
}

type AddBasePunishmentStudentRelationDto = {
/** 调整日期 */
adjustDate?: string;
/** 调整原因 */
adjustReason?: string;
/** 调整类型 1:升级 2:降级 3:撤销 */
adjustType?: number;
/** 所在班级 */
className?: string;
/** 性别 */
gender?: string;
/** 所学专业 */
major?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 处分信息id */
punishmentInfoId?: string;
/** 序号 */
sortCode?: number;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

type AddBaseStudentAssessmentCategoryDto = {
/** 编码 */
code?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 总分 */
totalScore?: number;
}

type AddBaseStudentAssessmentInspectionDto = {
/** 考核时间 */
assessmentDate?: string;
/** 考核用户ID(xjr_user) */
assessmentUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 学生考核项目编号（base_student_assessment_category） */
baseStudentAssessmentCategoryId?: string;
/** 班级考核项目编号（base_student_assessment_project） */
baseStudentAssessmentProjectId?: string;
/** 班级Ids(多选) */
classIds?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 原因 */
reason?: string;
/** 分数 */
score?: number;
/** 分数类型(xjr_dictionary_item[score_type]) */
scoreType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type AddBaseStudentAssessmentItemDto = {
/** 学生考核类别(base_student_assessment_category) */
baseStudentAssessmentCategoryId?: string;
/** 项目名称 */
name?: string;
}

type AddBaseStudentAssessmentProjectDto = {
/** 加分范围（最大） */
addPointsMax?: number;
/** 加分范围（最小） */
addPointsMin?: number;
/** 考核对象（class:班级 personal:个人） */
assessmentType?: string;
/** 学生考核类别(base_student_assessment_category) */
baseStudentAssessmentCategoryId?: string;
/** 操行项目编号 */
baseStudentBehaviorProjectId?: string;
/** 基础分 */
basicPoints?: number;
/** 折算操行分要求 */
behaviorScore?: number;
/** 手动处理学生操行分说明 */
behaviorScoreRemark?: string;
/** 编码 */
code?: string;
/** 所属机构(xjr_department) */
departmentId?: string;
/** 是否影响(1:是 0:否) */
isAffect?: number;
/** 是否允许班主任修改项目(1:是 0:否) */
isTeacherEdit?: number;
/** 名称 */
name?: string;
/** 扣分范围（最大） */
pointsDeductedMax?: number;
/** 扣分范围（最小） */
pointsDeductedMin?: number;
/** 学生操行分处理方式(xjr_dictionary_item[ap_method]) */
processingMethod?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type AddBaseStudentBehaviorCategoryDto = {
/** 编码 */
code?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type AddBaseStudentBehaviorClassRelationDto = {
/** 学生操行分记录管理id */
baseStudentBehaviorManageId?: string;
/** 班级编号id */
classId?: string;
/** 序号 */
sortCode?: number;
/** 班主任姓名 */
teacherName?: string;
}

type AddBaseStudentBehaviorManageDto = {
/** 考核地点 */
assessmentAddress?: string;
/** 考核时间 */
assessmentDate?: string;
/** 考核机构(xjr_department) */
assessmentDepartmentId?: string;
/** 考核用户ID(xjr_user) */
assessmentUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 学生操行分考核类别编号（base_student_behavior_category） */
baseStudentBehaviorCategoryId?: string;
/** baseStudentBehaviorClassRelation子表 */
baseStudentBehaviorClassRelationList?: AddBaseStudentBehaviorClassRelationDto[];
/** 学生操行分考核项目编号（base_student_behavior_project） */
baseStudentBehaviorProjectId?: string;
/** baseStudentBehaviorStudentRelation子表 */
baseStudentBehaviorStudentRelationList?: AddBaseStudentBehaviorStudentRelationDto[];
/** 班级Ids(多选) */
classIds?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 是否影响(1:是 0:否) */
isAffect?: number;
/** 备注 */
remark?: string;
/** 分数 */
score?: number;
/** 分数次数 */
scoreNumber?: number;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 总分 */
totalScore?: number;
}

type AddBaseStudentBehaviorProjectDto = {
/** 自动换算考核类型(xjr_dictionary_item[score_type]) */
automaticScoreType?: string;
/** 班级考核项目编号（base_student_assessment_project） */
baseStudentAssessmentProjectId?: string;
/** 学生考核类别编号(base_student_behavior_category) */
baseStudentBehaviorCategoryId?: string;
/** 编码 */
code?: string;
/** 换算方式(1:手动换算 2:自动换算) */
conversionMethod?: number;
/** 是否允许调整(1:是 0:否) */
isAdjustment?: number;
/** 是否影响班级考核(1:是 0:否) */
isImpactAssessment?: number;
/** 名称 */
name?: string;
/** 扣分范围（最大） */
pointsDeductedMax?: number;
/** 扣分范围（最小） */
pointsDeductedMin?: number;
/** 备注 */
remark?: string;
/** 分值 */
score?: number;
/** 考核类型(xjr_dictionary_item[score_type]) */
scoreType?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type AddBaseStudentBehaviorStudentRelationDto = {
/** 学生操行分记录管理id */
baseStudentBehaviorManageId?: string;
/** 所在班级 */
className?: string;
/** 性别 */
gender?: string;
/** 所学专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 序号 */
sortCode?: number;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

type AddBaseStudentBursariesApplicantDto = {
/** 申请人 */
applicantUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 助学金项目ID(base_student_bursaries_project) */
baseStudentBursariesProjectId?: string;
/** 班级编号 */
classId?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type AddBaseStudentBursariesProjectDto = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 助学金类型(xjr_dictionary_item[bursaries_type]) */
bursariesType?: string;
/** 结束时间 */
endTime?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 总金额 */
totalAmount?: number;
}

type AddBaseStudentBursariesStudentDto = {
/** 申请金额 */
applicantAmount?: number;
/** 银行卡号 */
bankNo?: string;
/** 收款银行(xjr_dictionary_item[bank_type]) */
bankType?: string;
/** 助学金申请ID(base_student_bursaries_applicant) */
baseStudentBursariesApplicantId?: string;
/** 班级名称 */
className?: string;
/** 招生类型名称 */
enrollTypeCn?: string;
/** 性别 */
genderName?: string;
/** 年级名称 */
gradeName?: string;
/** 在读专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

type AddBaseStudentCadreDto = {
/** 干部部门编号 */
cadreDeptId?: string;
/** 班级id */
classId?: string;
/** 任职结束时间 */
endTime?: string;
/** 离职原因 */
leaveReason?: string;
/** 离职生效日期 */
leaveTime?: string;
/** 职务id */
postId?: string;
/** 序号 */
sortCode?: number;
/** 任职开始时间 */
startTime?: string;
/** 状态（1:在职 0:离职） */
status?: number;
/** 学生id */
userId?: string;
}

type AddBaseStudentContactDto = {
/** QQ&MSN */
qqMsn?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 个人主页 */
userPage?: string;
/** 微信号 */
wechat?: string;
}

type AddBaseStudentDto = {
/** 别名 */
asName?: string;
/** 所属派出所 */
belongsPolice?: string;
/** 出生地 市(xjr_area) */
birthCity?: string;
/** 出生地 区/县(xjr_area) */
birthDistrict?: string;
/** 出生地 省(xjr_area) */
birthProvinces?: string;
/** 生日类型(xjr_dictionary_item[date_type]) */
birthType?: string;
/** 血型(xjr_dictionary_item[blood_type]) */
bloodType?: string;
/** 港澳台侨外(xjr_dictionary_item[chinese_type]) */
chineseType?: string;
/** 籍贯 市(xjr_area) */
city?: string;
/** 出生日期 */
dayOfBirth?: string;
/** 籍贯 区/县(xjr_area) */
district?: string;
/** 英文姓名 */
enName?: string;
/** 曾用名 */
formerName?: string;
/** 生源地(base_graduate_school) */
graduateSchoolId?: string;
/** 健康状况(xjr_dictionary_item[health]) */
health?: string;
/** 身高（cm） */
height?: number;
/** 户口所在地 市(xjr_area) */
houseCity?: string;
/** 户口所在地 区/县(xjr_area) */
houseDistrict?: string;
/** 户籍地址 */
houseHoldAddress?: string;
/** 户口类别(xjr_dictionary_item[house_hold_type]) */
houseHoldType?: string;
/** 户口所在地 省(xjr_area) */
houseProvinces?: string;
/** 是否流动人口 */
isFloatingPopulation?: number;
/** 是否随迁子女 */
isMigrateChildren?: number;
/** 婚姻状况(xjr_dictionary_item[marital_state]) */
maritalState?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 国籍地区(xjr_dictionary_item[nationality]) */
nationality?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 籍贯 省(xjr_area) */
provinces?: string;
/** 姓名拼音 */
pyName?: string;
/** 信仰宗教(xjr_dictionary_item[religion]) */
religion?: string;
/** 学生居住地类型(xjr_dictionary_item[residence_type]) */
residenceType?: string;
/** 特长 */
specialty?: string;
/** 学号 */
studentId?: string;
/** 乘火车区间 */
trainInterval?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 视力 */
vision?: number;
/** 体重（kg） */
weight?: number;
}

type AddBaseStudentFamilyDto = {
/** 家庭住址 */
address?: string;
/** 联系人姓名 */
contact?: string;
/** 家庭月收入金额 */
incomeNumber?: number;
/** 家庭主要收入来源 */
incomeSource?: string;
/** 家庭人口 */
population?: number;
/** 离家最近火车站 */
railwayStation?: string;
/** 家庭电话 */
telephone?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 家庭邮编 */
zipCode?: string;
}

type AddBaseStudentFamilyMemberDto = {
/** 生日类型(xjr_dictionary_item[date_type]) */
birthType?: string;
/** 证件号码 */
credentialNumber?: string;
/** 证件类型(xjr_dictionary_item[credential_type]) */
credentialType?: string;
/** 出生日期 */
dayOfBirth?: string;
/** 邮箱 */
email?: string;
/** 性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 健康状况(xjr_dictionary_item[health]) */
health?: string;
/** 户口所在地 市(xjr_area) */
houseCity?: string;
/** 户口所在地 区/县(xjr_area) */
houseDistrict?: string;
/** 户口所在地 省(xjr_area) */
houseProvinces?: string;
/** 是否为监护人 */
isGuardian?: number;
/** 联系电话 */
mobile?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 从事的工作(职业) */
occupation?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 职务 */
position?: string;
/** 与本人关系(xjr_dictionary_item[relationship]) */
relationship?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 微信号 */
wechat?: string;
/** 工作单位 */
workUnit?: string;
}

type AddBaseStudentGraduateDto = {
/** 发证日期 */
certificateDate?: string;
/** 证书编号 */
certificateNumber?: string;
/** 附件id */
folderId?: string;
/** 离寝日期(住读的学生才村) */
leavingBedDate?: string;
/** 序号 */
sortCode?: number;
/** 证书发放状态（0:未发放 1:已发放） */
status?: number;
/** 学生(xjr_user) */
userId?: string;
}

type AddBaseStudentPostDto = {
/** 职责描述 */
explains?: string;
/** 是否允许德育检查(1:是 0:否) */
isAllowedCheck?: number;
/** 职务级别 */
level?: string;
/** 职务 */
post?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type AddBaseStudentPunishmentInfoDto = {
/** basePunishmentStudentRelation子表 */
basePunishmentStudentRelationList?: AddBasePunishmentStudentRelationDto[];
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级id */
classId?: string;
/** 附件文件id */
fileId?: string;
/** 是否公示(1:是 0:否) */
isPublicity?: number;
/** 处分类型id */
punishmentTypeId?: string;
/** 发送处分(1:班主任 2:学生 3:家长) */
pushMessageObject?: number;
/** 处分原因 */
reason?: string;
}

type AddBaseStudentScholarshipApplicantDto = {
/** 申请人 */
applicantUserId?: string;
/** 获奖日期 */
awardDate?: string;
/** 银行卡号 */
bankNo?: string;
/** 收款银行(xjr_dictionary_item[bank_type]) */
bankType?: string;
/** 奖学金类别ID(base_student_scholarship_category) */
baseStudentScholarshipCategoryId?: string;
/** 班级名称 */
className?: string;
/** 招生类型名称 */
enrollTypeCn?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 性别 */
genderName?: string;
/** 入学名称 */
gradeName?: string;
/** 在读专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 发放状态（1:已发放 0:未发放） */
releaseStatus?: number;
/** 学期名称 */
semesterName?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type AddBaseStudentScholarshipCategoryDto = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** baseStudentScholarshipLevel子表 */
baseStudentScholarshipLevelList?: AddBaseStudentScholarshipLevelDto[];
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 奖学金等级 0=无等级 */
scholarshipLevel?: number;
/** 奖学金来源(xjr_dictionary_item[scholarship_source]) */
scholarshipSource?: string;
/** 序号 */
sortCode?: number;
/** 总金额 */
totalAmount?: number;
}

type AddBaseStudentScholarshipLevelDto = {
/** 金额 */
amount?: number;
/** 奖学金类别ID(base_student_scholarship_category) */
baseStudentScholarshipCategoryId?: string;
/** 奖学金等级 0=无等级 */
level?: number;
/** 序号 */
sortCode?: number;
}

type AddBaseStudentSchoolRollDto = {
/** 入学总分 */
admissionScores?: number;
/** 学生档案编号 */
archivesNumber?: string;
/** 学籍状态(xjr_dictionary_item[archives_status]) */
archivesStatus?: string;
/** 分流状态(xjr_dictionary_item[choose_status]) */
chooseStatus?: string;
/** 班级(base_class) */
classId?: string;
/** 入学招生类型(xjr_dictionary_item[enroll_type]) */
enrollType?: string;
/** 入学年月 */
enrollmentDate?: string;
/** 入学方式(xjr_dictionary_item[enrollment_type]) */
enrollmentType?: string;
/** 考生号 */
examineeNumber?: string;
/** 分段培养方式(xjr_dictionary_item[foster_type]) */
fosterType?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 毕业成绩 */
graduatedScore?: number;
/** 毕业学校 */
graduatedUniversity?: string;
/** 入学前最高学历(xjr_dictionary_item[education]) */
highestEducation?: string;
/** 学习形式(xjr_dictionary_item[learn_status]) */
learnStatus?: string;
/** 在读专业方向(base_major_set) */
majorSetId?: string;
/** 招生对象(xjr_dictionary_item[recruit_target]) */
recruitTarget?: string;
/** 招生方式(xjr_dictionary_item[recruit_type]) */
recruitType?: string;
/** 备注 */
remark?: string;
/** 学籍号 */
rollNumber?: string;
/** 就读方式(xjr_dictionary_item[stduy_status]) */
stduyStatus?: string;
/** 学生来源(xjr_dictionary_item[student_type]) */
studentSource?: string;
/** 学生来源(xjr_dictionary_item[student_type]) */
studentType?: string;
/** 在读专业方向(base_major_set) */
studyYear?: number;
/** 准考证号 */
ticketNumber?: string;
/** 用户ID(xjr_user) */
userId?: string;
}

type AddBaseStudentSubsidizeDto = {
/** 是否建档立卡 */
isFilingCard?: number;
/** 是否免学费 */
isFree?: number;
/** 是否低保 */
isIndemnify?: number;
/** 是否享受国家助学金 */
isStipend?: number;
/** 学生资助卡号 */
stipendNumber?: string;
/** 助学金发放标准（元） */
stipendStand?: number;
/** 用户ID(xjr_user) */
userId?: string;
}

type AddBaseStudentUserDto = {
/** 地址 */
address?: string;
/** 头像 */
avatar?: string;
/** baseStudentContact子表 */
baseStudentContactList?: AddBaseStudentContactDto[];
/** baseStudentFamily子表 */
baseStudentFamilyList?: AddBaseStudentFamilyDto[];
/** baseStudentFamilyMember子表 */
baseStudentFamilyMemberList?: AddBaseStudentFamilyMemberDto[];
/** baseStudent子表 */
baseStudentList?: AddBaseStudentDto[];
/** baseStudentSchoolRoll子表 */
baseStudentSchoolRollList?: AddBaseStudentSchoolRollDto[];
/** baseStudentSubsidize子表 */
baseStudentSubsidizeList?: AddBaseStudentSubsidizeDto[];
/** 编号 */
code?: string;
/** 证件号码 */
credentialNumber?: string;
/** 证件类型(xjr_dictionary_item[credential_type]) */
credentialType?: string;
/** 邮箱 */
email?: string;
/** 性别 */
gender?: number;
/** 纬度 */
latitude?: number;
/** 经度 */
longitude?: number;
/** 手机号 */
mobile?: string;
/** 姓名 */
name?: string;
/** 昵称 */
nickName?: string;
/** 备注 */
remark?: string;
/** 排序码 */
sortCode?: number;
/** 账户 */
userName?: string;
}

type AddBaseTeacherContactDto = {
/** 现住地址 */
address?: string;
/** 微博地址 */
microblog?: string;
/** 办公室地址 */
officeAddress?: string;
/** 办公室电话 */
officeTel?: string;
/** QQ&MSN */
qqMsn?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 微信号 */
wechat?: string;
/** 住址邮编 */
zipCode?: string;
}

type AddBaseTeacherDto = {
/** 别名 */
asName?: string;
/** 生日类型(xjr_dictionary_item[date_type]) */
birthType?: string;
/** 血型(xjr_dictionary_item[blood_type]) */
bloodType?: string;
/** 港澳台侨外(xjr_dictionary_item[chinese_type]) */
chineseType?: string;
/** 市(xjr_area) */
city?: string;
/** 出生日期 */
dayOfBirth?: string;
/** 区/县(xjr_area) */
district?: string;
/** 聘用类型(xjr_dictionary_item[employ_type]) */
employType?: string;
/** 聘用方式(xjr_dictionary_item[employ_type])上级聘用类型 */
employWay?: string;
/** 英文姓名 */
enName?: string;
/** 曾用名 */
formerName?: string;
/** 健康状况(xjr_dictionary_item[health]) */
health?: string;
/** 户籍地址 */
houseHoldAddress?: string;
/** 户口类别(xjr_dictionary_item[house_hold_type]) */
houseHoldType?: string;
/** 是否在编 */
isOrganized?: number;
/** 在职状态(xjr_dictionary_item[job_state]) */
jobState?: string;
/** 来校年月 */
joinTime?: string;
/** 婚姻状况(xjr_dictionary_item[marital_state]) */
maritalState?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 国籍地区(xjr_dictionary_item[nationality]) */
nationality?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 省(xjr_area) */
provinces?: string;
/** 姓名拼音 */
pyName?: string;
/** 参加工作年月 */
startWorkTime?: string;
/** 用户ID(xjr_user) */
userId?: string;
}

type AddBaseTeacherEducationDto = {
/** 最高学位(xjr_dictionary_item[degree]) */
degree?: string;
/** 获得最高学位的院校 */
degreeCollege?: string;
/** 最高学历(xjr_dictionary_item[education]) */
education?: string;
/** 获得最高学历的院校 */
educationCollege?: string;
/** 所学专业 */
specialty?: string;
/** 用户ID(xjr_user) */
userId?: string;
}

type AddBaseTeacherEmployDto = {
/** 校内主岗位类别(xjr_dictionary_item[school_job_type]) */
jobCategory?: string;
/** 岗位等级(xjr_dictionary_item[school_job_level]) */
jobLevel?: string;
/** 岗位等级类型(xjr_dictionary_item[school_job_level_type]) */
jobLevelType?: string;
/** 校内主岗位(xjr_dictionary_item[school_job_type])上级校内主岗位类别 */
jobPost?: string;
/** 岗位类型 (1:校内主岗 2:校内兼职岗位 3:事业制单位主岗) */
type?: number;
/** 用户ID(xjr_user) */
userId?: string;
}

type AddBaseTeacherFamilyDto = {
/** 家庭住址 */
address?: string;
/** 联系人姓名 */
contact?: string;
/** 家庭经济情况 */
finance?: string;
/** 家庭人口 */
population?: number;
/** 家庭电话 */
telephone?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 家庭邮编 */
zipCode?: string;
}

type AddBaseTeacherFamilyMemberDto = {
/** 出生日期 */
dayOfBirth?: string;
/** 性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 是否为监护人 */
isGuardian?: number;
/** 联系电话 */
mobile?: string;
/** 姓名 */
name?: string;
/** 职业 */
occupation?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 与本人关系(xjr_dictionary_item[relationship]) */
relationship?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 工作单位 */
workUnit?: string;
}

type AddBaseTeacherRegularDto = {
/** 所属系统(xjr_dictionary_item[belong_org]) */
belongOrg?: string;
/** 教师资格证种类(xjr_dictionary_item[certificate_Type]) */
certificateType?: string;
/** 任教学科(base_course_subject) */
courseSubjectId?: string;
/** 是否双师型教师 */
isDoubleTeacher?: number;
/** 任教学科类别(base_major_categor) */
majorCategorId?: string;
/** 普通话等级(xjr_dictionary_item[mandarin_level]) */
mandarinLevel?: string;
/** 从教起始年月 */
startTeachTime?: string;
/** 任课状况(xjr_dictionary_item[teaching_status])多选 */
teachingStatus?: any[];
/** 用户ID(xjr_user) */
userId?: string;
}

type AddCadreDeptDto = {
/** 编码 */
code?: string;
/** 机构名称 */
name?: string;
/** 部门上级编号 */
parentId?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type AddCarManagementDto = {
/** 状态 1=启用 2=禁用 */
Status?: number;
/** 住址 */
cAddress?: string;
/** 结束时间 */
cEndTime?: Timestamp_1;
/** 收费类型 1=月卡 2=临时车 3=免费车 4=储值卡 */
cFeeType?: number;
/** 身份证号 */
cId?: string;
/** 姓名 */
cName?: string;
/** 联系电话 */
cPhone?: string;
/** 开始时间 */
cStartTime?: Timestamp_1;
/** 车牌类型 1=民用 2=军队 3=警用 4=武警 */
cType?: number;
/** 车牌号码 */
carNo?: string;
/** 用户ID(xjr_user) */
userId?: string;
}

type AddClassHonorsDto = {
/** 获奖日期 */
awardDate?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级id */
classId?: string;
/** 附件文件id */
fileId?: string;
/** 荣誉等级(xjr_dictionary_item[honors_grade]) */
honorsGrade?: string;
/** 荣誉级别(xjr_dictionary_item[honors_level]) */
honorsLevel?: string;
/** 荣誉名称 */
name?: string;
/** 序号 */
sortCode?: number;
}

type AddCodeRuleDto = {
/** 编号 */
code?: string;
/** 备注 */
description?: string;
/** 有效标志 */
enabledMark?: number;
/** 规则格式Json */
formatJson?: string;
/** 名称 */
name?: string;
/** 排序码 */
sortCode?: number;
}

type AddCodeSchemaDto = {
/** 分类（关联数据字典） */
category?: string;
/** 内容 */
content?: string;
/** 功能描述 */
description?: string;
/** 名称 */
name?: string;
/** 描述 */
remark?: string;
/** 模板状态（0-草稿，1-正式） */
status?: number;
/** 类型（0-数据优先模板,1-界面优先模板,2-简易模板） */
type?: number;
}

type AddCourseToSubjectGroupDto = {
/** 课程编号(base_course_subject) */
courseSubjectIds?: string[];
/** 学科组管理编号(subject_group) */
subjectGroupId?: string;
}

type AddDataAuthDto = {
/** 授权配置 授权方式为1  就会有 */
authConfigList?: DataAuthConfig对象[];
/** 授权公式  */
authFormula?: string;
/** 授权方式 0 简易 1 自定义 */
authMethod?: number;
/** 实现范围 如果是简易模式 就会有这个数据  */
authScope?: number;
/** 类型 0 角色 1 用户 */
authType?: number;
/** 编码 */
code?: string;
/** 名称 */
name?: string;
/** 授权对象 id 列表 */
objectIdList?: string[];
/** 备注 */
remark?: string;
}

type AddDatabaseLinkDto = {
/** 数据库名称 */
dbName?: string;
/** 数据库类型 */
dbType?: string;
/** 数据库版本 */
dbVersion?: string;
/** 驱动 */
driver?: string;
/** 连接地址 */
host?: string;
/** 密码 */
password?: string;
/** 备注 */
remark?: string;
/** 账号 */
username?: string;
}

type AddDatasourceDto = {
/** 编号 */
code?: string;
/** 数据库主键 */
databaselinkId?: string;
/** 名字 */
name?: string;
/** 备注 */
remark?: string;
/** sql语句 */
sqlScript?: string;
}

type AddDepartmentDto = {
/** 地址 */
address?: string;
/** 编码 */
code?: string;
/** 组织类别，1：公司，0：部门 */
departmentType?: number;
/** 邮箱 */
email?: string;
/** 是否启用 */
enabledMark?: number;
/** 电话 */
mobile?: string;
/** 机构名称 */
name?: string;
/** 机构名称 */
parentId?: string;
/** 备注 */
remark?: string;
/** 排序号 */
sortCode?: number;
/** 主页 */
website?: string;
}

type AddDepartmentUserDto = {
id?: string;
userIds?: string[];
}

type AddDictionaryDetailDto = {
/** 编码 */
code?: string;
/** 字典项id */
itemId?: string;
/** 名字 */
name?: string;
/** 父级编号 */
pId?: string;
/** 备注 */
remark?: string;
/** 排序号 */
sortCode?: number;
/** 值 */
value?: string;
}

type AddDictionaryItemDto = {
code?: string;
name?: string;
remark?: string;
sortCode?: number;
}

type AddEvaluateExecuterDto = {
/** 参评人id */
executerId?: string;
/** 参评人姓名 */
executerName?: string;
}

type AddEvaluateItemDto = {
/** 评价模版编号 */
evaluateTemplateId?: string;
/** 输入框是否为空 */
inputNotNull?: number;
/** 题目名称 */
problem?: string;
/** 题目分数（最小为0，只能整数） */
score?: number;
/** 序号 */
sortCode?: number;
/** 标题名称 */
topic?: string;
}

type AddEvaluateManageDto = {
/** 学期id */
baseSemesterId?: string;
/** 生成频率（xjr_dictionary_detail[create_frequency]） */
createFrequency?: string;
/** 结束时间 */
endTime?: string;
/** 评价模版编号 */
evaluateTemplateId?: string;
/** 是否自动生成（0:否，1:是） */
isAutoCreate?: number;
/** 评价名称 */
name?: string;
/** 发布部门id */
orgId?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（-1：未发布，1：进行中，0，暂停） */
status?: number;
}

type AddEvaluateObjectDto = {
/** 参评人信息 */
executerList?: AddEvaluateExecuterDto[];
/** 年级id */
gradeId?: string;
/** 被评价对象id */
objectId?: string;
/** 被评价对象名称 */
objectName?: string;
/** 被评价对象类别（teacher：老师，class：班级，student：学生） */
objectType?: string;
}

type AddEvaluateResultDto = {
/** 评价项编号 */
evaluateItemId?: string;
/** 建议/意见 */
opinion?: string;
/** 评价分数 */
score?: number;
}

type AddEvaluateSubmitRecordDto = {
/** 参评人编号 */
evaluateExecuterId?: string;
/** 评价管理编号 */
evaluateManageId?: string;
/** 被评对象（teacher：老师，class：班级，student：学生） */
evaluatedObject?: string;
/** 被评对象编号 */
evaluatedObjectId?: string;
}

type AddEvaluateTemplateDto = {
/** 使用部门ids */
deptIds?: string;
/** 评价类型(xjr_dictionary_item[evaluate_type]) */
evaluateType?: string;
/** 模板名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 状态（0:禁用 1:启用） */
status?: number;
/** 评价总分 */
total?: number;
}

type AddFormCodeFirstDto = {
/** 表单分类 关联 数据字典 */
category?: string;
/** 表单设计类型（0-数据优先，1-界面优先，2-简易模板） */
formDesignType?: number;
/** 表单设计json */
formJson?: FormDesignConfig;
/** 表单类型:0 系统表单 1 自定义表单 */
formType?: number;
/** 表单模板名称 */
name?: string;
/** 备注 */
remark?: string;
}

type AddFormDataFirstDto = {
/** 表单分类 关联 数据字典 */
category?: string;
/** 表单设计类型（0-数据优先，1-界面优先，2-简易模板） */
formDesignType?: number;
/** 表单设计json */
formJson?: FormDesignConfig_1;
/** 表单类型:0 系统表单 1 自定义表单 */
formType?: number;
/** 表单模板名称 */
name?: string;
/** 备注 */
remark?: string;
}

type AddFormReleaseDto = {
formId?: string;
listConfig?: ListConfig;
menuConfig?: MenuConfig;
}

type AddFuncDesignDto = {
/** 代码模板id */
codeSchemaId?: string;
/** 前端代码 */
codes?: GeneratorAppDto;
/** 状态 */
enabledMark?: number;
/** 页面类型:0 系统表单 1 自定义表单 */
formType?: number;
/** 功能描述 */
funcDescribe?: string;
/** 功能模块所选id */
funcModule?: string;
/** 是否生成代码  如果 formType 为自定义表单  需要传入  0 不生成  1 生成 */
isGeneratorCode?: number;
/** 页面配置json */
jsonContent?: string;
/** 菜单配置 */
menuConfigs?: AddAppMenuDto;
/** 备注 */
remark?: string;
/** 排序 */
sortCode?: number;
}

type AddLedgerConfigDto = {
/** magicapi接口地址 */
apiUrl?: string;
/** 台账配置信息 */
configJson?: string;
/** 台账名称 */
name?: string;
}

type AddLedgerConfigReleaseDto = {
/** 台账配置id(ledger_config) */
ledgerConfigId?: string;
menuConfig?: MenuConfig;
/** 备注信息 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type AddMaterialTaskAppendixDto = {
/** 文件ID(xjr_file) */
fileId?: string;
/** 材料提交任务(material_task) */
materialTaskId?: string;
}

type AddMaterialTaskAssignDto = {
/** 材料提交任务(material_task) */
materialTaskId?: string;
/** 用户列表 */
userList?: MaterialAssignUserDto[];
}

type AddMaterialTaskDto = {
/** 指派给几人 */
assignPerson?: number;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategory?: string;
/** materialTaskAppendix子表 */
materialTaskAppendixList?: AddMaterialTaskAppendixDto[];
/** 材料提交任务类型(material_type) */
materialTypeId?: string;
/** 任务名称 */
name?: string;
/** 按时提交 */
onTimePerson?: number;
/** 要求完成日期 */
requiredCompleteTime?: string;
/** 要求 */
requirement?: string;
/** 是否发送消息 0=不发 1=发送 */
sendMessage?: number;
/** 状态 1=未开始 2=进行中 3=结束 */
status?: number;
/** 已提交人数 */
submitedPerson?: number;
/** 延迟提交 */
timeDelay?: number;
/** 用户列表 */
userList?: MaterialAssignUserDto[];
}

type AddMaterialTypeAssignDto = {
/** 材料提交任务类型(material_type) */
materialTypeId?: string;
/** 用户列表 */
userList?: MaterialAssignUserDto[];
}

type AddMaterialTypeDto = {
/** 文件模板 */
folderId?: string;
/** 表单发布 */
formReleaseId?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategory?: string;
/** 任务名称 */
name?: string;
}

type AddMemberDto = {
/** 签章id */
id?: string;
/** 成员id/维护人员 */
userIds?: string[];
}

type AddMenuButtonDto = {
/** 编码 */
code?: string;
/** 图标 */
icon?: string;
/** 菜单id */
menuId?: string;
/** 请求方式 */
method?: number;
/** 按钮名 */
name?: string;
/** 请求地址 */
url?: string;
}

type AddMenuColumnDto = {
/** 编码 */
code?: string;
/** 描述 */
description?: string;
/** 菜单主键 */
menuId?: string;
/** 名称 */
name?: string;
/** 排序码 */
sortCode?: number;
}

type AddMenuDto = {
/** 是否允许删除 */
allowDelete?: number;
/** 是否允许修改 */
allowModify?: number;
/** 按钮列表 */
buttonList?: AddMenuButtonDto[];
/** 菜单编号 */
code?: string;
/** 列表字段列表 */
columnList?: AddMenuColumnDto[];
/** 组件地址 */
component?: string;
/** 菜单显示或者隐藏 */
display?: number;
/** 启用状态 */
enabledMark?: number;
/** 表单字段列表 */
formList?: AddMenuFormDto[];
/** 菜单图标 */
icon?: string;
/** 图标地址 */
iconUrl?: string;
/** 页面持久化 */
keepAlive?: number;
/** 组件类型 */
menuType?: number;
/** 组件名（路由名称） --  与vue代码组件名必须一直 才能做到缓存页面 相关联 */
name?: string;
/** 是否外链 */
outLink?: number;
/** 上级Id */
parentId?: string;
/** 地址 */
path?: string;
/** 备注 */
remark?: string;
/** 排序码 */
sortCode?: number;
/** 系统主键 */
systemId?: string;
/** 系统类型(xjr_dictionary_item[system_type]) */
systemType?: string;
/** 菜单名 */
title?: string;
}

type AddMenuFormDto = {
children?: AddMenuFormDto[];
/** 编码 */
code?: string;
/** 是否必填，0-非必填，1-必填 */
isRequired?: number;
/** 菜单主键 */
menuId?: string;
/** 名称 */
name?: string;
/** 父级字段 */
parentId?: string;
/** 排序码 */
sortCode?: number;
}

type AddNewsAppendixDto = {
/** 文件主键 */
fileId?: string;
/** 新闻主键 */
newsId?: string;
}

type AddNewsDto = {
/** 附件子表 */
appendixList?: AddNewsAppendixDto[];
/** 作者 */
authorName?: string;
/** 紧急程度  1=一般 2=紧急 */
emergent?: number;
/** 标题 */
fullHead?: string;
/** 标题颜色 */
fullHeadColor?: string;
/** 新闻内容 */
newsContent?: string;
/** 是否允许接收人转发 0=不能转发 1=允许转发 */
openForward?: number;
/** 接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求) */
openReply?: number;
/** 是否允许接收人查看其他接收人 0=不允许查看 1=允许查看 */
openViewOther?: number;
/** 关系子表 */
relationList?: AddNewsRelationDto[];
/** 发布时间 */
releaseTime?: string;
/** 备注 */
remark?: string;
/** 发送部门 */
sendDeptId?: string;
/** 张贴结束时间 */
sendEndDate?: string;
/** 发送范围 1=全校教职工 2=全校师生 3=指定人员 */
sendRange?: number;
/** 状态 1=未发布 2=已发布 3=下架 */
status?: number;
/** 类型（1-新闻2-公告） */
typeId?: number;
}

type AddNewsRelationDto = {
/** 父节点主键 */
parentId?: string;
/** 关系ID */
relationId?: string;
/** 关系类型 1=部门 2=人员 3=班级 */
relationType?: number;
}

type AddOfficialDocumentPostDto = {
/** 附件文件id */
fileId?: string;
/** 发文时间 */
postDate?: string;
/** 发文所属机构(xjr_department) */
postDepartmentId?: string;
/** 发文文号（发文文号自动生成，年+三位数字（三位数字从001开始）如2023001、2023002，依次生成） */
postNumber?: string;
/** 发文标题 */
postTitle?: string;
/** 序号 */
sortCode?: number;
}

type AddOfficialDocumentReceivedDto = {
/** 办结时间 */
checkoutTime?: string;
/** 来文文号 */
communicationNumber?: string;
/** 来文机构 */
communicationOrg?: string;
/** 文件密级(xjr_dictionary_item[document_level]) */
documentLevel?: string;
/** 紧急程度(xjr_dictionary_item[emergency_level]) */
emergencyLevel?: string;
/** 附件文件id */
fileId?: string;
/** 收文时间 */
receivedDate?: string;
/** 收文文号 */
receivedNumber?: string;
/** 收文标题 */
receivedTitle?: string;
/** 收文类型(xjr_dictionary_item[received_type]) */
receivedType?: string;
/** 序号 */
sortCode?: number;
}

type AddOrSubSignDto = {
schemaId?: string;
taskId?: string;
userIds?: string[];
}

type AddOrderDto = {
OrderManager?: string;
OrderName?: string;
OrderNum?: string;
OrderPriceCount?: number;
OrderProduct?: OrderProductDto[];
}

type AddPbSemesterConfigDto = {
/** 学期 */
baseSemesterId?: string;
/** 攀宝学期code */
beltcode?: string;
}

type AddPostDto = {
/** 编码 */
code?: string;
/** 岗位所属组织id */
deptId?: string;
/** 有效标记 */
enabledMark?: number;
/** 岗位名称 */
name?: string;
/** 父级 */
parentId?: string;
/** 备注 */
remark?: string;
/** 排序号 */
sortCode?: number;
}

type AddPrintSchemaDto = {
/** api配置 */
apiConfig?: string;
/** 分类id */
category?: string;
/** 编码 */
code?: string;
/** 打印配置 */
content?: string;
/** 图标 */
icon?: string;
/** 是否生成菜单 */
isMenu?: number;
/** 菜单id */
menuId?: string;
/** 名称 */
name?: string;
/** 父级菜单 */
parentId?: string;
/** 备注 */
remark?: string;
/** 排序 */
sortCode?: number;
}

type AddProclamationDto = {
/** 附件子表 */
appendixList?: AddNewsAppendixDto[];
/** 紧急程度  1=一般 2=紧急 */
emergent?: number;
/** 标题 */
fullHead?: string;
/** 标题颜色 */
fullHeadColor?: string;
/** 新闻内容 */
newsContent?: string;
/** 接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求) */
openReply?: number;
/** 关系子表 */
relationList?: AddNewsRelationDto[];
/** 发布时间 */
releaseTime?: string;
/** 发送部门 */
sendDeptId?: string;
/** 张贴结束时间 */
sendEndDate?: string;
/** 发送范围 1=全校师生 2=全校教职工 3=指定人员 */
sendRange?: number;
/** 状态 1=未发布 2=已发布 3=下架 */
status?: number;
/** 类型（1-新闻2-公告） */
typeId?: number;
}

type AddProfessionalReportDto = {
/** 编码 */
code?: string;
/** 文件路径 */
fileJson?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 排序 */
sortCode?: number;
/** 报表类型id */
typeId?: string;
/** 报表类型值 */
typeValue?: string;
}

type AddQuotaFormulaRuleAttributeDto = {
/** 属性值 */
formula?: string;
/** 属性名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type AddQuotaFormulaRuleConstantDto = {
/** 指标 */
bindQuota?: string;
/** 规则公式 */
formula?: string;
/** 基数名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type AddQuotaFormulaRuleDto = {
/** 指标 */
bindQuota?: string;
/** 规则公式 */
formula?: string;
/** 规则名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type AddReportReleaseDto = {
/** 菜单编码 */
code?: string;
dataType?: number;
icon?: string;
parentId?: string;
remark?: string;
reportId?: string;
sortCode?: number;
systemId?: string;
/** 菜单名 */
title?: string;
}

type AddRoleDto = {
/** 编码 */
code?: string;
/** 数据权限 */
dataAuthType?: number;
/** 启用状态 */
enabledMark?: number;
/** 名字 */
name?: string;
/** 备注 */
remark?: string;
/** 排序号 */
sortCode?: number;
}

type AddRoleUserDto = {
departmentIds?: string[];
id?: string;
/** 类型：0：人员选择，1：按组织架构选择 */
type?: number;
userIds?: string[];
}

type AddRoomBedCheckRecordDto = {
/** 查寝时间 */
checkRecordTime?: string;
/** 班级编号 */
classId?: string;
/** 附件文件id */
fileId?: string;
/** 情况 */
record?: string;
/** 备注 */
remark?: string;
/** roomBedCheckRecordRelation子表 */
roomBedCheckRecordRelationList?: AddRoomBedCheckRecordRelationDto[];
/** 序号 */
sortCode?: number;
/** 填写人 */
userId?: string;
}

type AddRoomBedCheckRecordRelationDto = {
/** 楼层 */
floorNumber?: number;
/** 楼栋(base_office_build) */
officeBuildId?: string;
/** 查寝记录编号（room_bed_check_record） */
roomBedCheckRecordId?: string;
/** 寝室编号(room) */
roomId?: string;
/** 寝室名称 */
roomName?: string;
/** 序号 */
sortCode?: number;
}

type AddRoomBedDto = {
/** 床位号 */
bedNumber?: number;
/** 是否入住（1:是 0:否） */
isCheckIn?: number;
/** 备注 */
remark?: string;
/** 寝室编号(room) */
roomId?: string;
/** 序号 */
sortCode?: number;
/** 学生用户编号 */
studentUserId?: string;
}

type AddRoomDto = {
/** 床位数 */
bedCount?: number;
/** 入住身份(xjr_dictionary_item[check_in_status]) */
checkInStatus?: string;
/** 楼层 */
floorNumber?: string;
/** 每层房间数 */
floorRoomsCount?: number;
/** 入住性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 楼栋(base_office_build) */
officeBuildId?: string;
}

type AddRoomRuleDto = {
/** 规则名称 */
name?: string;
/** 备注 */
remark?: string;
/** 规则配置（多个规则用逗号隔开，1为楼栋，2为楼层，3为寝室号） */
rule?: string;
}

type AddRoomRuleItemDto = {
/** 楼栋(base_office_build) */
officeBuildIds?: string[];
/** 寝室生成规则编号(room_rule) */
roomRuleId?: string;
}

type AddRoomStudentAppointDto = {
/** 职务编号【只取职位级别为寝室的,cadreLevel_room】(base_student_post) */
postId?: string;
/** 备注 */
remark?: string;
/** 寝室床位编号(room_bed) */
roomBedId?: string;
/** 寝室编号(room) */
roomId?: string;
/** 序号 */
sortCode?: number;
/** 学生用户编号 */
studentUserId?: string;
}

type AddRoomTeacherAppointDto = {
/** 寝室编号(roomIds) */
roomIds?: string[];
/** 用户编号 */
userIds?: string[];
}

type AddRoomValueWeekDto = {
/** 结束时间 */
endTime?: string;
/** 女生留宿人数 */
femaleStudents?: number;
/** 女寝宿管id */
femaleUserId?: string;
/** 教官id */
instructorUserId?: string;
/** 男生留宿人数 */
maleStudents?: number;
/** 男寝宿管id */
maleUserId?: string;
/** 开始时间 */
startTime?: string;
}

type AddScheduleDto = {
/** 类别 */
category?: string;
/** 备注 */
description?: string;
/** 提前提醒 */
early?: number;
/** 结束日期 */
endDate?: string;
/** 结束时间 */
endTime?: string;
/** 邮件提醒 */
isMailAlert?: number;
/** 手机提醒 */
isMobileAlert?: number;
/** 微信提醒 */
isWeChatAlert?: number;
/** 日程内容 */
scheduleContent?: string;
/** 日程名称 */
scheduleName?: string;
/** 日程状态 */
scheduleState?: number;
/** 排序码 */
sortCode?: number;
/** 开始日期 */
startDate?: string;
/** 开始时间 */
startTime?: string;
}

type AddSchoolRollCategoryDto = {
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 学籍异动类型(xjr_dictionary_item[school_change_type]) */
scholarshipSource?: string;
/** 序号 */
sortCode?: number;
}

type AddSchoolRollFurtherEducationDto = {
/** 申请人 */
applicantUserId?: string;
/** 异动后班级(base_class) */
backClassId?: string;
/** 异动后所属机构(xjr_department) */
backDepartmentId?: string;
/** 异动后入学年级(base_grade) */
backGradeId?: string;
/** 异动后专业方向(base_major_set) */
backMajorSetId?: string;
/** 异动前班级(base_class) */
beforeClassId?: string;
/** 异动前所属机构(xjr_department) */
beforeDepartmentId?: string;
/** 异动前入学年级(base_grade) */
beforeGradeId?: string;
/** 异动前专业方向(base_major_set) */
beforeMajorSetId?: string;
/** 原因 */
reason?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学生编号(学生user_id) */
studentId?: string;
}

type AddSchoolRollReasonDto = {
/** 原因 */
reason?: string;
/** 备注 */
remark?: string;
/** 学籍异动类别ID(school_roll_category) */
schoolRollCategoryId?: string;
/** 序号 */
sortCode?: number;
}

type AddSchoolRollTransferStudentDto = {
/** 家庭住址 */
address?: string;
/** 别名 */
asName?: string;
/** 转学前班级名称 */
beforeClassName?: string;
/** 转学前年级名称 */
beforeGradeName?: string;
/** 转学前专业方向名称 */
beforeMajorSetName?: string;
/** 转学前学号 */
beforeSchoolId?: string;
/** 转学前学校名称 */
beforeSchoolName?: string;
/** 所属派出所 */
belongsPolice?: string;
/** 出生地 市(xjr_area) */
birthCity?: string;
/** 出生地 区/县(xjr_area) */
birthDistrict?: string;
/** 出生地 省(xjr_area) */
birthProvinces?: string;
/** 生日类型(xjr_dictionary_item[date_type]) */
birthType?: string;
/** 血型(xjr_dictionary_item[blood_type]) */
bloodType?: string;
/** 港澳台侨外(xjr_dictionary_item[chinese_type]) */
chineseType?: string;
/** 籍贯 市(xjr_area) */
city?: string;
/** 班级(base_class) */
classId?: string;
/** 联系人姓名 */
contact?: string;
/** 证件号码 */
credentialNumber?: string;
/** 证件类型(xjr_dictionary_item[credential_type]) */
credentialType?: string;
/** 出生日期 */
dayOfBirth?: string;
/** 所属机构(xjr_department) */
departmentId?: string;
/** 籍贯 区/县(xjr_area) */
district?: string;
/** 性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 健康状况(xjr_dictionary_item[health]) */
health?: string;
/** 户口所在地 市(xjr_area) */
houseCity?: string;
/** 户口所在地 区/县(xjr_area) */
houseDistrict?: string;
/** 户口所在详细地址 */
houseHoldAddress?: string;
/** 户口类别(xjr_dictionary_item[house_hold_type]) */
houseHoldType?: string;
/** 户口所在地 省(xjr_area) */
houseProvinces?: string;
/** 入班时间 */
inClassDate?: string;
/** 是否建档立卡 */
isFilingCard?: number;
/** 是否流动人口 */
isFloatingPopulation?: number;
/** 是否免学费 */
isFree?: number;
/** 是否低保 */
isIndemnify?: number;
/** 是否随迁子女 */
isMigrateChildren?: number;
/** 是否住宿 */
isStay?: number;
/** 是否享受国家助学金 */
isStipend?: number;
/** 专业方向(base_major_set) */
majorSetId?: string;
/** 婚姻状况(xjr_dictionary_item[marital_state]) */
maritalState?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 国籍地区(xjr_dictionary_item[nationality]) */
nationality?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 籍贯 省(xjr_area) */
provinces?: string;
/** 信仰宗教(xjr_dictionary_item[religion]) */
religion?: string;
/** 学生居住地类型(xjr_dictionary_item[residence_type]) */
residenceType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
/** 家庭电话 */
telephone?: string;
/** 转学日期 */
transferDate?: string;
/** 微信号 */
wechat?: string;
}

type AddSpecialMenuDto = {
/** 功能编码 */
code?: string;
/** 字段权限 配置 0 所有 1指定 */
fieldAuthType?: number;
/** 专项菜单字段权限 指定成员 如果 field_auth_type == 1 才会有 */
fieldAuthUserId?: string;
/** 表单字段配置 */
fieldConfig?: string;
/** 菜单配置 */
menuInfo?: AddMenuDto;
/** 功能名称 */
name?: string;
/** 查询配置 */
queryConfig?: string;
/** 模板权限类型 0 所有 1 指定 */
schemaAuthType?: number;
/** 专项菜单使用人 如果 schema_auth_type == 1 才会有 */
schemaAuthUserId?: string;
/** 模板配置  */
schemaId?: string;
}

type AddStampDto = {
/** 1,上传图片，2,手写签名的类型 */
fileType?: number;
/** 图片地址 */
fileUrl?: string;
/** 签章名 */
name?: string;
/** 密码 */
password?: string;
/** 备注 */
remark?: string;
/** 排序 */
sortCode?: number;
/** 签章分类(数据字典) */
stampCategory?: string;
/** 签章类型 0 私人  1  公共 */
stampType?: number;
}

type AddStudentHonorsDto = {
/** 申请人 */
applicantUserId?: string;
/** 获奖日期 */
awardDate?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级id */
classId?: string;
/** 附件文件id */
fileId?: string;
/** 荣誉等级(xjr_dictionary_item[honors_grade]) */
honorsGrade?: string;
/** 荣誉级别(xjr_dictionary_item[honors_level]) */
honorsLevel?: string;
/** 荣誉类型(xjr_dictionary_item[honors_type]) */
honorsType?: string;
/** 所学专业 */
majorSetId?: string;
/** 荣誉名称 */
name?: string;
/** 序号 */
sortCode?: number;
/** 学号 */
studentId?: string;
/** 学生用户编号 */
studentUserId?: string;
}

type AddSubjectGroupCourseDto = {
/** 课程编号(base_course_subject) */
courseSubjectId?: string;
/** 序号 */
sortCode?: number;
/** 学科组管理编号(subject_group) */
subjectGroupId?: string;
}

type AddSubjectGroupDto = {
/** 组名 */
groupName?: string;
/** 组长用户编号 */
leaderUserId?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 学科组课程管理信息 */
subjectGroupCourseIds?: string[];
}

type AddSubsystemDto = {
/** 编码 */
code?: string;
/** 备注 */
description?: string;
/** 图标 */
icon?: string;
/** 主页地址 */
indexUrl?: string;
/** 翻译标记 */
lgmarkcode?: string;
/** 系统名 */
name?: string;
/** 排序码 */
sortCode?: number;
}

type AddTextbookClassRelationDto = {
/** 班级编号 */
classId?: string;
/** 序号 */
sortCode?: number;
/** 教材管理编号 */
textbookId?: string;
}

type AddTextbookDto = {
/** 估价(元) */
appraisalPrice?: number;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 书名 */
bookName?: string;
/** 课程编号(base_course_subject) */
courseSubjectId?: string;
/** 折扣 */
discount?: number;
/** 主编 */
editorInChief?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 是否为规划教材(xjr_dictionary_item[judgment_method_1]) */
isTextbookPlan?: string;
/** 国际标准书号 */
isbn?: string;
/** 国际标准刊号 */
issn?: string;
/** 定价(元) */
price?: number;
/** 出版社 */
publishingHouse?: string;
/** 序号 */
sortCode?: number;
/** 规格型号 */
specificationsModels?: string;
/** 库存 */
stock?: number;
/** 学科组管理编号(subject_group) */
subjectGroupId?: string;
/** 小计（元） */
subtotal?: number;
/** textbookClassRelation子表 */
textbookClassRelationList?: AddTextbookClassRelationDto[];
/** textbookSubscriptionRecord子表 */
textbookSubscriptionRecordList?: AddTextbookSubscriptionRecordDto[];
/** 教材类型(xjr_dictionary_item[textbook_type]) */
textbookType?: string;
/** 版本 */
version?: string;
}

type AddTextbookIssueRecordDto = {
/** 出库方式(xjr_dictionary_item[issue_mode]) */
issueMode?: string;
/** 出库数量 */
issueNumber?: number;
/** 出库用户编号 */
issueUserId?: string;
/** 领取用户编号 */
receiveUserId?: string;
/** 剩余数量 */
remainingNumber?: number;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 教材申领编号 */
wfTextbookClaimId?: string;
/** 教材申领项编号 */
wfTextbookClaimItemId?: string;
}

type AddTextbookStudentClaimDto = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级编号 */
classId?: string;
/** 是否领取（1:已领取 0:未领取） */
isClaim?: number;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 学生用户编号 */
studentUserId?: string;
/** 教材管理编号 */
textbookId?: string;
}

type AddTextbookSubscriptionRecordDto = {
/** 序号 */
sortCode?: number;
/** 教材管理编号 */
textbookId?: string;
/** 教材教辅征订编号 */
wfTextbookSubscriptionId?: string;
}

type AddTextbookWarehouseRecordDto = {
/** 折扣 */
discount?: number;
/** 定价(元) */
price?: number;
/** 序号 */
sortCode?: number;
/** 来源 */
source?: string;
/** 小计（元） */
subtotal?: number;
/** 教材管理编号 */
textbookId?: string;
/** 总价（元） */
totalPrice?: number;
/** 入库数量 */
warehouseNumber?: number;
}

type AddUserDto = {
/** 地址 */
address?: string;
/** 头像 */
avatar?: string;
/** 生日 */
birthDate?: Timestamp_1;
/** 编号 */
code?: string;
/** 部门id */
departmentIds?: string;
/** 邮箱 */
email?: string;
/** 性别 */
gender?: string;
/** 纬度 */
latitude?: number;
/** 经度 */
longitude?: number;
/** 手机号 */
mobile?: string;
/** 姓名 */
name?: string;
/** 昵称 */
nickName?: string;
/** 密码 */
password?: string;
/** qq号码 */
qqNumber?: string;
/** 备注 */
remark?: string;
/** 角色Id */
roleId: string;
/** 排序码 */
sortCode?: number;
/** 账户 */
userName?: string;
/** 微信号码 */
wechatNumber?: string;
}

type AddWfCadreCandidateDto = {
/** 申请时间 */
applicantTime?: string;
/** 申请人 */
applicantUserId?: string;
/** 干部部门编号 */
cadreDeptId?: string;
/** 班级名称 */
className?: string;
/** 部门指导教师用户编号 */
instructorUserId?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type AddWfHeadTeacherLeaveDto = {
/** 申请人 */
applicantUserId?: string;
/** 结束时间 */
endTime?: string;
/** 是否有替班教师（1:是 0:否） */
isSubstitute?: number;
/** 请假原因(xjr_dictionary_item[leave_reason]) */
leaveReason?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 替换教师 */
substituteUserId?: string;
}

type AddWfRoomApplicantDto = {
/** 申请人 */
applicantUserId?: string;
/** 班级名称 */
className?: string;
/** 班主任用户编号 */
headTeacherId?: string;
/** 离宿事由(xjr_dictionary_item[nos_reason]) */
nosReason?: string;
/** 寝室申请类型(xjr_dictionary_item[room_applicant_type]) */
recedeType?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type AddWfRoomReportDto = {
/** 申请人 */
applicantUserId?: string;
/** 附件文件id */
fileId?: string;
/** 班主任用户编号 */
headTeacherId?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type AddWfRoomStayOvernightDto = {
/** 申请人 */
applicantUserId?: string;
/** 班级 */
className?: string;
/** 时长（天） */
duration?: number;
/** 结束时间 */
endTime?: string;
/** 性别 */
genderName?: string;
/** 监护人电话 */
guardianMobile?: string;
/** 班主任用户编号 */
headTeacherId?: string;
/** 联系电话 */
mobile?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 寝室编号(room) */
roomId?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type AddWfSubscriptionDto = {
/** 附件 */
annex?: string;
/** 申请部门 */
applicationDepartment?: string;
/** 申请日期 */
shenQingRiQi4752?: string;
/** 预估总额（元） */
totalAmount?: number;
/** 申请人 */
userId?: string;
/** wfSubscriptionList子表 */
wfSubscriptionListList?: AddWfSubscriptionListDto[];
}

type AddWfSubscriptionListDto = {
/** 申购物品数量 */
amount?: number;
/** 品牌 */
brand?: string;
/** 估计单价 */
estimatedUnitPrice?: number;
/** 物品类型 */
itemType?: string;
/** 申购物品名称 */
nameOfThePurchasedItem?: string;
parentId?: string;
/** 规格型号 */
specificationAndModel?: string;
/** 合计金额 */
totalAmount?: number;
/** 单位 */
unit?: string;
/** 用途 */
yongTu8748?: string;
}

type AddWfTeacherleaveDto = {
/** 附件 */
annex?: string;
/** 所在部门 */
department?: string;
/** 是否班主任 */
isItAHomeroomTeacher?: string;
/** 请假天数 */
leaveDays?: number;
/** 请假结束时间 */
leaveEndTime?: string;
/** 请假开始时间 */
leaveStartTime?: string;
/** 请假类型 */
leaveType?: string;
/** 是否中层 */
middleLevelOrNot?: string;
/** 请假事由 */
reasonForLeave?: string;
/** 申请人 */
userId?: string;
}

type AddWfTextbookClaimDto = {
/** 申请人 */
applicantUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 领取地点 */
claimAddress?: string;
/** 申领类型(xjr_dictionary_item[claim_type]) */
claimType?: string;
/** 领取用户编号（申请人帮领取人申请去领取） */
claimUserId?: string;
/** 班级编号 */
classId?: string;
/** 代领取人 */
receiveUserId?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学生编号 */
studentUserId?: string;
/** wfTextbookClaimItem子表 */
wfTextbookClaimItemList?: AddWfTextbookClaimItemDto[];
}

type AddWfTextbookClaimItemDto = {
/** 申请数量 */
applicantNumber?: number;
/** 已发放数量 */
issueNumber?: number;
/** 序号 */
sortCode?: number;
/** 教材管理编号 */
textbookId?: string;
/** 教材申领编号 */
wfTextbookClaimId?: string;
}

type AddWfTextbookRecedeDto = {
/** 申请人 */
applicantUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级编号 */
classId?: string;
/** 退还地点 */
recedeAddress?: string;
/** 退书类型(xjr_dictionary_item[recede_type]) */
recedeType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** wfTextbookRecedeItem子表 */
wfTextbookRecedeItemList?: AddWfTextbookRecedeItemDto[];
}

type AddWfTextbookRecedeItemDto = {
/** 数量 */
number?: number;
/** 序号 */
sortCode?: number;
/** 教材管理编号 */
textbookId?: string;
/** 退书申请编号 */
wfTextbookRecedeId?: string;
}

type AddWorkflowSchemaDraftDto = {
childNodeConfig?: Map<string,object>[];
processConfig?: ProcessConfig;
}

type AddWorkflowSchemaDto = {
childNodeConfig?: Map<string,object>[];
processConfig?: ProcessConfig;
}

type AddXjrLiteflowChainDto = {
/** 应用名 */
applicationName?: string;
/** 备注 */
chainDesc?: string;
/** 规则名 */
chainName?: string;
/** 规则文件 */
elData?: string;
}

type AddXjrMenuQuickDto = {
/** 菜单编号 */
menuId?: string;
/** 序号 */
sortCode?: number;
/** 系统编号 */
systemId?: string;
}

type AddXjrUserDto = {
/** 地址 */
address?: string;
/** 头像 */
avatar?: string;
/** baseTeacherContact子表 */
baseTeacherContactList?: AddBaseTeacherContactDto[];
/** baseTeacherEducation子表 */
baseTeacherEducationList?: AddBaseTeacherEducationDto[];
/** baseTeacherEmploy子表 */
baseTeacherEmployList?: AddBaseTeacherEmployDto[];
/** baseTeacherFamily子表 */
baseTeacherFamilyList?: AddBaseTeacherFamilyDto[];
/** baseTeacherFamilyMember子表 */
baseTeacherFamilyMemberList?: AddBaseTeacherFamilyMemberDto[];
/** baseTeacher子表 */
baseTeacherList?: AddBaseTeacherDto[];
/** baseTeacherRegular子表 */
baseTeacherRegularList?: AddBaseTeacherRegularDto[];
/** 编号 */
code?: string;
/** 证件号码 */
credentialNumber?: string;
/** 证件类型(xjr_dictionary_item[credential_type]) */
credentialType?: string;
/** 邮箱 */
email?: string;
/** 性别 */
gender?: number;
/** 纬度 */
latitude?: number;
/** 经度 */
longitude?: number;
/** 手机号 */
mobile?: string;
/** 姓名 */
name?: string;
/** 昵称 */
nickName?: string;
/** 密码 */
password?: string;
/** 备注 */
remark?: string;
/** 排序码 */
sortCode?: number;
/** 账户 */
userName?: string;
}

type AdjustBedClassPageVo = {
/** 班级id */
id?: string;
/** 班级名称 */
name?: string;
/** 学生信息 */
studentList?: AdjustBedClassStudentPageVo[];
/** 班主任id */
teacherId?: string;
/** 班主任名称 */
teacherName?: string;
}

type AdjustBedClassStudentPageVo = {
/** 床位 */
bedNumber?: string;
/** 楼栋名称 */
buildName?: string;
/** 班级id */
classId?: string;
/** 班级名称 */
className?: string;
/** 入住性别 */
genderCn?: string;
/** 缴费状态（1:已缴费 0:未缴费） */
payStatus?: number;
/** 寝室名称 */
roomName?: string;
/** 学生名称 */
studentName?: string;
/** 学生id */
userId?: string;
}

type AdjustBedStudentPageVo = {
/** 床位 */
bedNumber?: string;
/** 楼栋名称 */
buildName?: string;
/** 班级名称 */
className?: string;
/** 入住性别 */
genderCn?: string;
/** 年级名称 */
gradeName?: string;
/** 床位id */
id?: string;
/** 是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否） */
isMax?: number;
/** 寝室id */
roomId?: string;
/** 寝室名称 */
roomName?: string;
/** 寝室长id(null即为未设置寝室长，非空即为设置了寝室长) */
studentAppointId?: string;
/** 学生名称 */
studentName?: string;
/** 学生id(null即为未设置寝室长，非空即为设置了寝室长) */
studentUserId?: string;
/** 班主任id */
teacherId?: string;
/** 班主任名称 */
teacherName?: string;
}

type ApiConfig = {
id?: string;
method?: string;
name?: string;
requestBodyConfigs?: ApiRequestParamsConfig[];
requestHeaderConfigs?: ApiRequestParamsConfig[];
requestParamsConfigs?: ApiRequestParamsConfig[];
}

type ApiRequestParamsConfig = {
assignmentType?: string;
config?: string;
dataType?: string;
defaultValue?: string;
id?: string;
name?: string;
value?: string;
}

type AppFormExecuteAddOrUpdateDto = {
formData?: any;
funcId?: string;
}

type AppFormExecuteDeleteDto = {
funcId?: string;
ids?: string[];
}

type AppFormExecuteInfoDto = {
/** 功能id 发布id */
funcId?: string;
/** 自定义表单 主键id */
id?: string;
}

type AppFormExecuteListDto = {
funcId?: string;
isTemplate?: boolean;
isTrans?: boolean;
params?: any;
}

type AppPageDesignDraftDto = {
/** 功能类别id */
categoryId?: string;
/** 页面编码 */
code?: string;
/** 1:启用，0：禁用，-1：草稿 */
enabledMark?: number;
/** 图标 */
icon?: string;
/** 主键 */
id?: string;
/** 是否是菜单：（0：否，1：是） */
isMenu?: number;
/** json内容 */
jsonContent?: string;
/** 页面名称 */
name?: string;
/** 备注 */
remark?: string;
/** 排序码 */
sortCode?: number;
}

type AppointPageRoomBedVo = {
/** 职务 */
postList?: string[];
/** 寝室床位编号(room_bed) */
roomBedId?: string;
/** 寝室编号(room) */
roomId?: string;
/** 学生用户编号 */
studentUserId?: string;
/** 学生用户编号 */
studentUserIdCN?: string;
}

type ApproveDto = {
/** 审批内容 */
approvedContent?: string;
/** 审批结果 buttonConfig 的 buttonCode  */
approvedResult?: string;
/** 审批类型 0 同意 1 拒绝 2 驳回 3 结束 4 其他（用户自定义按钮）  */
approvedType?: number;
/** 传阅人信息 */
circulateConfigs?: MemberConfig[];
/** 所有上传文件的文件夹id */
fileFolderIds?: string[];
/** 表单数据 */
formData?: any;
/** 驳回节点activityId (传入节点activityId) */
rejectNodeActivityId?: string;
/** 签章Id */
stampId?: string;
/** 签章如果有密码 填写的密码 */
stampPassword?: string;
/** 流程任务id */
taskId?: string;
}

type ApproveMultiDto = {
/** 审批内容 */
approvedContent?: string;
/** 审批类型 0 同意 1 拒绝 2 驳回 3 结束 4 其他（用户自定义按钮）  */
approvedType?: number;
/** 签章Id */
stampId?: string;
/** 签章如果有密码 填写的密码 */
stampPassword?: string;
/** 流程任务id */
taskIds?: string[];
}

type ApproveUserDto = {
approvedUsers?: string[];
taskId?: string;
}

type ApproveUserMultiDto = {
approveUserList?: ApproveUserDto[];
schemaId?: string;
}

type AttendanceConfigPageVo = {
/** 地点 */
address?: string;
/** 范围（米） */
attendanceRange?: number;
/** 考勤时间 */
attendanceTime?: LocalTime;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 纬度 */
latitude?: number;
/** 考勤节点(xjr_dictionary_item[attendance_node]) */
leaveReason?: string;
/** 经度 */
longitude?: number;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 序号 */
sortCode?: number;
}

type AttendanceConfigVo = {
/** 地点 */
address?: string;
/** 范围（米） */
attendanceRange?: number;
/** 考勤时间 */
attendanceTime?: LocalTime;
/** 主键编号 */
id?: string;
/** 纬度 */
latitude?: number;
/** 考勤节点(xjr_dictionary_item[attendance_node]) */
leaveReason?: string;
/** 经度 */
longitude?: number;
/** 序号 */
sortCode?: number;
}

type AttendancePersonnelPageVo = {
/** 部门 */
deptName?: string;
/** 性别 */
gender?: string;
/** 主键编号 */
id?: string;
/** 用户工号 */
jobNumber?: string;
/** 联系电话 */
mobile?: string;
/** 岗位 */
postName?: string;
/** 用户编号 */
userId?: string;
/** 用户姓名 */
userName?: string;
}

type AttendancePersonnelVo = {
/** 主键编号 */
id?: string;
/** 用户编号 */
userId?: string;
}

type AttendanceRecordPageVo = {
/** OA */
OA?: string;
/** 地点 */
address?: string;
/** 打卡时间 */
checkTime?: string;
/** 部门名 */
deptName?: string;
/** 主键编号 */
id?: string;
/** 状态（1:正常 2:迟到） */
status?: number;
/** 用户名 */
userName?: string;
}

type AttendanceRecordVo = {
/** 地点 */
address?: string;
/** 考勤时间 */
attendanceTime?: LocalTime;
/** 打卡时间 */
checkTime?: string;
/** 主键编号 */
id?: string;
/** 纬度 */
latitude?: number;
/** 考勤节点(xjr_dictionary_item[attendance_node]) */
leaveReason?: string;
/** 纬度 */
longitude?: number;
/** 序号 */
sortCode?: number;
/** 状态（1:正常 2:迟到） */
status?: number;
/** 用户编号 */
userId?: string;
}

type AuthConfig = {
authMemberConfigs?: MemberConfig[];
authType?: number;
}

type BaseAppFunctionListVo = {
/** 图标颜色 */
color?: string;
/** 图标 */
icon?: string;
/** 主键编号 */
id?: string;
/** 菜单类型 0=菜单 1=目录 */
isDirectory?: number;
/** 名称 */
name?: string;
/** 图标前缀 */
prefix?: string;
/** 模板ID */
schemaId?: string;
/** 排序 */
sortCode?: number;
/** 功能分类(xjr_dictionary_item[APPFUNC]) */
type?: string;
/** 功能地址 */
url?: string;
}

type BaseAppFunctionPageVo = {
/** 图标颜色 */
color?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 图标 */
icon?: string;
/** 主键编号 */
id?: string;
/** 菜单类型 0=菜单 1=目录 */
isDirectory?: number;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 名称 */
name?: string;
/** 图标前缀 */
prefix?: string;
/** 模板ID */
schemaId?: string;
/** 排序 */
sortCode?: number;
/** 功能分类(xjr_dictionary_item[APPFUNC]) */
type?: string;
/** 功能地址 */
url?: string;
}

type BaseAppFunctionVo = {
/** 图标颜色 */
color?: string;
/** 图标 */
icon?: string;
/** 主键编号 */
id?: string;
/** 菜单类型 0=菜单 1=目录 */
isDirectory?: number;
/** 名称 */
name?: string;
/** 图标前缀 */
prefix?: string;
/** 模板ID */
schemaId?: string;
/** 排序 */
sortCode?: number;
/** 功能分类(xjr_dictionary_item[APPFUNC]) */
type?: string;
/** 功能地址 */
url?: string;
}

/** 班级表 */
type BaseClass = {
/** 固定教室(base_classroom) */
classroomId?: string;
/** 班级代码 */
code?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 招生类型(xjr_dictionary_item[enroll_type]) */
enrollType?: string;
/** 所属年级(base_grade) */
gradeId?: string;
/** 主键 */
id?: string;
/** 在读状态(1: 在读 2: 毕业) */
isGraduate?: number;
/** 是否订单班 */
isOrderClass?: number;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 班级名称 */
name?: string;
/** 组织机构(xjr_department) */
orgId?: string;
/** 班主任(xjr_user) */
teacherId?: string;
}

type BaseClassMajorSetPageVo = {
/** 男生人数 */
boyNum?: number;
/** 班级(base_class_major_set) */
classId?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 女生人数 */
girlNum?: number;
/** 主键 */
id?: string;
/** 专业方向(base_major_set) */
majorSetId?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 计划人数 */
planTotalStudent?: number;
/** 班级人数 */
totalStudent?: number;
}

type BaseClassMajorSetVo = {
/** 男生人数 */
boyNum?: number;
/** 班级(base_class_major_set) */
classId?: string;
/** 女生人数 */
girlNum?: number;
/** 主键 */
id?: string;
/** 专业方向(base_major_set) */
majorSetId?: string;
/** 计划人数 */
planTotalStudent?: number;
/** 班级人数 */
totalStudent?: number;
}

type BasePersonnelLabourCapitalDataVo = {
/** 合计 */
amountTo?: string;
/** 扩展信息 */
extendJson?: string;
/** 主键编号 */
id?: string;
/** 证件号码 */
idNumber?: string;
/** 证件类型 */
idType?: string;
/** 工号 */
jobNumber?: string;
/** 工资发放id */
labourCapitalId?: string;
/** 名称 */
name?: string;
}

type BasePersonnelLabourCapitalMonthPageVo = {
/** 总计 */
amount?: number;
/** 部门 */
dept?: string;
/** 月工资明细 */
dict?: any;
/** 主键 */
id?: string;
/** 月份 */
month?: number;
/** 姓名 */
name?: string;
/** 待处理json */
pendingJson?: string;
/** 年份 */
year?: number;
}

type BasePersonnelLabourCapitalPageVo = {
/** 合计所属列 */
amountToColumn?: number;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 数据文件 */
dataFile?: string;
/** 数据开始行 */
dataRow?: number;
/** 发放年月 */
dateOfIssue?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 证件号码所属列 */
idNumberColumn?: number;
/** 证件类型所属列 */
idTypeColumn?: number;
/** 工号所属列 */
jobNumberColumn?: number;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 工资发放名称 */
name?: string;
/** 名称所属列 */
personnelNameColumn?: number;
}

type BasePersonnelLabourCapitalTitleVo = {
/** 所属列 */
columnNumber?: number;
/** 主键编号 */
id?: string;
/** 工资发放id */
labourCapitalId?: string;
/** 合并列数 */
mergeColumns?: number;
/** 合并行数 */
mergeRows?: number;
/** 表头名称 */
name?: string;
/** 所属行 */
rowsNumber?: number;
}

type BasePersonnelLabourCapitalVo = {
/** 合计所属列 */
amountToColumn?: number;
/** basePersonnelLabourCapitalData子表 */
basePersonnelLabourCapitalDataList?: BasePersonnelLabourCapitalDataVo[];
/** basePersonnelLabourCapitalTitle子表 */
basePersonnelLabourCapitalTitleList?: BasePersonnelLabourCapitalTitleVo[];
/** 数据文件 */
dataFile?: string;
/** 数据开始行 */
dataRow?: number;
/** 发放年月 */
dateOfIssue?: string;
/** 主键编号 */
id?: string;
/** 证件号码所属列 */
idNumberColumn?: number;
/** 证件类型所属列 */
idTypeColumn?: number;
/** 工号所属列 */
jobNumberColumn?: number;
/** 工资发放名称 */
name?: string;
/** 名称所属列 */
personnelNameColumn?: number;
}

type BasePersonnelLabourCapitalYearPageVo = {
/** 金额 */
amount?: number;
/** 部门 */
dept?: string;
/** 主键 */
id?: string;
/** 月份 */
month?: number;
/** 月金额 */
monthAmount?: number;
/** 姓名 */
name?: string;
/** 项目名称 */
project?: string;
/** 年金额 */
yearAmount?: number;
}

type BaseStudentAssessmentCategoryListVo = {
/** 编码 */
code?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 总分 */
totalScore?: number;
}

type BaseStudentAssessmentCategoryVo = {
/** 编码 */
code?: string;
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 总分 */
totalScore?: number;
}

type BaseStudentAssessmentClassListVo = {
/** 班级编号id */
classId?: string;
/** 班级编号id */
className?: string;
/** 主键编号 */
id?: string;
/** 班主任电话 */
mobile?: string;
/** 序号 */
sortCode?: number;
/** 班主任姓名 */
teacherName?: string;
}

type BaseStudentAssessmentInspectionMobilePageVo = {
/** 考核类别 */
assessmentCategoryName?: string;
/** 考核班级 */
assessmentClassName?: string;
/** 考核时间 */
assessmentDate?: string;
/** 考核项目 */
assessmentProjectName?: string;
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 分数 */
score?: number;
/** 分数类型(xjr_dictionary_item[score_type]) */
scoreType?: string;
/** 分数类型名称 */
scoreTypeCn?: string;
/** 影响班级考核的学生人数 */
studentCount?: number;
}

type BaseStudentAssessmentInspectionMobileVo = {
/** 考核类别 */
assessmentCategoryName?: string;
/** 班级 */
assessmentClassName?: string;
/** 考核时间 */
assessmentDate?: string;
/** 考核项目 */
assessmentProjectName?: string;
/** 考核用户 */
assessmentUserName?: string;
/** 学生班级巡查考核id */
baseStudentAssessmentInspectionId?: string;
/** 班级编号 */
classId?: string;
/** 数据创建时间 */
createDate?: string;
/** 登记人 */
createUserName?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 附件列表 */
fileInfos?: File对象[];
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 分数 */
score?: number;
/** 分数类型编码 */
scoreType?: string;
/** 分数类型 */
scoreTypeCn?: string;
/** 学生人数 */
studentCount?: number;
/** 影响班级考核的学生 */
studentList?: 学生班级巡查考核-关联学生对象[];
}

type BaseStudentAssessmentInspectionPageVo = {
/** 考核类别 */
assessmentCategoryName?: string;
/** 考核班级 */
assessmentClassNames?: string;
/** 考核时间 */
assessmentDate?: string;
/** 考核项目 */
assessmentProjectName?: string;
/** 考核用户(xjr_user) */
assessmentUserName?: string;
/** 年级(base_grade) */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 分数 */
score?: number;
/** 分数类型(xjr_dictionary_item[score_type]) */
scoreType?: string;
/** 分数类型名称 */
scoreTypeCn?: string;
/** 学期(base_semester) */
semesterName?: string;
/** 影响班级考核的学生人数 */
studentCount?: number;
}

type BaseStudentAssessmentInspectionVo = {
/** 考核类别 */
assessmentCategoryName?: string;
/** 考核时间 */
assessmentDate?: string;
/** 考核项目 */
assessmentProjectName?: string;
/** 考核用户(xjr_user) */
assessmentUserName?: string;
/** 班级信息 */
classList?: BaseStudentAssessmentClassListVo[];
/** 登记人 */
createUserName?: string;
/** 附件编号 */
fileId?: string;
/** 附件列表 */
fileInfos?: File对象[];
/** 年级(base_grade) */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 分数 */
score?: number;
/** 分数类型(xjr_dictionary_item[score_type]) */
scoreType?: string;
/** 分数类型名称 */
scoreTypeCn?: string;
/** 学期(base_semester) */
semesterName?: string;
/** 影响班级考核的学生 */
studentList?: 学生班级巡查考核-关联学生对象[];
}

type BaseStudentAssessmentItemPageVo = {
/** 学生考核类别(base_student_assessment_category) */
baseStudentAssessmentCategoryId?: string;
id?: string;
/** 项目名称 */
name?: string;
}

type BaseStudentAssessmentItemVo = {
/** 学生考核类别(base_student_assessment_category) */
baseStudentAssessmentCategoryId?: string;
id?: string;
/** 项目名称 */
name?: string;
}

type BaseStudentAssessmentProjectListVo = {
/** 加分范围（最大） */
addPointsMax?: number;
/** 加分范围（最小） */
addPointsMin?: number;
/** 学生考核类别(base_student_assessment_category) */
baseStudentAssessmentCategoryId?: string;
/** 操行项目编号 */
baseStudentBehaviorProjectId?: string;
/** 基础分 */
basicPoints?: number;
/** 折算操行分要求 */
behaviorScore?: number;
/** 手动处理学生操行分说明 */
behaviorScoreRemark?: string;
/** 编码 */
code?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 所属机构(xjr_department) */
departmentId?: string;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 是否影响(1:是 0:否) */
isAffect?: number;
/** 是否允许班主任修改项目(1:是 0:否) */
isTeacherEdit?: number;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 名称 */
name?: string;
/** 扣分范围（最大） */
pointsDeductedMax?: number;
/** 扣分范围（最小） */
pointsDeductedMin?: number;
/** 学生操行分处理方式(xjr_dictionary_item[ap_method]) */
processingMethod?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type BaseStudentAssessmentProjectPageVo = {
/** 加分范围（最大） */
addPointsMax?: number;
/** 加分范围（最小） */
addPointsMin?: number;
/** 考核对象（class:班级 personal:个人） */
assessmentType?: string;
/** 学生考核类别(base_student_assessment_category) */
baseStudentAssessmentCategoryId?: string;
/** 学生考核类别名称(base_student_assessment_category) */
baseStudentAssessmentCategoryName?: string;
/** 操行项目编号 */
baseStudentBehaviorProjectId?: string;
/** 基础分 */
basicPoints?: number;
/** 折算操行分要求 */
behaviorScore?: number;
/** 手动处理学生操行分说明 */
behaviorScoreRemark?: string;
/** 编码 */
code?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 所属机构(xjr_department) */
departmentId?: string;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 是否影响(1:是 0:否) */
isAffect?: number;
/** 是否允许班主任修改项目(1:是 0:否) */
isTeacherEdit?: number;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 名称 */
name?: string;
/** 扣分范围（最大） */
pointsDeductedMax?: number;
/** 扣分范围（最小） */
pointsDeductedMin?: number;
/** 学生操行分处理方式(xjr_dictionary_item[ap_method]) */
processingMethod?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type BaseStudentAssessmentProjectTreeVo = {
children?: BaseStudentAssessmentProjectTreeVo[];
id?: string;
/** 名字 */
name?: string;
/** 父级id */
parentId?: string;
}

type BaseStudentAssessmentProjectVo = {
/** 加分范围（最大） */
addPointsMax?: number;
/** 加分范围（最小） */
addPointsMin?: number;
/** 考核对象（class:班级 personal:个人） */
assessmentType?: string;
/** 学生考核类别(base_student_assessment_category) */
baseStudentAssessmentCategoryId?: string;
/** 操行项目编号 */
baseStudentBehaviorProjectId?: string;
/** 基础分 */
basicPoints?: number;
/** 折算操行分要求 */
behaviorScore?: number;
/** 手动处理学生操行分说明 */
behaviorScoreRemark?: string;
/** 编码 */
code?: string;
/** 所属机构(xjr_department) */
departmentId?: string;
/** 主键编号 */
id?: string;
/** 是否影响(1:是 0:否) */
isAffect?: number;
/** 是否允许班主任修改项目(1:是 0:否) */
isTeacherEdit?: number;
/** 名称 */
name?: string;
/** 扣分范围（最大） */
pointsDeductedMax?: number;
/** 扣分范围（最小） */
pointsDeductedMin?: number;
/** 学生操行分处理方式(xjr_dictionary_item[ap_method]) */
processingMethod?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type BaseStudentBehaviorCategoryListVo = {
/** 编码 */
code?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type BaseStudentBehaviorCategoryPageVo = {
/** 编码 */
code?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type BaseStudentBehaviorCategoryVo = {
/** 编码 */
code?: string;
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type BaseStudentBehaviorClassRelationVo = {
/** 学生操行分记录管理id */
baseStudentBehaviorManageId?: string;
/** 班级编号id */
classId?: string;
/** 班级名称 */
className?: string;
/** 主键编号 */
id?: string;
/** 序号 */
sortCode?: number;
/** 班主任姓名 */
teacherName?: string;
}

type BaseStudentBehaviorManageMobilePageVo = {
/** 考核地点 */
assessmentAddress?: string;
/** 考核时间 */
assessmentDate?: string;
/** 考核人 */
assessmentUserName?: string;
/** 考核类别 */
behaviorCategoryName?: string;
/** 考核项目 */
behaviorProjectName?: string;
/** 考核类别 */
categoryName?: string;
/** 班级名称 */
className?: string;
/** 学生姓名 */
name?: string;
/** 考核项 */
projectName?: string;
/** 分数 */
score?: number;
/** 考核类型 */
scoreType?: string;
/** 序号 */
sortCode?: number;
}

type BaseStudentBehaviorManagePageVo = {
/** 考核地点 */
assessmentAddress?: string;
/** 考核时间 */
assessmentDate?: string;
/** 考核人 */
assessmentUserName?: string;
/** 考核类别 */
behaviorCategoryName?: string;
/** 班级名称 */
behaviorClassNames?: string;
/** 考核项目 */
behaviorProjectName?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 主键编号 */
id?: string;
/** 是否影响(1:是 0:否) */
isAffect?: number;
/** 备注 */
remark?: string;
/** 分数 */
score?: number;
/** 分数次数 */
scoreNumber?: number;
/** 考核类型 */
scoreType?: string;
/** 学期 */
semesterName?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 总分 */
totalScore?: number;
}

type BaseStudentBehaviorManageVo = {
/** 考核地点 */
assessmentAddress?: string;
/** 考核时间 */
assessmentDate?: string;
/** baseStudentBehaviorClassRelation子表 */
baseStudentBehaviorClassRelationList?: BaseStudentBehaviorClassRelationVo[];
/** baseStudentBehaviorStudentRelation子表 */
baseStudentBehaviorStudentRelationList?: BaseStudentBehaviorStudentRelationVo[];
/** 文件ID(xjr_file) */
fileId?: string;
/** 附件列表 */
fileInfos?: File对象[];
/** 主键编号 */
id?: string;
/** 是否影响(1:是 0:否) */
isAffect?: number;
/** 备注 */
remark?: string;
/** 分数 */
score?: number;
/** 分数次数 */
scoreNumber?: number;
/** 分数类型 */
scoreType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 总分 */
totalScore?: number;
}

type BaseStudentBehaviorProjectPageVo = {
/** 自动换算考核类型(xjr_dictionary_item[score_type]) */
automaticScoreType?: string;
/** 班级考核项目编号（base_student_assessment_project） */
baseStudentAssessmentProjectId?: string;
/** 学生考核类别编号(base_student_behavior_category) */
baseStudentBehaviorCategoryId?: string;
/** 编码 */
code?: string;
/** 换算方式(1:手动换算 2:自动换算) */
conversionMethod?: number;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 是否允许调整(1:是 0:否) */
isAdjustment?: number;
/** 是否影响班级考核(1:是 0:否) */
isImpactAssessment?: number;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 名称 */
name?: string;
/** 扣分范围（最大） */
pointsDeductedMax?: number;
/** 扣分范围（最小） */
pointsDeductedMin?: number;
/** 备注 */
remark?: string;
/** 分值 */
score?: number;
/** 考核类型(xjr_dictionary_item[score_type]) */
scoreType?: string;
/** 考核类型中文名(xjr_dictionary_item[score_type]) */
scoreTypeCN?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type BaseStudentBehaviorProjectTreeVo = {
children?: BaseStudentBehaviorProjectTreeVo[];
id?: string;
/** 名字 */
name?: string;
/** 父级id */
parentId?: string;
}

type BaseStudentBehaviorProjectVo = {
/** 自动换算考核类型(xjr_dictionary_item[score_type]) */
automaticScoreType?: string;
/** 班级考核项目编号（base_student_assessment_project） */
baseStudentAssessmentProjectId?: string;
/** 学生考核类别编号(base_student_behavior_category) */
baseStudentBehaviorCategoryId?: string;
/** 编码 */
code?: string;
/** 换算方式(1:手动换算 2:自动换算) */
conversionMethod?: number;
/** 主键编号 */
id?: string;
/** 是否允许调整(1:是 0:否) */
isAdjustment?: number;
/** 是否影响班级考核(1:是 0:否) */
isImpactAssessment?: number;
/** 名称 */
name?: string;
/** 扣分范围（最大） */
pointsDeductedMax?: number;
/** 扣分范围（最小） */
pointsDeductedMin?: number;
/** 备注 */
remark?: string;
/** 分值 */
score?: number;
/** 考核类型(xjr_dictionary_item[score_type]) */
scoreType?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type BaseStudentBehaviorStudentRelationVo = {
/** 学生操行分记录管理id */
baseStudentBehaviorManageId?: string;
/** 所在班级 */
className?: string;
/** 性别 */
gender?: string;
/** 主键编号 */
id?: string;
/** 所学专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 序号 */
sortCode?: number;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

type BaseStudentBursariesApplicantPageVo = {
/** 申请金额 */
applicantAmount?: number;
/** 申请人 */
applicantUserId?: string;
/** 银行卡号 */
bankNo?: string;
/** 收款银行(xjr_dictionary_item[bank_type]) */
bankType?: string;
/** 银行卡类别-中文 */
bankTypeCn?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 助学金项目ID(base_student_bursaries_project) */
baseStudentBursariesProjectId?: string;
/** 班级编号 */
classId?: string;
/** 班级名称 */
className?: string;
/** 招生类型名称 */
enrollTypeCn?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 性别 */
genderName?: string;
/** 年级名称 */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 在读专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

type BaseStudentBursariesApplicantVo = {
/** 申请人 */
applicantUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 助学金项目ID(base_student_bursaries_project) */
baseStudentBursariesProjectId?: string;
/** 班级编号 */
classId?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 主键编号 */
id?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type BaseStudentBursariesProjectPageVo = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 助学金类型(xjr_dictionary_item[bursaries_type]) */
bursariesType?: string;
/** 助学金类型 - 中文 */
bursariesTypeCn?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 总金额 */
totalAmount?: number;
}

type BaseStudentBursariesProjectVo = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 助学金类型(xjr_dictionary_item[bursaries_type]) */
bursariesType?: string;
/** 结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 总金额 */
totalAmount?: number;
}

type BaseStudentBursariesStudentPageVo = {
/** 申请金额 */
applicantAmount?: number;
/** 银行卡号 */
bankNo?: string;
/** 收款银行(xjr_dictionary_item[bank_type]) */
bankType?: string;
/** 助学金申请ID(base_student_bursaries_applicant) */
baseStudentBursariesApplicantId?: string;
/** 班级名称 */
className?: string;
/** 招生类型名称 */
enrollTypeCn?: string;
/** 性别 */
genderName?: string;
/** 年级名称 */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 在读专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

type BaseStudentBursariesStudentVo = {
/** 申请金额 */
applicantAmount?: number;
/** 银行卡号 */
bankNo?: string;
/** 收款银行(xjr_dictionary_item[bank_type]) */
bankType?: string;
/** 助学金申请ID(base_student_bursaries_applicant) */
baseStudentBursariesApplicantId?: string;
/** 班级名称 */
className?: string;
/** 招生类型名称 */
enrollTypeCn?: string;
/** 性别 */
genderName?: string;
/** 年级名称 */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 在读专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

type BaseStudentCadrePageVo = {
/** 干部部门编号 */
cadreDeptId?: string;
/** 干部部门编号 */
cadreDeptIdCN?: string;
/** 班级id */
classId?: string;
/** 班级名称 */
className?: string;
/** 任职结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 离职原因 */
leaveReason?: string;
/** 离职生效日期 */
leaveTime?: string;
/** 职务级别 */
level?: string;
/** 职务 */
post?: string;
/** 职务id */
postId?: string;
/** 任职开始时间 */
startTime?: string;
/** 状态（1:在职 0:离职） */
status?: number;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
/** 学生姓名 */
userName?: string;
}

type BaseStudentCadreVo = {
/** 干部部门编号 */
cadreDeptId?: string;
/** 干部部门编号 */
cadreDeptIdCN?: string;
/** 班级id */
classId?: string;
/** 班级名称 */
className?: string;
/** 任职结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 离职原因 */
leaveReason?: string;
/** 离职生效日期 */
leaveTime?: string;
/** 职务级别 */
level?: string;
/** 职务 */
post?: string;
/** 职务id */
postId?: string;
/** 任职开始时间 */
startTime?: string;
/** 状态（1:在职 0:离职） */
status?: number;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
/** 学生姓名 */
userName?: string;
}

type BaseStudentGraduatePageVo = {
/** 附件id */
appendixId?: string;
/** 学籍状态 */
archivesStatus?: string;
/** 学籍状态 */
archivesStatusCn?: string;
/** 发证日期 */
certificateDate?: string;
/** 证书编号 */
certificateNumber?: string;
/** 班级名称 */
className?: string;
/** 公文附件列表 */
fileInfos?: File对象[];
/** 性别 */
gender?: string;
/** 性别 */
genderCn?: string;
/** 年级名称 */
gradeName?: string;
/** 主键编号（null时为毕业登记，有值时为修改） */
id?: string;
/** 专业 */
majorName?: string;
/** 学生姓名 */
name?: string;
/** 联系方式 */
phone?: string;
/** 学籍形式 */
rollModality?: string;
/** 学籍形式 */
rollModalityCn?: string;
/** 证书发放状态（0:未发放 1:已发放） */
status?: number;
/** 就读方式 */
stduyStatus?: string;
/** 就读方式 */
stduyStatusCn?: string;
/** 学籍号 */
studentId?: string;
/** 学生user_id */
userId?: string;
}

type BaseStudentGraduateVo = {
/** 附件id */
appendixId?: string;
/** 发证日期 */
certificateDate?: string;
/** 证书编号 */
certificateNumber?: string;
/** 公文附件列表 */
fileInfos?: File对象[];
/** 主键编号 */
id?: string;
/** 离寝日期(住读的学生才村) */
leavingBedDate?: string;
/** 专业 */
majorName?: string;
/** 学生姓名 */
name?: string;
/** 证书发放状态（0:未发放 1:已发放） */
status?: number;
/** 就读方式 */
stduyStatusCn?: string;
/** 学籍号 */
studentId?: string;
/** 学生(xjr_user) */
userId?: string;
}

type BaseStudentInfoDetailVo = {
/** 学籍状态(xjr_dictionary_item[archives_status]) */
archivesStatus?: string;
/** 学籍状态(xjr_dictionary_item[archives_status]) */
archivesStatusCode?: string;
/** 头像 */
avatar?: string;
/** 床位信息 */
bedInfo?: string;
/** 出生日期 */
birthDate?: string;
/** 班级名称 */
className?: string;
/** 性别 */
gender?: string;
/** 性别中文 */
genderCn?: string;
/** 监护人电话 */
guardianPhone?: string;
/** 主键编号 */
id?: string;
majorSetName?: string;
/** 民族 */
nation?: string;
/** 本人电话 */
phone?: string;
/** 学习形式 */
rollModality?: string;
/** 学习形式 */
rollModalityCode?: string;
/** 序号 */
sortCode?: number;
/** 就读方式(xjr_dictionary_item[stduy_status]) */
stduyStatus?: string;
/** 就读方式(xjr_dictionary_item[stduy_status]) */
stduyStatusCode?: string;
/** 学号 */
studentId?: string;
/** 学生姓名 */
studentName?: string;
/** 班主任名称 */
teacherName?: string;
/** 班主任电话 */
teacherPhone?: string;
}

type BaseStudentInfoPageDataVo = {
/** 女生人数 */
femaleCount?: number;
/** 走读女生人数 */
femaleNotStayCount?: number;
/** 住校女生人数 */
femaleStayCount?: number;
/** 男生人数 */
maleCount?: number;
/** 走读男生人数 */
maleNotStayCount?: number;
/** 住校男生人数 */
maleStayCount?: number;
/** 走读数量 */
notStayCount?: number;
/** 住校数量 */
stayCount?: number;
/** 总人数 */
totalCount?: number;
}

type BaseStudentInfoPageVo = {
/** 班级名称 */
className?: string;
/** 监护人电话 */
guardianPhone?: string;
/** 主键编号 */
id?: string;
/** 本人电话 */
phone?: string;
/** 序号 */
sortCode?: number;
/** 学号 */
studentId?: string;
/** 学生姓名 */
studentName?: string;
/** 班主任名称 */
teacherName?: string;
/** 班主任电话 */
teacherPhone?: string;
}

type BaseStudentPostListVo = {
/** 主键编号 */
id?: string;
/** 职务 */
post?: string;
/** 序号 */
sortCode?: number;
}

type BaseStudentPostPageVo = {
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 职责描述 */
explains?: string;
/** 主键编号 */
id?: string;
/** 是否允许德育检查(1:是 0:否) */
isAllowedCheck?: number;
/** 职务级别 */
level?: string;
/** 职务级别中文 */
levelCn?: string;
/** 职务 */
post?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type BaseStudentPostVo = {
/** 职责描述 */
explains?: string;
/** 主键编号 */
id?: string;
/** 是否允许德育检查(1:是 0:否) */
isAllowedCheck?: number;
/** 职务级别 */
level?: string;
/** 职务 */
post?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type BaseStudentPunishmentInfoDetailVo = {
/** 处分学期 */
baseSemesterName?: string;
/** 学生班级 */
className?: string;
/** 处分结束日期 */
endTime?: string;
/** 文件id */
fileId?: string;
/** 文件集合 */
fileList?: File对象[];
/** 主键编号 */
id?: string;
/** 是否公示(1:是 0:否) */
isPublicity?: number;
/** 处分类型 */
punishmentType?: string;
/** 发送处分(1:班主任 2:学生 3:家长) */
pushMessageObject?: number;
/** 处分原因 */
reason?: string;
/** 处分开始日期 */
startTime?: string;
/** 学生集合 */
studentList?: 学生处分信息-关联学生对象[];
}

type BaseStudentPunishmentInfoMobileDetailVo = {
/** 调整日期 */
adjustDate?: string;
/** 调整原因 */
adjustReason?: string;
/** 调整类型 */
adjustType?: string;
/** 处分学期 */
baseSemesterName?: string;
/** 所在班级 */
className?: string;
/** 处分日期 */
createTime?: string;
/** 证件号码 */
credentialNumber?: string;
/** 处分结束日期 */
endTime?: string;
/** 学生性别 */
gender?: number;
/** 主键编号 */
id?: string;
/** 是否公示 */
isPublicity?: number;
/** 在读专业 */
major?: string;
/** 操作时间 */
modifyTime?: string;
/** 处分类型 */
punishmentType?: string;
/** 发送处分(1:班主任 2:学生 3:家长) */
pushMessageObject?: number;
/** 处分原因 */
reason?: string;
/** 处分开始日期 */
startTime?: string;
/** 学生学号 */
studentId?: string;
/** 学生姓名 */
studentName?: string;
}

type BaseStudentPunishmentInfoMobilePageVo = {
/** 证件号 */
credentialNumber?: string;
/** 性别 */
gender?: string;
/** 主键编号 */
id?: string;
/** 处分类型 */
punishmentType?: string;
/** 处分原因 */
reason?: string;
/** 处分开始时间 */
startTime?: string;
/** 学号 */
studentId?: string;
/** 学生姓名 */
studentName?: string;
}

type BaseStudentPunishmentInfoPageVo = {
/** 处分学期 */
baseSemesterName?: string;
/** 学生班级 */
className?: string;
/** 处分结束日期 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 是否公示(1:是 0:否) */
isPublicity?: number;
/** 处分类型 */
punishmentType?: string;
/** 发送处分(1:班主任 2:学生 3:家长) */
pushMessageObject?: number;
/** 处分原因 */
reason?: string;
/** 处分开始日期 */
startTime?: string;
}

type BaseStudentScholarshipApplicantCategoryPageVo = {
/** 申请人数 */
applicantUserCount?: number;
/** 发放金额 */
grantAmount?: number;
/** 主键编号 */
id?: string;
/** 奖金名称 */
name?: string;
/** 上报金额 */
reportAmount?: number;
}

type BaseStudentScholarshipApplicantPageVo = {
/** 申请人 */
applicantUserId?: string;
/** 获奖日期 */
awardDate?: string;
/** 银行卡号 */
bankNo?: string;
/** 收款银行(xjr_dictionary_item[bank_type]) */
bankType?: string;
/** 收款银行-中文 */
bankTypeCn?: string;
/** 奖学金类别ID(base_student_scholarship_category) */
baseStudentScholarshipCategoryId?: string;
/** 班级名称 */
className?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 招生类型名称 */
enrollTypeCn?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 性别 */
genderName?: string;
/** 入学名称 */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 在读专业 */
majorName?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 姓名 */
name?: string;
/** 发放状态（1:已发放 0:未发放） */
releaseStatus?: number;
/** 学期名称 */
semesterName?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type BaseStudentScholarshipApplicantVo = {
/** 申请人 */
applicantUserId?: string;
/** 获奖日期 */
awardDate?: string;
/** 银行卡号 */
bankNo?: string;
/** 收款银行(xjr_dictionary_item[bank_type]) */
bankType?: string;
/** 奖学金类别ID(base_student_scholarship_category) */
baseStudentScholarshipCategoryId?: string;
/** 班级名称 */
className?: string;
/** 招生类型名称 */
enrollTypeCn?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 性别 */
genderName?: string;
/** 入学名称 */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 在读专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 发放状态（1:已发放 0:未发放） */
releaseStatus?: number;
/** 学期名称 */
semesterName?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type BaseStudentScholarshipCategoryPageVo = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 奖学金等级 0=无等级 */
scholarshipLevel?: number;
/** 奖学金来源(xjr_dictionary_item[scholarship_source]) */
scholarshipSource?: string;
/** 奖学金来源-中文 */
scholarshipSourceCn?: string;
/** 序号 */
sortCode?: number;
/** 总金额 */
totalAmount?: number;
}

type BaseStudentScholarshipCategoryVo = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** baseStudentScholarshipLevel子表 */
baseStudentScholarshipLevelList?: BaseStudentScholarshipLevelVo[];
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 奖学金等级 0=无等级 */
scholarshipLevel?: number;
/** 奖学金来源(xjr_dictionary_item[scholarship_source]) */
scholarshipSource?: string;
/** 序号 */
sortCode?: number;
/** 总金额 */
totalAmount?: number;
}

type BaseStudentScholarshipLevelVo = {
/** 金额 */
amount?: number;
/** 奖学金类别ID(base_student_scholarship_category) */
baseStudentScholarshipCategoryId?: string;
/** 主键编号 */
id?: string;
/** 奖学金等级 0=无等级 */
level?: number;
/** 序号 */
sortCode?: number;
}

type BaseStudentTreeVo = {
/** children */
children?: BaseStudentTreeVo[];
/** id */
id?: string;
/** name */
name?: string;
/** disabled */
parentId?: string;
}

type BatchGeneratorDto = {
categoryId?: string;
databaseId?: string;
/** 表单事件 */
formEventConfig?: any;
formJson?: FormConfig_6;
frontCode?: FrontCode;
id?: string;
isDataAuth?: boolean;
listConfig?: ListConfig;
name?: string;
outputConfig?: OutputConfig;
tableConfigs?: TableConfig[];
}

type BatchSetDataAuthDto = {
/** 数据id集合 */
dataIdList?: string[];
/** 用户id集合 */
userIdList?: string[];
}

type BindOpenidDto = {
id?: string;
openid?: string;
unionid?: string;
}

type ButtonConfig = {
code?: string;
icon?: string;
isDefault?: boolean;
isUse?: boolean;
name?: string;
}

type CadreDeptPageVo = {
/** 编码 */
code?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 机构名称 */
name?: string;
/** 部门上级编号 */
parentId?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type CadreDeptTreeVo = {
children?: CadreDeptTreeVo[];
/** 编码 */
code?: string;
/** 主键编号 */
id?: string;
/** 部门指导教师用户编号 */
instructorUserId?: string;
/** 部门指导教师用户姓名 */
instructorUserIdCN?: string;
/** 机构名称 */
name?: string;
/** 部门上级编号 */
parentId?: string;
/** 备注 */
remark?: string;
}

type CadreDeptVo = {
/** 编码 */
code?: string;
/** 主键编号 */
id?: string;
/** 机构名称 */
name?: string;
/** 部门上级编号 */
parentId?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type CalssQuantitativeAssessmentPageVo = {
/** 考核金额 */
assessMoney?: number;
/** 考核总得分 */
assessSumScore?: number;
/** 常规管理得分 */
classConventionalManageScore?: number;
/** 常规管理扣分 */
classConventionalManageSubScore?: number;
/** 班级主键编号 */
classId?: string;
/** 班级名称 */
className?: string;
/** 班级状态 */
classStatus?: number;
/** 班主任主键编号 */
headTeacherId?: string;
/** 班主任姓名 */
headTeacherName?: string;
/** 获奖及荣誉表彰得分 */
honorScore?: number;
/** 获奖及荣誉表彰汇总 */
honorSumScore?: number;
/** 准军事化管理效果综合指数 */
militaryManageComprehensiveIndex?: number;
/** 准军事化管理效果得分 */
militaryManageScore?: number;
/** 班主任工号 */
oa?: string;
/** 学生个人行为得分 */
stuPersonalBehaviorScore?: number;
/** 学生个人行为扣分 */
stuPersonalBehaviorSubScore?: number;
/** 班级人数 */
studentNum?: number;
/** 任课教师考核综合指数 */
teacherAssessComprehensiveIndex?: number;
/** 任课教师考核得分 */
teacherAssessScore?: number;
}

type CaptchaDto = {
/** 验证码 */
code?: string;
/** 验证key */
key?: string;
/** 手机 */
mobile?: string;
}

type CarManagementVo = {
/** 状态 1=启用 2=禁用 */
Status?: number;
/** 住址 */
cAddress?: string;
/** 结束时间 */
cEndTime?: Timestamp;
/** 收费类型 1=月卡 2=临时车 3=免费车 4=储值卡 */
cFeeType?: number;
/** 身份证号 */
cId?: string;
/** 姓名 */
cName?: string;
/** 联系电话 */
cPhone?: string;
/** 开始时间 */
cStartTime?: Timestamp;
/** 车牌类型 1=民用 2=军队 3=警用 4=武警 */
cType?: number;
/** 车牌号码 */
carNo?: string;
/** 主键 */
id?: string;
/** 用户ID(xjr_user) */
userId?: string;
}

type CarParkRecordsVo = {
/** 车辆编号(base_car_management) */
baseCarManagementId?: string;
/** 数据同步编号 */
cSyncId?: number;
/** 车牌号码 */
carNo?: string;
/** 主键 */
id?: string;
/** 进类型 0=识别过车 1=人工处置 */
inPassing?: number;
/** 进场时间 */
inTime?: string;
/** 进类型 0=识别过车 1=人工处置 */
outPassing?: number;
/** 出场时间 */
outTime?: string;
/** 备注 */
remark?: string;
/** 状态 1=进 2=出 */
status?: number;
}

type ChangeNewsDto = {
id?: string;
/** 状态 1=未发布 2=已发布 3=下架 */
status?: number;
}

type ClassHonorsPageVo = {
/** 获奖日期 */
awardDate?: string;
/** 荣誉等级中文(xjr_dictionary_item[honors_grade]) */
honorsGradeCN?: string;
/** 荣誉级别中文(xjr_dictionary_item[honors_level]) */
honorsLevelCN?: string;
/** 主键编号 */
id?: string;
/** 荣誉名称 */
name?: string;
/** 序号 */
sortCode?: number;
}

type ClassHonorsSemesterClassTreeVo = {
children?: ClassHonorsSemesterClassTreeVo[];
id?: string;
/** 名字 */
name?: string;
/** 父级id */
parentId?: string;
}

type ClassHonorsVo = {
/** 获奖日期 */
awardDate?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 学期ID中文(base_semester) */
baseSemesterIdCN?: string;
/** 班级id */
classId?: string;
/** 班级id中文 */
classIdCN?: string;
/** 附件文件id */
fileId?: string;
/** 文件集合 */
fileList?: File对象[];
/** 荣誉等级(xjr_dictionary_item[honors_grade]) */
honorsGrade?: string;
/** 荣誉等级中文(xjr_dictionary_item[honors_grade]) */
honorsGradeCN?: string;
/** 荣誉级别(xjr_dictionary_item[honors_level]) */
honorsLevel?: string;
/** 荣誉级别中文(xjr_dictionary_item[honors_level]) */
honorsLevelCN?: string;
/** 主键编号 */
id?: string;
/** 荣誉名称 */
name?: string;
/** 序号 */
sortCode?: number;
}

/** 上课时间 */
type ClassTime对象 = {
createDate?: string;
/** 全称 */
fullName?: string;
/** 主键编号 */
id?: string;
modifyDate?: string;
/** 节次 */
number?: number;
/** 备注 */
remark?: string;
/** 简称 */
shortName?: string;
/** 夏天结束时间 */
summerEndTime?: string;
/** 夏天开始时间 */
summerStartTime?: string;
/** 时段（1=上午 2=下午 3=晚上） */
timePeriod?: number;
/** 冬天结束时间 */
winterEndTime?: string;
/** 冬天开始时间 */
winterStartTime?: string;
}

type ClockInDto = {
/** 地点 */
address?: string;
/** 纬度 */
latitude?: number;
/** 考勤节点(xjr_dictionary_item[attendance_node]) */
leaveReason?: string;
/** 经度 */
longitude?: number;
}

type CodeFirstGeneratorDto = {
categoryId?: string;
databaseId?: string;
/** 表单事件 */
formEventConfig?: any;
formJson?: FormConfig_7;
frontCode?: FrontCode;
id?: string;
/** 是否数据权限 */
isDataAuth?: boolean;
listConfig?: ListConfig;
menuConfig?: MenuConfig_1;
name?: string;
outputConfig?: OutputConfig;
tableConfigs?: TableConfig[];
tableStructureConfigs?: TableStructureConfig[];
}

type CodeFirstPreviewDto = {
databaseId?: string;
/** 表单事件 */
formEventConfig?: any;
formJson?: FormConfig_9;
/** 是否数据权限 */
isDataAuth?: boolean;
listConfig?: ListConfig;
outputConfig?: OutputConfig;
tableConfigs?: TableConfig[];
tableStructureConfigs?: TableStructureConfig[];
}

type ColumnConfig = {
alignType?: string;
autoWidth?: boolean;
columnName?: string;
columnWidth?: string;
componentProps?: any;
componentType?: string;
format?: string;
isFilter?: boolean;
isNumber?: boolean;
isTotal?: boolean;
key?: string;
label?: string;
}

type ComponentConfig = {
bindEndTime?: string;
bindField?: string;
bindStartTime?: string;
bindTable?: string;
children?: ComponentConfig_9[];
code?: string;
isSubFormChild?: boolean;
key?: string;
label?: string;
layout?: LayoutOptionModel_9[];
options?: any;
rules?: Map<string,object>[];
type?: string;
value?: string;
}

type ComponentConfig_1 = {
bindEndTime?: string;
bindField?: string;
bindStartTime?: string;
bindTable?: string;
children?: ComponentConfig_9[];
code?: string;
isSubFormChild?: boolean;
key?: string;
label?: string;
layout?: LayoutOptionModel_9[];
options?: any;
rules?: Map<string,object>[];
type?: string;
value?: string;
}

type ComponentConfig_2 = {
bindEndTime?: string;
bindField?: string;
bindStartTime?: string;
bindTable?: string;
children?: ComponentConfig_9[];
code?: string;
isSubFormChild?: boolean;
key?: string;
label?: string;
layout?: LayoutOptionModel_9[];
options?: any;
rules?: Map<string,object>[];
type?: string;
value?: string;
}

type ComponentConfig_3 = {
bindEndTime?: string;
bindField?: string;
bindStartTime?: string;
bindTable?: string;
children?: ComponentConfig_9[];
code?: string;
isSubFormChild?: boolean;
key?: string;
label?: string;
layout?: LayoutOptionModel_9[];
options?: any;
rules?: Map<string,object>[];
type?: string;
value?: string;
}

type ComponentConfig_4 = {
bindEndTime?: string;
bindField?: string;
bindStartTime?: string;
bindTable?: string;
children?: ComponentConfig_9[];
code?: string;
isSubFormChild?: boolean;
key?: string;
label?: string;
layout?: LayoutOptionModel_9[];
options?: any;
rules?: Map<string,object>[];
type?: string;
value?: string;
}

type ComponentConfig_5 = {
bindEndTime?: string;
bindField?: string;
bindStartTime?: string;
bindTable?: string;
children?: ComponentConfig_9[];
code?: string;
isSubFormChild?: boolean;
key?: string;
label?: string;
layout?: LayoutOptionModel_9[];
options?: any;
rules?: Map<string,object>[];
type?: string;
value?: string;
}

type ComponentConfig_6 = {
bindEndTime?: string;
bindField?: string;
bindStartTime?: string;
bindTable?: string;
children?: ComponentConfig_9[];
code?: string;
isSubFormChild?: boolean;
key?: string;
label?: string;
layout?: LayoutOptionModel_9[];
options?: any;
rules?: Map<string,object>[];
type?: string;
value?: string;
}

type ComponentConfig_7 = {
bindEndTime?: string;
bindField?: string;
bindStartTime?: string;
bindTable?: string;
children?: ComponentConfig_9[];
code?: string;
isSubFormChild?: boolean;
key?: string;
label?: string;
layout?: LayoutOptionModel_9[];
options?: any;
rules?: Map<string,object>[];
type?: string;
value?: string;
}

type ComponentConfig_8 = {
bindEndTime?: string;
bindField?: string;
bindStartTime?: string;
bindTable?: string;
children?: ComponentConfig_9[];
code?: string;
isSubFormChild?: boolean;
key?: string;
label?: string;
layout?: LayoutOptionModel_9[];
options?: any;
rules?: Map<string,object>[];
type?: string;
value?: string;
}

type ComponentConfig_9 = {
bindEndTime?: string;
bindField?: string;
bindStartTime?: string;
bindTable?: string;
children?: ComponentConfig_9[];
code?: string;
isSubFormChild?: boolean;
key?: string;
label?: string;
layout?: LayoutOptionModel_9[];
options?: any;
rules?: Map<string,object>[];
type?: string;
value?: string;
}

type ConfirmDistributeDto = {
/** 领取用户编号 */
receiveUserId?: string;
/** 备注 */
remark?: string;
/** 教材申领主键编号 */
textbookClaimId?: string;
textbookClaimItemList?: TextbookClaimItem[];
}

type CourseDetailVo = {
/** 班级名称（课表类型为teacher时使用） */
className?: string;
/** 教室名称（课表类型为class时使用） */
classroomName?: string;
/** 课程名称 */
courseName?: string;
/** 教师名称（课表类型为teacher时使用） */
teacherName?: string;
/** 节次 */
timeNumber?: string;
/** 时段（1=上午 2=下午 3=晚上） */
timePeriod?: string;
/** 星期几(1-7) */
weeks?: number;
}

type CourseListVo = {
/** 班级id */
classId?: string;
/** 班级名称（课表类型为teacher时使用） */
className?: string;
/** 教室名称（课表类型为class时使用） */
classroomName?: string;
/** 课程名称 */
courseName?: string;
/** 主键编号 */
id?: string;
/** 节次 */
timeNumber?: string;
/** 时段（1=上午 2=下午 3=晚上） */
timePeriod?: number;
/** 时段（1=上午 2=下午 3=晚上） */
timePeriodCn?: string;
}

type CourseTableVo = {
/** 总课时 */
classHour?: number;
/** 班级名称（课表类型为class时使用） */
className?: string;
/** 节次时间 */
classTimeList?: ClassTime对象[];
/** 课程 */
courseList?: CourseDetailVo[];
/** 学期名称 */
semesterName?: string;
/** 教师名称（课表类型为teacher时使用） */
teacherName?: string;
/** 第几周 */
week?: string;
}

type CreateAuthorizeUrlDto = {
source?: string;
}

type CreateTokenDto = {
/** 过期事件 如果是-1 则是永久 */
expire?: string;
}

/** 数据权限自定义配置详情表 */
type DataAuthConfig对象 = {
/** 条件 */
conditionType?: number;
/** 数据权限表id */
dataAuthId?: string;
/** 字段名 */
fieldName?: string;
/** 字段类型 */
fieldType?: number;
/** 根据字段类型区分 如果是 登陆人信息 默认不需要存储值 */
fieldValue?: string;
/** 主键 */
id?: string;
/** 排序号 */
orderNumber?: number;
}

type DataFirstGeneratorDto = {
categoryId?: string;
databaseId?: string;
/** 表单事件 */
formEventConfig?: any;
formJson?: FormConfig_5;
frontCode?: FrontCode;
id?: string;
isDataAuth?: boolean;
listConfig?: ListConfig;
menuConfig?: MenuConfig_1;
name?: string;
outputConfig?: OutputConfig;
tableConfigs?: TableConfig[];
}

type DataFirstPreviewDto = {
databaseId?: string;
/** 表单事件 */
formEventConfig?: any;
formJson?: FormConfig_8;
isDataAuth?: boolean;
listConfig?: ListConfig;
outputConfig?: OutputConfig;
tableConfigs?: TableConfig[];
}

type DateTestDto = {
databaseId?: string;
formJson?: FormConfig_2;
formReleaseId?: string;
formTemplateId?: string;
listConfig?: ListConfig;
menuConfig?: MenuConfig_1;
outputConfig?: OutputConfig;
tableConfigs?: TableConfig[];
}

type DeleteAppPageDesignDto = {
id?: string;
}

type DeleteNewsRelationDto = {
/** 新闻主键 */
newsId?: string;
/** 关系ID列表 */
relationId?: string[];
}

type DeployDto = {
schemaId?: string;
}

type DistributeClassPageVo = {
/** 班级名称 */
className?: string;
/** 已分配床位数 */
distributeCount?: number;
/** 需要安排住宿的女生人数 */
femaleCount?: number;
/** 年级 */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 需要安排住宿的男生人数 */
maleCount?: number;
/** 需要住宿人数 */
needCount?: number;
/** 专业部 */
orgName?: string;
}

type DistributeResultClassVo = {
/** 班级id */
classId?: string;
/** 学生姓名 */
className?: string;
studentList?: DistributeResultListVo[];
}

type DistributeResultListVo = {
/** 床位号 */
bedNumber?: number;
/** 楼栋名称 */
buildName?: string;
/** 班级id */
classId?: string;
/** 性别 */
genderCn?: string;
/** 学生姓名 */
name?: string;
/** 寝室名称 */
roomName?: string;
}

type DistributeRoomBedDto = {
/** 班级ids */
classIds?: string[];
/** 是否需要混合寝室(0:否 1:是 */
isNeedMaxRoom?: number;
/** 寝室ids */
roomIds?: string[];
}

type DistributeRoomBedPageVo = {
/** 床位数 */
bedCount?: number;
/** 楼栋 */
buildName?: string;
/** 入住身份 */
checkInStatusCn?: string;
/** 楼层 */
floorNumber?: number;
/** 入住性别 */
genderCn?: string;
/** 主键编号 */
id?: string;
/** 入住班级 */
intoClass?: string;
/** 已入住人数 */
intoCount?: number;
/** 寝室号 */
roomName?: string;
/** 序号 */
sortCode?: number;
}

type DrillEvaluateClassListVo = {
/** 结束时间 */
endTime?: string;
/** 评价管理编号 */
evaluateManageId?: string;
/** 评价对象编号 */
evaluateObjectId?: string;
/** 评价状态（0：未评价，1：暂存，2：已评价） */
evaluateStatus?: number;
/** 评价提交记录id */
evaluateSubmitRecordId?: string;
/** 评价类型 */
evaluateType?: string;
/** 评价类型-中文 */
evaluateTypeCn?: string;
/** 参评对象编号 */
evaluateUserId?: string;
/** 题目数量 */
itemCount?: number;
/** 评价名称 */
name?: string;
/** 评价对象具体人或班级编号 */
objectId?: string;
/** 评价对象具体人或班级编号 */
objectIdCn?: string;
/** 开始时间 */
startTime?: string;
/** 参评对象具体人编号 */
userId?: string;
/** 参评对象具体人编号 */
userIdCn?: string;
}

type EnabledDto = {
schemaId?: string;
}

type EnabledPrintSchemaDto = {
/** 状态 */
enabledMark?: number;
/** id */
id?: string;
}

type EvaluateExecuterVo = {
/** 班级id */
classId?: string;
/** 评价管理编号 */
evaluateManageId?: string;
/** 被评对象id */
evaluateObjectId?: string;
/** 参加评价的人id */
executerId?: string;
/** 参加评价的人名称 */
executerName?: string;
/** 年级id */
gradeId?: string;
/** 主键编号 */
id?: string;
/** 序号 */
sortCode?: number;
}

type EvaluateItemGroupByTopicVo = {
/** 评价项表单集合 */
evaluateItemVoList?: EvaluateItemVo[];
/** 标题名称 */
topic?: string;
}

type EvaluateItemVo = {
/** 评价模版编号 */
evaluateTemplateId?: string;
/** 主键编号 */
id?: string;
/** 输入框是否为空 */
inputNotNull?: number;
/** 题目名称 */
problem?: string;
/** 题目分数（最小为0，只能整数） */
score?: number;
/** 序号 */
sortCode?: number;
/** 标题名称 */
topic?: string;
}

type EvaluateManageChangeStatusDto = {
/** 评价管理id */
id?: string;
/** 状态(-1:未发布,0:暂停,1:进行中,2:已结束) */
status?: number;
}

type EvaluateManageItemVo = {
/** 实际分数（最小为0，只能整数） */
actualScore?: number;
/** 评价项编号 */
evaluateItemId?: string;
/** 评价管理编号 */
evaluateManageId?: string;
/** 主键编号 */
id?: string;
/** 输入框是否为空(1:是, 0:否) */
inputNotNull?: number;
/** 建议/意见 */
opinion?: string;
/** 题目名称 */
problem?: string;
/** 题目分数（最小为0，只能整数） */
score?: number;
/** 序号 */
sortCode?: number;
/** 标题名称 */
topic?: string;
}

type EvaluateManagePageVo = {
/** 结束时间 */
endTime?: string;
/** 评价类型-中文 */
evaluateType?: string;
/** 评价类型-中文 */
evaluateTypeCn?: string;
/** 主键编号 */
id?: string;
/** 评价名称 */
name?: string;
/** 发布部门 */
orgName?: string;
/** 学期名称 */
semesterName?: string;
/** 开始时间 */
startTime?: string;
/** 状态（1：进行中，0，暂停） */
status?: number;
}

type EvaluateManageVo = {
/** 学期id */
baseSemesterId?: string;
/** 生成频率（xjr_dictionary_detail[create_frequency]） */
createFrequency?: string;
/** 生成频率（xjr_dictionary_detail[create_frequency]） */
createFrequencyCn?: string;
/** 结束时间 */
endTime?: string;
/** evaluateExecuter子表 */
evaluateExecuterList?: EvaluateExecuterVo[];
/** evaluateObject子表 */
evaluateObjectList?: EvaluateObjectVo[];
/** 评价模版编号 */
evaluateTemplateId?: string;
/** 评价类型 */
evaluateType?: string;
/** 评价类型 */
evaluateTypeCn?: string;
/** 主键编号 */
id?: string;
/** 是否自动生成（0:否，1:是） */
isAutoCreate?: number;
/** 评价名称 */
name?: string;
/** 题目分数（最小为0，只能整数） */
orgId?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（1：进行中，0，暂停） */
status?: number;
}

type EvaluateObjectGradeListVo = {
/** 评价管理id */
evaluateManageId?: string;
/** 参与评价的人数 */
executerCount?: number;
/** 年级id */
gradeId?: string;
/** 年级名称 */
gradeName?: string;
/** 被评价对象数 */
objectCount?: number;
}

type EvaluateObjectListVo = {
/** 班级id */
classId?: string;
/** 参与评价的人数 */
executerCount?: number;
/** 参与评价的人 */
executerList?: EvaluateExecuterVo[];
/** 年级id */
gradeId?: string;
/** 年级名称 */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 被评价对象id */
objectId?: string;
/** 被评价对象名称 */
objectName?: string;
}

type EvaluateObjectVo = {
/** 年级id */
baseGradeId?: string;
/** 评价管理编号 */
evaluateManageId?: string;
/** 主键编号 */
id?: string;
/** 被评价对象id */
objectId?: string;
/** 被评价对象类别（teacher：老师，class：班级，student：学生） */
objectType?: string;
/** 题目分数（最小为0，只能整数） */
orgId?: string;
/** 序号 */
sortCode?: number;
}

type EvaluateResultDetailPageDetailList = {
/** 实际分数（最小为0，只能整数） */
actualScore?: number;
/** 每一道题目的主键编号 */
evaluateManageItem?: string;
/** 建议/意见 */
opinion?: string;
/** 题目名称 */
problem?: string;
/** 题目分数（最小为0，只能整数） */
score?: number;
/** 标题名称 */
topic?: string;
}

type EvaluateResultDetailPageDetailVo = {
/** 被评人名字 */
ObjectIdCN?: string;
/** 实际得分 */
actulTotal?: number;
/** 评价结果首页详情查看的详情出参list集合 */
evaluateResultDetailPageDetailList?: EvaluateResultDetailPageDetailList[];
/** 评价名称 */
name?: string;
/** 评价模板总分 */
total?: number;
/** 参评人id */
userIdCN?: string;
}

type EvaluateResultDetailPageVo = {
/** 被评人id */
ObjectId?: string;
/** 被评人名字 */
ObjectIdCN?: string;
/** 综合评分 */
comprehensiveScore?: number;
/** 评价管理主键编号 */
evaluateManageId: string;
/** 执行人id */
evaluatedExecuterId?: string;
/** 被评价对象id */
evaluatedObjectId?: string;
/** 被评价对象类型 */
evaluatedObjectType?: string;
/** 评分状态（0-未评分，1-已评分） */
status?: number;
/** 参评人id */
userId?: string;
/** 参评人id */
userIdCN?: string;
}

type EvaluateResultIndexPageVo = {
/** 结束时间 */
endTime?: string;
/** 评价管理主键编号 */
evaluateManageId?: string;
/** 评价类型-中文 */
evaluateTypeCN?: string;
/** 评价名称 */
name?: string;
/** 发布部门 */
orgName?: string;
/** 学期名称 */
semesterName?: string;
/** 开始时间 */
startTime?: string;
}

type EvaluateResultSaveDto = {
/** 评价提交记录id */
evaluateSubmitRecordId?: string;
/** 评价类型 */
evaluateType?: string;
/** 填写答案信息 */
resultList?: AddEvaluateResultDto[];
/** 提交类型：1=暂存，2=提交 */
submitType?: number;
}

type EvaluateSubmitRecordPageVo = {
/** 提交时间 */
createDate?: string;
/** 参评人编号 */
evaluateExecuterId?: string;
/** 评价管理编号 */
evaluateManageId?: string;
/** 被评对象（teacher：老师，class：班级，student：学生） */
evaluatedObject?: string;
/** 被评对象编号 */
evaluatedObjectId?: string;
id?: string;
}

type EvaluateSubmitRecordVo = {
/** 参评人编号 */
evaluateExecuterId?: string;
/** 评价管理编号 */
evaluateManageId?: string;
/** 被评对象（teacher：老师，class：班级，student：学生） */
evaluatedObject?: string;
/** 被评对象编号 */
evaluatedObjectId?: string;
id?: string;
}

type EvaluateTemplatePageVo = {
/** 使用部门ids */
deptIds?: string;
/** 使用部门名称 */
deptNames?: string;
/** 评价类型(xjr_dictionary_item[evaluate_type]) */
evaluateType?: string;
/** 主键编号 */
id?: string;
/** 模板名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 状态（0:禁用 1:启用） */
status?: number;
/** 评价总分 */
total?: number;
}

type EvaluateTemplateVo = {
/** 使用部门ids */
deptIds?: string;
/** 使用部门ids */
deptNames?: string;
/** 评价类型(xjr_dictionary_item[evaluate_type]) */
evaluateType?: string;
/** 主键编号 */
id?: string;
/** 模板名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 状态（0:禁用 1:启用） */
status?: number;
/** 评价总分 */
total?: number;
}

type EvaluateWriteVo = {
/** 结束时间 */
endTime?: string;
/** 评价管理编号 */
id?: string;
/** 题目数量 */
itemCount?: number;
/** 评价名称 */
name?: string;
/** 开始时间 */
startTime?: string;
/** 题目总分 */
sumScore?: number;
}

type FaceIdentifyRecordsVo = {
/** 设备名称 */
deviceName?: string;
/** 比对抓拍照片 base64位字符串 */
faceBase64?: string;
/** 人脸编码 */
faceCode?: string;
/** 数据同步编号 */
faceIdentifySyncId?: number;
/** 主键 */
id?: string;
/** 识别方式（比对类型）：0人脸识别， 1 黑名单识别（预留字段），2人证比对， 3 IC卡识别 */
identifyType?: number;
/** 出入 0出口 1入口 */
inoutDirection?: number;
/** 安装位置 */
location?: string;
/** 设备唯一标识码 */
macAddr?: string;
/** 姓名 */
name?: string;
/** 比对结果 1=比对成功 0=比对失败 */
resultStatus?: number;
/** 体温 */
temperature?: string;
/** 比对时间 yyyy -MM - dd HH:mm:ss */
verifyTime?: string;
}

type FaceManagementVo = {
/** 人脸编码 */
faceCode?: string;
/** ic卡号（10位10进制） */
icno?: string;
/** 主键 */
id?: string;
/** 身份证号 */
idno?: string;
/** 姓名 */
name?: string;
/** 名单有效期结束时间 */
peopleEndDate?: string;
/** 名单有效期开始时间 */
peopleStartDate?: string;
/** 图片的base64字符串 */
registerBase64?: string;
/** 性别 男, 女 */
sex?: string;
/** 状态 1=启用 2=禁用 */
status?: number;
/** 数据同步状态 1=未同步 2=已同步 3=同步失败 */
syncStatus?: number;
/** 用户ID(xjr_user) */
userId?: string;
/** 验证失败说明 */
verifyErrorMsg?: string;
/** 验证状态 1=未验证 2=通过 3=失败 */
verifyStatus?: number;
}

type FileReceivePullPageVo = {
/** 密级 */
classification?: string;
/** 公文附件 */
files?: string;
id?: string;
/** 来文机关 */
institution?: string;
/** 领导批示 */
leaderOpinion?: string;
/** 收文编号 */
number?: string;
/** 拟办意见 */
opinion?: string;
/** 部门办理情况 */
organHandleStatus?: string;
/** 来文日期 */
pullDate?: string;
/** 来文字号 */
pullNumber?: string;
/** 来文标题 */
title?: string;
/** 缓急 */
urgency?: string;
/** 收文人 */
userNameCn?: string;
}

type FileReceivePullVo = {
/** 密级 */
classification?: string;
/** 公文附件列表 */
fileInfos?: File对象[];
/** 公文附件 */
files?: string;
id?: string;
/** 来文机关 */
institution?: string;
/** 领导批示 */
leaderOpinion?: string;
/** 收文编号 */
number?: string;
/** 拟办意见 */
opinion?: string;
/** 部门办理情况 */
organHandleStatus?: string;
/** 来文日期 */
pullDate?: string;
/** 来文字号 */
pullNumber?: string;
/** 来文标题 */
title?: string;
/** 缓急 */
urgency?: string;
/** 收文人 */
userNameCn?: string;
}

type FileReceivePushPageVo = {
/** 会办单位意见 */
backOpinion?: string;
/** 保密期限 */
confidentialityPeriod?: string;
/** 印发日期 */
dateOfIssue?: string;
/** 拟稿人 */
drafters?: string;
id?: string;
/** 发文单位意见 */
institution?: string;
/** 印发机关 */
issuingAuthority?: string;
/** 发文名称 */
name?: string;
/** 发文字号 */
number?: string;
/** 发文部门 */
orgName?: string;
/** 打印份数 */
printNumber?: number;
/** 接收人 */
recipients?: string;
/** 说明 */
remark?: string;
/** 秘密等级 */
secretLevel?: string;
/** 主题词 */
tags?: string;
/** 紧急程度 */
urgency?: string;
/** 发文人 */
userName?: string;
}

type FileReceivePushVo = {
/** 会办单位意见 */
backOpinion?: string;
/** 保密期限 */
confidentialityPeriod?: string;
/** 印发日期 */
dateOfIssue?: string;
/** 拟稿人 */
drafters?: string;
/** 公文附件列表 */
fileInfos?: File对象[];
/** 附件 */
files?: string;
id?: string;
/** 发文单位意见 */
institution?: string;
/** 印发机关 */
issuingAuthority?: string;
/** 发文名称 */
name?: string;
/** 发文字号 */
number?: string;
/** 发文部门 */
orgName?: string;
/** 打印份数 */
printNumber?: number;
/** 接收人 */
recipients?: string;
/** 说明 */
remark?: string;
/** 秘密等级 */
secretLevel?: string;
/** 主题词 */
tags?: string;
/** 紧急程度 */
urgency?: string;
/** 发文人 */
userName?: string;
}

/** 文件关联关系表 */
type File对象 = {
createDate?: string;
createUserId?: string;
deleteMark?: number;
/** 下载次数 */
downloadCount?: number;
enabledMark?: number;
/** 文件名称 */
fileName?: string;
/** 文件大小 */
fileSize?: string;
/** 文件后缀 */
fileSuffiex?: string;
/** 文件类型 */
fileType?: string;
/** 文件路径 */
fileUrl?: string;
/** 附件夹主键 */
folderId?: string;
/** 文件主键 */
id?: string;
modifyDate?: string;
modifyUserId?: string;
/** 关联的流程id */
processId?: string;
/** 备注 */
remark?: string;
/** 缩略图名称 */
thName?: string;
/** 缩略图文件大小 */
thSize?: string;
/** 缩略图文件类型 */
thType?: string;
/** 缩略图路径 */
thUrl?: string;
}

type FormAttrConfig = {
formType?: string;
formWidth?: number;
hideRequiredMark?: boolean;
labelAlign?: string;
labelCol?: any;
layout?: string;
size?: string;
}

type FormConfig = {
config?: FormAttrConfig;
hiddenComponent?: Map<string,object>[];
list?: ComponentConfig_9[];
}

type FormConfig_1 = {
config?: FormAttrConfig;
hiddenComponent?: Map<string,object>[];
list?: ComponentConfig_9[];
}

type FormConfig_10 = {
children?: FormItemConfig[];
editAll?: boolean;
formId?: string;
formName?: string;
formType?: number;
key?: string;
requiredAll?: boolean;
showChildren?: boolean;
viewAll?: boolean;
}

type FormConfig_2 = {
config?: FormAttrConfig;
hiddenComponent?: Map<string,object>[];
list?: ComponentConfig_9[];
}

type FormConfig_3 = {
config?: FormAttrConfig;
hiddenComponent?: Map<string,object>[];
list?: ComponentConfig_9[];
}

type FormConfig_4 = {
config?: FormAttrConfig;
hiddenComponent?: Map<string,object>[];
list?: ComponentConfig_9[];
}

type FormConfig_5 = {
config?: FormAttrConfig;
hiddenComponent?: Map<string,object>[];
list?: ComponentConfig_9[];
}

type FormConfig_6 = {
config?: FormAttrConfig;
hiddenComponent?: Map<string,object>[];
list?: ComponentConfig_9[];
}

type FormConfig_7 = {
config?: FormAttrConfig;
hiddenComponent?: Map<string,object>[];
list?: ComponentConfig_9[];
}

type FormConfig_8 = {
config?: FormAttrConfig;
hiddenComponent?: Map<string,object>[];
list?: ComponentConfig_9[];
}

type FormConfig_9 = {
config?: FormAttrConfig;
hiddenComponent?: Map<string,object>[];
list?: ComponentConfig_9[];
}

type FormDesignConfig = {
dataAuthList?: string[];
/** 备注 */
databaseId?: string;
/** 表单事件 */
formEventConfig?: any;
formJson?: FormConfig_4;
isDataAuth?: boolean;
tableConfigs?: TableConfig[];
tableStructureConfigs?: TableStructureConfig[];
}

type FormDesignConfig_1 = {
dataAuthList?: string[];
/** 备注 */
databaseId?: string;
/** 表单事件 */
formEventConfig?: any;
formJson?: FormConfig_4;
isDataAuth?: boolean;
tableConfigs?: TableConfig[];
tableStructureConfigs?: TableStructureConfig[];
}

type FormDesignConfig_2 = {
dataAuthList?: string[];
/** 备注 */
databaseId?: string;
/** 表单事件 */
formEventConfig?: any;
formJson?: FormConfig_4;
isDataAuth?: boolean;
tableConfigs?: TableConfig[];
tableStructureConfigs?: TableStructureConfig[];
}

type FormDesignConfig_3 = {
dataAuthList?: string[];
/** 备注 */
databaseId?: string;
/** 表单事件 */
formEventConfig?: any;
formJson?: FormConfig_4;
isDataAuth?: boolean;
tableConfigs?: TableConfig[];
tableStructureConfigs?: TableStructureConfig[];
}

type FormExecuteAddOrUpdateDto = {
formData?: any;
releaseId?: string;
}

type FormExecuteDeleteDto = {
ids?: string[];
releaseId?: string;
}

type FormExecuteInfoDto = {
/** 自定义表单 数据的主键id */
id?: string;
/** 自定义表单 发布id */
releaseId?: string;
/** 自定义表单 表单模板id */
templateId?: string;
}

type FormExecuteListDto = {
isTemplate?: boolean;
isTrans?: boolean;
params?: any;
releaseId?: string;
}

type FormExecuteWorkflowInfoDto = {
/** 自定义表单 id */
formId?: string;
/** 自定义表单 主键id */
id?: string;
}

type FormFieldConfig = {
formField?: string;
formId?: string;
formKey?: string;
nodeId?: string;
}

type FormInitConfig = {
enabled?: boolean;
formId?: string;
formName?: string;
formType?: number;
}

type FormItemConfig = {
children?: FormItemConfig[];
disabled?: boolean;
edit?: boolean;
fieldId?: string;
fieldName?: string;
isSubTable?: boolean;
key?: string;
required?: boolean;
showChildren?: boolean;
tableName?: string;
view?: boolean;
}

type FrontCode = {
apiCode?: string;
configJsonCode?: string;
formCode?: string;
listCode?: string;
modelCode?: string;
}

type GeneratorAppDto = {
apiCode?: string;
className?: string;
configJsonCode?: string;
formCode?: string;
listCode?: string;
outputArea?: string;
outputValue?: string;
}

type HeadTeaRoomCadreAppointPageVo = {
/** 入住性别 */
genderCn?: string;
/** 是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否） */
isMax?: number;
/** 寝室床位信息 */
roomBedList?: AppointPageRoomBedVo[];
/** 寝室编号(room) */
roomId?: string;
/** 寝室名称 */
roomName?: string;
}

type HistoryChangeDto = {
id?: string;
schemaId?: string;
}

type InterfaceAuthDto = {
/** 所有接口id */
interfaceIds?: string[];
/** 角色id */
roleId?: string;
}

type KeyCloakLoginInfoDto = {
/** 设备 PC 或者  APP */
device?: string;
/** token */
token?: string;
}

type LaborManagementPageVo = {
/** 任职部门 */
departName?: string;
/** 离职时间 */
endWorkTime?: string;
/** 性别 */
gender?: string;
/** 主键 */
id?: string;
/** 工作岗位 */
job?: string;
/** 在职状态 */
jobState?: string;
/** 姓名 */
name?: string;
/** 人员类别 */
natureOrganization?: string;
/** 入职时间 */
startWorkTime?: string;
/** 工号 */
userName?: string;
}

type LaunchDto = {
/** 所有上传文件的文件夹id */
fileFolderIds?: string[];
/** 表单数据 */
formData?: any;
/** 关联任务信息 */
relationTasks?: LaunchRelationTaskDto[];
/** 工作流模板id */
schemaId?: string;
}

type LaunchRelationTaskDto = {
schemaId?: string;
taskId?: string;
}

type LayoutOptionModel = {
list?: ComponentConfig_9[];
name?: string;
span?: number;
}

type LayoutOptionModel_1 = {
list?: ComponentConfig_9[];
name?: string;
span?: number;
}

type LayoutOptionModel_2 = {
list?: ComponentConfig_9[];
name?: string;
span?: number;
}

type LayoutOptionModel_3 = {
list?: ComponentConfig_9[];
name?: string;
span?: number;
}

type LayoutOptionModel_4 = {
list?: ComponentConfig_9[];
name?: string;
span?: number;
}

type LayoutOptionModel_5 = {
list?: ComponentConfig_9[];
name?: string;
span?: number;
}

type LayoutOptionModel_6 = {
list?: ComponentConfig_9[];
name?: string;
span?: number;
}

type LayoutOptionModel_7 = {
list?: ComponentConfig_9[];
name?: string;
span?: number;
}

type LayoutOptionModel_8 = {
list?: ComponentConfig_9[];
name?: string;
span?: number;
}

type LayoutOptionModel_9 = {
list?: ComponentConfig_9[];
name?: string;
span?: number;
}

type LeaderConfig = {
level?: number;
nodeId?: string;
}

type LedgerConfigPageVo = {
/** magicapi接口地址 */
apiUrl?: string;
/** 台账配置信息 */
configJson?: string;
/** 台账配置信息 */
createDate?: string;
id?: string;
/** 台账名称 */
name?: string;
}

type LedgerConfigReleaseInfoVo = {
configJson?: string;
id?: string;
/** 台账名称 */
ledgerName?: string;
/** 备注信息 */
menuName?: string;
}

type LedgerConfigReleasePageVo = {
id?: string;
/** 台账名称 */
ledgerName?: string;
/** 菜单名称 */
menuName?: string;
/** 备注 */
remark?: string;
}

type LedgerConfigReleaseVo = {
id?: string;
/** 台账配置id(ledger_config) */
ledgerConfigId?: string;
menuConfig?: MenuConfig;
/** 备注信息 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type LedgerConfigVo = {
/** magicapi接口地址 */
apiUrl?: string;
/** 台账配置信息 */
configJson?: string;
id?: string;
/** 台账名称 */
name?: string;
}

type LeftMenuConfig = {
apiConfig?: any;
childIcon?: string;
datasourceId?: string;
datasourceType?: string;
dictionaryItemId?: string;
fieldName?: string;
isTree?: boolean;
leftWidth?: number;
listFieldName?: string;
menuName?: string;
parentFiledName?: string;
parentIcon?: string;
relationFieldName?: string;
showFieldName?: string;
staticData?: Map<string,object>[];
}

type ListConfig = {
buttonConfigs?: ButtonConfig[];
columnConfigs?: ColumnConfig[];
defaultOrder?: boolean;
isLeftMenu?: boolean;
isPage?: boolean;
leftMenuConfig?: LeftMenuConfig;
listTitle?: string;
orderBy?: string;
orderType?: string;
pageSize?: number;
queryConfigs?: QueryConfig[];
totalConfigs?: TotalConfig[];
}

type LocalTime = {
hour?: number;
minute?: number;
nano?: number;
second?: number;
}

type LocalTime_1 = {
hour?: number;
minute?: number;
nano?: number;
second?: number;
}

type LoginByCodeDto = {
/** Code */
code?: string;
/** type */
type?: number;
}

type LoginCaptchaDto = {
/** 验证码 */
code?: string;
/** 手机 */
mobile?: string;
}

type LoginDto = {
/** 验证码 */
code?: string;
/** 验证key */
key?: string;
/** 密码 */
password?: string;
/** 账号 */
userName?: string;
}

type LoginResetPasswordDto = {
confirmPassword?: string;
newPassword?: string;
}

type MakeEvaluateItemVo = {
/** 使用部门ids */
deptIds?: string;
/** 使用部门ids */
deptIdsCN?: string;
/** 评价项表单根据标题名称分组出参集合 */
evaluateItemGroupByTopicVoList?: EvaluateItemGroupByTopicVo[];
/** 评价类型 */
evaluateTypeCN?: string;
/** 评价模板主键编号 */
id?: string;
/** 模板名称 */
name?: string;
/** 说明 */
remark?: string;
/** 评价总分 */
total?: number;
}

type MaterialAssignUserDto = {
/** 是否发送消息 0=不发 1=发送 */
sendMessage?: number;
/** 用户(xjr_user) */
userId?: string;
/** 学号/工号 */
userNumber?: string;
/** 用户类型 1=孝职工 2=学生 */
userType?: number;
}

type MaterialTaskAppendixVo = {
/** 文件ID(xjr_file) */
fileId?: string;
/** 文件名称 */
fileName?: string;
/** 文件路径 */
fileUrl?: string;
/** 附件夹主键 */
folderId?: string;
/** 主键编号 */
id?: string;
/** 材料提交任务(material_task) */
materialTaskId?: string;
}

type MaterialTaskAssignAppendixDto = {
formData?: any;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategory?: string;
/** materialTaskAppendix子表 */
materialTaskAppendixList?: AddMaterialTaskAppendixDto[];
/** 材料提交任务分配对象ID */
materialTaskAssignId?: string;
templateId?: string;
}

type MaterialTaskAssignApprovedDto = {
/** 执行提交 1=按时提交 2=延迟提交 */
executiveStatus?: number;
/** 主键编号 */
id?: string;
/** 意见 */
opinion?: string;
/** 状态 1=通过 2=重做 */
status?: number;
}

type MaterialTaskAssignListVo = {
deptName?: string;
/** 文件模板 */
files?: File对象[];
/** 文件模板 */
folderId?: string;
/** 文件模板 */
folderIdCn?: string;
/** 表单数据id */
formDataId?: string;
/** 表单发布 */
formReleaseId?: string;
/** 表单发布 */
formReleaseIdCn?: string;
/** 主键编号 */
id?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategory?: string;
/** 材料提交任务(material_task) */
materialTaskId?: string;
name?: string;
/** 状态 1=未提交 2=待审核 3=通过 4=重做 */
status?: number;
/** 用户(xjr_user) */
userId?: string;
userName?: string;
/** 学号/工号 */
userNumber?: string;
/** 用户类型 1=孝职工 2=学生 */
userType?: number;
}

type MaterialTaskAssignVo = {
/** 部门 */
deptName?: string;
/** 执行提交 1=未提交 2=按时提交 3=延迟提交 */
executiveStatus?: number;
/** 主键编号 */
id?: string;
/** 材料提交任务(material_task) */
materialTaskId?: string;
/** 是否发送消息 0=不发 1=发送 */
sendMessage?: number;
/** 发送消息状态 0=未不发 1=已发送 */
sendMessageStatus?: number;
/** 状态 1=未提交 2=待审核 3=通过 4=重做 */
status?: number;
/** 转办给几人 */
transferAssignPerson?: number;
/** 转办任务分配ID(material_task_assign) */
transferMaterialTaskId?: string;
/** 转办已提交人数 */
transferSubmitedPerson?: number;
/** 用户(xjr_user) */
userId?: string;
/** 用户 */
userName?: string;
/** 学号/工号 */
userNumber?: string;
/** 用户类型 1=孝职工 2=学生 */
userType?: number;
}

type MaterialTaskPageVo = {
/** 指派给几人 */
assignPerson?: number;
/** 创建时间 */
createDate?: string;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 材料提交任务类型(material_type) */
materialTypeId?: string;
/** 材料提交任务类型(material_type) */
materialTypeIdCn?: string;
/** 任务名称 */
name?: string;
/** 按时提交 */
onTimePerson?: number;
/** 要求完成日期 */
requiredCompleteTime?: string;
/** 要求 */
requirement?: string;
/** 状态 1=未开始 2=进行中 3=结束 */
status?: number;
/** 已提交人数 */
submitedPerson?: number;
/** 延迟提交 */
timeDelay?: number;
}

type MaterialTaskVo = {
/** 指派给几人 */
assignPerson?: number;
/** 创建时间 */
createDate?: string;
/** 文件模板 */
files?: File对象[];
/** 文件模板 */
folderId?: string;
/** 文件模板 */
folderIdCn?: string;
/** 表单发布 */
formReleaseId?: string;
/** 表单发布 */
formReleaseIdCn?: string;
/** 主键编号 */
id?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategory?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategoryCn?: string;
/** materialTaskAppendix子表 */
materialTaskAppendixList?: MaterialTaskAppendixVo[];
/** materialTaskAssign子表 */
materialTaskAssignList?: MaterialTaskAssignVo[];
/** 材料提交任务类型(material_type) */
materialTypeId?: string;
/** 材料提交任务类型(material_type) */
materialTypeIdCn?: string;
/** 任务名称 */
name?: string;
/** 按时提交 */
onTimePerson?: number;
/** 要求完成日期 */
requiredCompleteTime?: string;
/** 要求 */
requirement?: string;
/** 状态 1=未开始 2=进行中 3=结束 */
status?: number;
/** 已提交人数 */
submitedPerson?: number;
/** 延迟提交 */
timeDelay?: number;
}

type MaterialTaskWaitPageVo = {
/** 分配ID */
assignId?: string;
/** 指派给几人 */
assignPerson?: number;
/** 指派人 */
createUserName?: string;
/** 执行提交 1=未提交 2=按时提交 3=延迟提交 */
executiveStatus?: number;
/** 主键编号 */
id?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategory?: string;
/** 文件模板 */
materialId?: string;
/** 任务名称 */
name?: string;
/** 按时提交 */
onTimePerson?: number;
/** 审核状态 1=未提交 2=待审核 3=通过 4=重做 */
processStatus?: number;
/** 要求完成日期 */
requiredCompleteTime?: string;
/** 状态 1=未开始 2=进行中 3=结束 */
status?: number;
/** 已提交人数 */
submitedPerson?: number;
/** 延迟提交 */
timeDelay?: number;
/** 转办给几人 */
transferAssignPerson?: number;
/** 转办已提交人数 */
transferSubmitedPerson?: number;
}

type MaterialTypeAssignVo = {
/** 部门 */
deptName?: string;
/** 主键编号 */
id?: string;
/** 材料提交任务类型(material_type) */
materialTypeId?: string;
/** 类型名称 */
materialTypeName?: string;
/** 用户(xjr_user) */
userId?: string;
/** 用户名称 */
userName?: string;
/** 学号/工号 */
userNumber?: string;
/** 用户类型 1=孝职工 2=学生 */
userType?: number;
}

type MaterialTypePageVo = {
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 文件模板 */
files?: File对象[];
/** 文件模板 */
folderId?: string;
/** 文件模板 */
folderIdCn?: string;
/** 表单发布 */
formReleaseId?: string;
/** 表单发布 */
formReleaseIdCn?: string;
/** 主键编号 */
id?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategory?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategoryCn?: string;
/** 任务名称 */
name?: string;
/** 模板预览 */
templatePreview?: string;
}

type MaterialTypeVo = {
/** 文件模板 */
files?: File对象[];
/** 文件模板 */
folderId?: string;
/** 文件模板 */
folderIdCn?: string;
/** 表单发布 */
formReleaseId?: string;
/** 表单发布 */
formReleaseIdCn?: string;
/** 主键编号 */
id?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategory?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategoryCn?: string;
/** 任务名称 */
name?: string;
/** 模板预览 */
templatePreview?: string;
}

type MemberConfig = {
formFieldConfig?: FormFieldConfig;
id?: string;
leaderConfig?: LeaderConfig;
memberType?: number;
name?: string;
sqlConfig?: SqlConfig;
}

type MenuConfig = {
code?: string;
icon?: string;
name?: string;
parentId?: string;
remark?: string;
sortCode?: number;
systemId?: string;
}

type MenuConfig_1 = {
code?: string;
icon?: string;
name?: string;
parentId?: string;
remark?: string;
sortCode?: number;
systemId?: string;
}

type MenuConfig_2 = {
code?: string;
icon?: string;
name?: string;
parentId?: string;
remark?: string;
sortCode?: number;
}

type MenuServeVo = {
/** 主键 */
id?: string;
/** 菜单 */
menuVoList?: MenuVo[];
/** 系统名 */
name?: string;
}

type MenuVo = {
/** 是否允许删除 */
allowDelete?: number;
/** 是否允许修改 */
allowModify?: number;
/** 菜单编号 */
code?: string;
/** 组件地址 */
component?: string;
/** 组件类型 默认组件 0 普通需要注册的组件 1 自定义表单 桌面设计 等已经默认注册进来的组件  */
componentType?: number;
/** 菜单显示或者隐藏 */
display?: number;
/** 关联表单id（自定义表单 以及 代码生成器 生成的菜单才会有关联。） */
formId?: string;
/** 菜单图标 */
icon?: string;
/** 图标地址 */
iconUrl?: string;
id?: string;
/** 外链地址  */
iframeSrc?: string;
/** 是否被选中 */
isSelect?: boolean;
/** 页面持久化 */
keepAlive?: number;
/** 组件类型 */
menuType?: number;
/** 组件名（路由名称） --  与vue代码组件名必须一直 才能做到缓存页面 相关联 */
name?: string;
/** 是否外链 */
outLink?: number;
/** 上级Id */
parentId?: string;
/** 地址 */
path?: string;
/** 排序码 */
remark?: string;
/** 排序码 */
sortCode?: number;
/** 系统主键（主系统默认为0） */
systemId?: string;
/** 系统名称 */
systemName?: string;
/** 系统类型(xjr_dictionary_item[system_type]) */
systemType?: string;
/** 菜单名 */
title?: string;
}

type MessageListVo = {
/** 消息主键 */
id?: string;
/** 是否已读 */
isRead?: number;
/** 消息内容 */
messageContent?: string;
/** 消息类型 */
messageType?: number;
/** 对象id  日程id 或者 taskId   */
objectId?: string;
/** processId   */
processId?: string;
/** 已读时间 */
readTime?: string;
/** schemaId   */
schemaId?: string;
/** 发布时间 */
sendTime?: string;
/** 格式化时间   */
timeFormat?: string;
/** 接收消息用户id */
userId?: string;
}

type MessageVo = {
/** 是否已读 */
isRead?: number;
/** 消息内容 */
messageContent?: string;
/** 消息类型 */
messageType?: number;
/** 对象id  日程id 或者 taskId   */
objectId?: string;
/** 已读时间 */
readTime?: string;
/** 发布时间 */
sendTime?: string;
/** 接收消息用户id */
userId?: string;
}

type MobileIndexPageVo = {
/** 评价管理编号 */
evaluateManageId?: string;
/** 评价类型 */
evaluateType?: string;
/** 评价类型-中文 */
evaluateTypeCn?: string;
/** 评价名称 */
name?: string;
/** 登录用户整个评价管理的已经评价对象的数量（0：表示该用户所有需要评价的对象都已经评价） */
ratedCount?: number;
}

type MobileResultPageVo = {
/** 结束时间 */
endTime?: string;
/** 评价管理编号 */
evaluateManageId?: string;
/** 评价对象编号 */
evaluateObjectId?: string;
/** 评价状态（0：未评价，1：暂存，2：已评价） */
evaluateStatus?: number;
/** 评价提交记录id */
evaluateSubmitRecordId?: string;
/** 评价类型 */
evaluateType?: string;
/** 评价类型-中文 */
evaluateTypeCn?: string;
/** 参评对象编号 */
evaluateUserId?: string;
/** 是否自动生成（0:否，1:是） */
isAutoCreate?: number;
/** 题目数量 */
itemCount?: number;
/** 评价名称 */
name?: string;
/** 评价对象具体人或班级编号 */
objectId?: string;
/** 评价对象具体人或班级编号 */
objectIdCn?: string;
/** 开始时间 */
startTime?: string;
/** 总分 */
totalScore?: number;
/** 参评对象具体人编号 */
userId?: string;
/** 参评对象具体人编号 */
userIdCn?: string;
}

type MoveRecycleDto = {
processId?: string;
}

type NameRuleConfig = {
key?: string;
title?: string;
}

type NewsAppendixVo = {
/** 文件主键 */
fileId?: string;
/** 文件名称 */
fileName?: string;
/** 文件路径 */
fileUrl?: string;
/** 附件夹主键 */
folderId?: string;
/** 主键 */
id?: string;
/** 新闻主键 */
newsId?: string;
}

type NewsCountTypeVo = {
/** 时间 */
time?: string;
/** 最后一条标题 */
title?: string;
/** 未读数量 */
total?: string;
/** 类型（1-新闻2-公告） */
typeId?: number;
}

type NewsGradeClassTreeVo = {
children?: NewsGradeClassTreeVo[];
id?: string;
/** 班级名 */
name?: string;
/** 父级id */
parentId?: string;
}

type NewsPageVo = {
/** 作者 */
authorName?: string;
/** 简略标题 */
briefHead?: string;
/** 所属类别 */
category?: string;
/** 所属类别主键 */
categoryId?: string;
/** 所属类别名称 */
categoryName?: string;
/** 班级(base_class) */
classId?: string;
/** 班级(base_class) */
classIdCN?: string;
/** 编辑 */
compileName?: string;
/** 备注 */
description?: string;
/** 紧急程度  1=一般 2=紧急 */
emergent?: number;
/** 完整标题 */
fullHead?: string;
/** 标题颜色 */
fullHeadColor?: string;
/** 新闻主键 */
id?: string;
/** 关键字 */
keyword?: string;
/** 级别 1=校级 2=班级 */
level?: number;
/** 新闻内容 */
newsContent?: string;
/** 是否允许接收人转发 0=不能转发 1=允许转发 */
openForward?: number;
/** 接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求) */
openReply?: number;
/** 是否允许接收人查看其他接收人 0=不允许查看 1=允许查看 */
openViewOther?: number;
/** 发布时间 */
releaseTime?: string;
/** 发送部门 */
sendDeptId?: string;
/** 张贴结束时间 */
sendEndDate?: string;
/** 张贴开起时间 */
sendStartDate?: string;
/** 来源地址 */
sourceAddress?: string;
/** 来源 */
sourceName?: string;
/** 状态 1=未发布 2=已发布 3=下架 */
status?: number;
/** Tag词 */
tagWord?: string;
/** 类型（1-新闻2-公告） */
typeId?: number;
}

type NewsRelationConfigDto = {
/** 关系ID */
relationId?: string;
/** 关系名称 */
relationName?: string;
}

type NewsRelationConfigVo = {
/** 主键 */
id?: string;
/** 新闻主键 */
newsId?: string;
/** 关系ID */
relationId?: string;
/** 关系名称 */
relationName?: string;
/** 关系类型 1=部门 2=人员 3=班级 */
relationType?: number;
}

type NewsRelationVo = {
/** 主键 */
id?: string;
/** 新闻主键 */
newsId?: string;
/** 阅读时间 */
readDate?: string;
/** 阅读标记  0=未读 1=已读 */
readMark?: number;
/** 回复内容 */
replyContent?: string;
/** 用户主键 */
userId?: string;
/** 用户名称 */
userName?: string;
}

type NewsReplyDto = {
/** 主键 */
id?: string;
/** 回复内容 */
replyContent?: string;
}

type NewsVo = {
/** 附件子表 */
appendixList?: NewsAppendixVo[];
/** 作者 */
authorName?: string;
/** 简略标题 */
briefHead?: string;
/** 所属类别 */
category?: string;
/** 所属类别主键 */
categoryId?: string;
/** 班级(base_class) */
classId?: string;
/** 编辑 */
compileName?: string;
/** 紧急程度  1=一般 2=紧急 */
emergent?: number;
/** 完整标题 */
fullHead?: string;
/** 标题颜色 */
fullHeadColor?: string;
/** 主键 */
id?: string;
/** 关键字 */
keyword?: string;
/** 级别 1=校级 2=班级 */
level?: number;
/** 新闻内容 */
newsContent?: string;
/** 是否允许接收人转发 0=不能转发 1=允许转发 */
openForward?: number;
/** 接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求) */
openReply?: number;
/** 是否允许接收人查看其他接收人 0=不允许查看 1=允许查看 */
openViewOther?: number;
/** 浏览量 */
pv?: number;
/** 关系子表 */
relationList?: NewsRelationVo[];
/** 发布时间 */
releaseTime?: string;
/** 备注 */
remark?: string;
/** 发送部门 */
sendDeptId?: string;
/** 发送部门 */
sendDeptIdCN?: string;
/** 张贴结束时间 */
sendEndDate?: string;
/** 发送范围 1=所有人 2=根据权限 */
sendRange?: number;
/** 张贴开起时间 */
sendStartDate?: string;
/** 排序码 */
sortCode?: number;
/** 来源地址 */
sourceAddress?: string;
/** 来源 */
sourceName?: string;
/** Tag词 */
tagWord?: string;
}

type NoBedStudentPageVo = {
/** 班级名称 */
className?: string;
/** 入住性别 */
genderCn?: string;
/** 学生名称 */
studentName?: string;
/** 学生id */
userId?: string;
}

type ObjectGradeDeleteDto = {
/** 评价管理编号 */
evaluateManageId?: string;
/** 年级主键编号 */
gradeId?: string;
}

type OfficialDocumentPostPageVo = {
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 附件文件id */
fileId?: string;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 发文时间 */
postDate?: string;
/** 发文所属机构(xjr_department) */
postDepartmentId?: string;
/** 发文文号（发文文号自动生成，年+三位数字（三位数字从001开始）如2023001、2023002，依次生成） */
postNumber?: string;
/** 发文标题 */
postTitle?: string;
/** 序号 */
sortCode?: number;
}

type OfficialDocumentPostVo = {
/** 附件文件id */
fileId?: string;
/** 主键编号 */
id?: string;
/** 发文时间 */
postDate?: string;
/** 发文所属机构(xjr_department) */
postDepartmentId?: string;
/** 发文文号（发文文号自动生成，年+三位数字（三位数字从001开始）如2023001、2023002，依次生成） */
postNumber?: string;
/** 发文标题 */
postTitle?: string;
/** 序号 */
sortCode?: number;
}

type OfficialDocumentReceivedPageVo = {
/** 办结时间 */
checkoutTime?: string;
/** 来文文号 */
communicationNumber?: string;
/** 来文机构 */
communicationOrg?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 文件密级(xjr_dictionary_item[document_level]) */
documentLevel?: string;
/** 紧急程度(xjr_dictionary_item[emergency_level]) */
emergencyLevel?: string;
/** 有效标志 */
enabledMark?: number;
/** 附件文件id */
fileId?: string;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 收文时间 */
receivedDate?: string;
/** 收文文号 */
receivedNumber?: string;
/** 收文标题 */
receivedTitle?: string;
/** 收文类型(xjr_dictionary_item[received_type]) */
receivedType?: string;
/** 序号 */
sortCode?: number;
}

type OfficialDocumentReceivedVo = {
/** 办结时间 */
checkoutTime?: string;
/** 来文文号 */
communicationNumber?: string;
/** 来文机构 */
communicationOrg?: string;
/** 文件密级(xjr_dictionary_item[document_level]) */
documentLevel?: string;
/** 紧急程度(xjr_dictionary_item[emergency_level]) */
emergencyLevel?: string;
/** 附件文件id */
fileId?: string;
/** 主键编号 */
id?: string;
/** 收文时间 */
receivedDate?: string;
/** 收文文号 */
receivedNumber?: string;
/** 收文标题 */
receivedTitle?: string;
/** 收文类型(xjr_dictionary_item[received_type]) */
receivedType?: string;
/** 序号 */
sortCode?: number;
}

type OrderProductDto = {
OrderID?: string;
ProductAmount?: number;
ProductID?: string;
ProductPriceCount?: number;
}

type OutputConfig = {
className?: string;
comment?: string;
creator?: string;
dataAuthList?: string[];
isApp?: boolean;
isDataAuth?: boolean;
isMenu?: boolean;
onlyFront?: boolean;
onlyInterface?: boolean;
outputArea?: string;
outputValue?: string;
remarks?: string;
type?: number;
}

/** 分页入参 */
type PageInput = {
/** 排序字段 */
field?: string;
funcId?: string;
isTemplate?: boolean;
isTrans?: boolean;
/** 关键词 */
keyword?: string;
/** 当前页标 */
limit?: number;
/** 排序方式 asc  desc */
order?: string;
params?: any;
/** 每页大小 */
size?: number;
}

/** 分页入参 */
type PageInput_1 = {
/** 排序字段 */
field?: string;
isTemplate?: boolean;
isTrans?: boolean;
/** 关键词 */
keyword?: string;
/** 当前页标 */
limit?: number;
/** 排序方式 asc  desc */
order?: string;
params?: any;
releaseId?: string;
/** 每页大小 */
size?: number;
}

/** 分页入参 */
type PageInput_2 = {
/** 床位id */
bedId?: string;
/** 排序字段 */
field?: string;
/** 关键词 */
keyword?: string;
/** 当前页标 */
limit?: number;
/** 排序方式 asc  desc */
order?: string;
/** 每页大小 */
size?: number;
/** 学生userId */
studentUserId?: string;
}

/** 分页入参 */
type PageInput_3 = {
/** 结束时间 */
endDate?: string;
/** 排序字段 */
field?: string;
/** 关键词 */
keyword?: string;
/** 当前页标 */
limit?: number;
/** 排序方式 asc  desc */
order?: string;
/** 部门id */
orgId?: string;
/** 每页大小 */
size?: number;
/** 开始时间 */
startDate?: string;
/** 申请人 */
userName?: string;
}

type PageOutput<AttendanceConfigPageVo> = {
currentPage?: number;
list?: AttendanceConfigPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<AttendancePersonnelPageVo> = {
currentPage?: number;
list?: AttendancePersonnelPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<AttendanceRecordPageVo> = {
currentPage?: number;
list?: AttendanceRecordPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseAppFunctionPageVo> = {
currentPage?: number;
list?: BaseAppFunctionPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseClassMajorSetPageVo> = {
currentPage?: number;
list?: BaseClassMajorSetPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BasePersonnelLabourCapitalMonthPageVo> = {
currentPage?: number;
list?: BasePersonnelLabourCapitalMonthPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BasePersonnelLabourCapitalPageVo> = {
currentPage?: number;
list?: BasePersonnelLabourCapitalPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BasePersonnelLabourCapitalYearPageVo> = {
currentPage?: number;
list?: BasePersonnelLabourCapitalYearPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentAssessmentInspectionMobilePageVo> = {
currentPage?: number;
list?: BaseStudentAssessmentInspectionMobilePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentAssessmentInspectionPageVo> = {
currentPage?: number;
list?: BaseStudentAssessmentInspectionPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentAssessmentItemPageVo> = {
currentPage?: number;
list?: BaseStudentAssessmentItemPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentAssessmentProjectPageVo> = {
currentPage?: number;
list?: BaseStudentAssessmentProjectPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentBehaviorCategoryPageVo> = {
currentPage?: number;
list?: BaseStudentBehaviorCategoryPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentBehaviorManageMobilePageVo> = {
currentPage?: number;
list?: BaseStudentBehaviorManageMobilePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentBehaviorManagePageVo> = {
currentPage?: number;
list?: BaseStudentBehaviorManagePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentBehaviorProjectPageVo> = {
currentPage?: number;
list?: BaseStudentBehaviorProjectPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentBursariesApplicantPageVo> = {
currentPage?: number;
list?: BaseStudentBursariesApplicantPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentBursariesProjectPageVo> = {
currentPage?: number;
list?: BaseStudentBursariesProjectPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentBursariesStudentPageVo> = {
currentPage?: number;
list?: BaseStudentBursariesStudentPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentCadrePageVo> = {
currentPage?: number;
list?: BaseStudentCadrePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentGraduatePageVo> = {
currentPage?: number;
list?: BaseStudentGraduatePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentInfoPageVo> = {
currentPage?: number;
list?: BaseStudentInfoPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentPostPageVo> = {
currentPage?: number;
list?: BaseStudentPostPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentPunishmentInfoMobilePageVo> = {
currentPage?: number;
list?: BaseStudentPunishmentInfoMobilePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentPunishmentInfoPageVo> = {
currentPage?: number;
list?: BaseStudentPunishmentInfoPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentScholarshipApplicantCategoryPageVo> = {
currentPage?: number;
list?: BaseStudentScholarshipApplicantCategoryPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentScholarshipApplicantPageVo> = {
currentPage?: number;
list?: BaseStudentScholarshipApplicantPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<BaseStudentScholarshipCategoryPageVo> = {
currentPage?: number;
list?: BaseStudentScholarshipCategoryPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<CadreDeptPageVo> = {
currentPage?: number;
list?: CadreDeptPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<CalssQuantitativeAssessmentPageVo> = {
currentPage?: number;
list?: CalssQuantitativeAssessmentPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<CarManagementVo> = {
currentPage?: number;
list?: CarManagementVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<CarParkRecordsVo> = {
currentPage?: number;
list?: CarParkRecordsVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<ClassHonorsPageVo> = {
currentPage?: number;
list?: ClassHonorsPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<DistributeClassPageVo> = {
currentPage?: number;
list?: DistributeClassPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<DistributeRoomBedPageVo> = {
currentPage?: number;
list?: DistributeRoomBedPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<EvaluateManagePageVo> = {
currentPage?: number;
list?: EvaluateManagePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<EvaluateResultDetailPageVo> = {
currentPage?: number;
list?: EvaluateResultDetailPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<EvaluateResultIndexPageVo> = {
currentPage?: number;
list?: EvaluateResultIndexPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<EvaluateSubmitRecordPageVo> = {
currentPage?: number;
list?: EvaluateSubmitRecordPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<EvaluateTemplatePageVo> = {
currentPage?: number;
list?: EvaluateTemplatePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<FaceIdentifyRecordsVo> = {
currentPage?: number;
list?: FaceIdentifyRecordsVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<FaceManagementVo> = {
currentPage?: number;
list?: FaceManagementVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<FileReceivePullPageVo> = {
currentPage?: number;
list?: FileReceivePullPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<FileReceivePushPageVo> = {
currentPage?: number;
list?: FileReceivePushPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<HeadTeaRoomCadreAppointPageVo> = {
currentPage?: number;
list?: HeadTeaRoomCadreAppointPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<LaborManagementPageVo> = {
currentPage?: number;
list?: LaborManagementPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<LedgerConfigPageVo> = {
currentPage?: number;
list?: LedgerConfigPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<LedgerConfigReleasePageVo> = {
currentPage?: number;
list?: LedgerConfigReleasePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<MaterialTaskAssignVo> = {
currentPage?: number;
list?: MaterialTaskAssignVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<MaterialTaskPageVo> = {
currentPage?: number;
list?: MaterialTaskPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<MaterialTaskWaitPageVo> = {
currentPage?: number;
list?: MaterialTaskWaitPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<MaterialTypeAssignVo> = {
currentPage?: number;
list?: MaterialTypeAssignVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<MaterialTypePageVo> = {
currentPage?: number;
list?: MaterialTypePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<MobileIndexPageVo> = {
currentPage?: number;
list?: MobileIndexPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<MobileResultPageVo> = {
currentPage?: number;
list?: MobileResultPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<NewsPageVo> = {
currentPage?: number;
list?: NewsPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<NewsRelationConfigVo> = {
currentPage?: number;
list?: NewsRelationConfigVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<NewsRelationVo> = {
currentPage?: number;
list?: NewsRelationVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<NoBedStudentPageVo> = {
currentPage?: number;
list?: NoBedStudentPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<OfficialDocumentPostPageVo> = {
currentPage?: number;
list?: OfficialDocumentPostPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<OfficialDocumentReceivedPageVo> = {
currentPage?: number;
list?: OfficialDocumentReceivedPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<PbSemesterConfigPageVo> = {
currentPage?: number;
list?: PbSemesterConfigPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<PbVXssfdetailPageVo> = {
currentPage?: number;
list?: PbVXssfdetailPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<PbVXsxxsfytbPageVo> = {
currentPage?: number;
list?: PbVXsxxsfytbPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<PendingTaskVo> = {
currentPage?: number;
list?: PendingTaskVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<ProclamationPageVo> = {
currentPage?: number;
list?: ProclamationPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<QuotaFormulaRuleAttributePageVo> = {
currentPage?: number;
list?: QuotaFormulaRuleAttributePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<QuotaFormulaRuleConstantPageVo> = {
currentPage?: number;
list?: QuotaFormulaRuleConstantPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<QuotaFormulaRulePageVo> = {
currentPage?: number;
list?: QuotaFormulaRulePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<ResultViewingPageVo> = {
currentPage?: number;
list?: ResultViewingPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<RoomBedCheckRecordPageVo> = {
currentPage?: number;
list?: RoomBedCheckRecordPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<RoomBedPageVo> = {
currentPage?: number;
list?: RoomBedPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<RoomPageVo> = {
currentPage?: number;
list?: RoomPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<RoomRulePageVo> = {
currentPage?: number;
list?: RoomRulePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<RoomTeacherAppointPageVo> = {
currentPage?: number;
list?: RoomTeacherAppointPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<RoomValueWeekPageVo> = {
currentPage?: number;
list?: RoomValueWeekPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<SchoolRollCategoryPageVo> = {
currentPage?: number;
list?: SchoolRollCategoryPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<SchoolRollFurtherEducationPageVo> = {
currentPage?: number;
list?: SchoolRollFurtherEducationPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<SchoolRollReasonPageVo> = {
currentPage?: number;
list?: SchoolRollReasonPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<SchoolRollStudentPageVo> = {
currentPage?: number;
list?: SchoolRollStudentPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<SchoolRollTransferStudentPageVo> = {
currentPage?: number;
list?: SchoolRollTransferStudentPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<SelectPersonPageVo> = {
currentPage?: number;
list?: SelectPersonPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<StudentHonorsPageVo> = {
currentPage?: number;
list?: StudentHonorsPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<SubjectGroupCoursePageVo> = {
currentPage?: number;
list?: SubjectGroupCoursePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<SubjectGroupPageVo> = {
currentPage?: number;
list?: SubjectGroupPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<TeacherCheckByStuVo> = {
currentPage?: number;
list?: TeacherCheckByStuVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<TeacherCheckByclassVo> = {
currentPage?: number;
list?: TeacherCheckByclassVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<TextbookIssueRecordPageVo> = {
currentPage?: number;
list?: TextbookIssueRecordPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<TextbookPageVo> = {
currentPage?: number;
list?: TextbookPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<TextbookStudentClaimPageVo> = {
currentPage?: number;
list?: TextbookStudentClaimPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<TextbookWarehouseRecordPageVo> = {
currentPage?: number;
list?: TextbookWarehouseRecordPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<WeeklyDutySchedulePageVo> = {
currentPage?: number;
list?: WeeklyDutySchedulePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<WfCadreCandidatePageVo> = {
currentPage?: number;
list?: WfCadreCandidatePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<WfHeadTeacherLeavePageVo> = {
currentPage?: number;
list?: WfHeadTeacherLeavePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<WfRoomApplicantPageVo> = {
currentPage?: number;
list?: WfRoomApplicantPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<WfRoomReportPageVo> = {
currentPage?: number;
list?: WfRoomReportPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<WfRoomStayOvernightPageVo> = {
currentPage?: number;
list?: WfRoomStayOvernightPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<WfSubscriptionPageVo> = {
currentPage?: number;
list?: WfSubscriptionPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<WfTeacherleavePageVo> = {
currentPage?: number;
list?: WfTeacherleavePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<WfTextbookClaimPageVo> = {
currentPage?: number;
list?: WfTextbookClaimPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<WfTextbookRecedePageVo> = {
currentPage?: number;
list?: WfTextbookRecedePageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PageOutput<XjrLiteflowChainPageVo> = {
currentPage?: number;
list?: XjrLiteflowChainPageVo[];
pageSize?: number;
total?: number;
totalPage?: number;
}

type PbSemesterConfigPageVo = {
/** 学期 */
baseSemesterId?: string;
/** 攀宝学期code */
beltcode?: string;
createDate?: string;
createUserId?: string;
deleteMark?: number;
enabledMark?: number;
id?: string;
modifyDate?: string;
modifyUserId?: string;
}

type PbSemesterConfigVo = {
/** 学期 */
baseSemesterId?: string;
/** 学期 */
baseSemesterIdCn?: string;
/** 攀宝学期code */
beltcode?: string;
id?: string;
}

type PbVXssfdetailPageVo = {
/** 类型 */
category?: string;
/** 收费项目 */
feeitemname?: string;
/** 性别中文 */
genderCn?: string;
/** 支付金额 */
mny?: number;
/** 学生姓名 */
name?: string;
/** 支付时间 */
paydate?: string;
/** 订单号（唯一主键） */
payorder?: string;
/** 支付类型 */
paytype?: string;
/** 学期 */
semesterName?: string;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

type PbVXsxxsfytbPageVo = {
/** 学号 */
Studentcode?: string;
/** 地址 */
address?: string;
/** 调整（减免）金额 */
adjustmny?: number;
/** 录取号 */
admissions?: string;
/** 欠费金额 */
arrearagemny?: number;
/** 收费区间编码 */
beltcode?: string;
/** 收费区间名称 */
beltname?: string;
/** 所属班级编码 */
classcode?: string;
/** 所属班级名称 */
classname?: string;
/** 所属院系编码 */
deptcode?: string;
/** 所属院系名称 */
deptname?: string;
/** 入校年度 */
enteryear?: string;
/** 应缴金额  */
factar?: number;
/** 实缴金额 */
factrecarmny?: number;
/** 收费项目编码 */
feeitemcode?: string;
/** 收费项目名称 */
feeitemname?: string;
/** 姓名 */
feeobjname?: string;
/** 毕业学校 */
graduations?: string;
/** 缴费状态 */
jfzt?: string;
/** 减免金额 */
jmje?: number;
/** 离校年度 */
leaveyear?: string;
/** 民族 */
nationality?: string;
/** 身份证号 */
personalid?: string;
/** 学生主键 */
pkfeeobj?: string;
/** 主键 */
pksfxxytb?: string;
/** 政治面貌 */
property?: string;
/** 欠费金额 */
qfje?: number;
/** 住宿类型 */
quartername?: string;
/** 学制 */
ratetypename?: string;
/** 招生老师 */
recruiters?: string;
/** 退款金额 */
refundmny?: number;
/** 备注 */
remarks?: string;
/** 学生来源 */
resourcename?: string;
/** 姓名 */
sex?: string;
/** 所属专业编码 */
speccode?: string;
/** 所属专业名称 */
specname?: string;
/** 收费标准金额 */
standardar?: number;
/** 学生状态 */
state?: string;
/** 电话 */
telephone?: string;
userdef1?: string;
userdef2?: string;
}

type PendingCountDto = {
wfPendingCount?: string;
}

type PendingTaskVo = {
/** 审批人id */
approveUserIds?: string;
/** 当前进度 */
currentProgress?: number;
/** 审批时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 任务发起时间 */
launchTime?: string;
/** 流程id */
processId?: string;
/** 流程名称 */
processName?: string;
schemaId?: string;
schemaName?: string;
/** 流水号 */
serialNumber?: string;
/** 创建时间 */
startTime?: string;
/** 发起人id */
startUserId?: string;
/** 发起人名称 */
startUserName?: string;
/** 任务id */
taskId?: string;
/** 任务key */
taskKey?: string;
/** 任务名称 */
taskName?: string;
}

type PersonalPortraitFeeInformationVo = {
/** 调整（减免）金额  */
adjustmny?: number;
/** 欠费金额  */
arrearagemny?: number;
/** 学期Id */
baseSemester?: string;
/** 学期Id */
baseSemesterCn?: string;
/** 收费区间编码 */
beltcode?: string;
/** 收费区间名称 */
beltname?: string;
/** 应缴金额  */
factar?: number;
/** 实缴金额 */
factrecarmny?: number;
/** 收费项目名称 */
feeitemname?: number;
/** 缴费状态 */
jfzt?: number;
}

type PersonalPortraitPersonalInfoVo = {
/** 学籍状态中文 */
archivesStatusCn?: string;
/** 床位编号 */
bedNumber?: string;
/** 出生日期 */
birthDate?: string;
/** 楼栋名称 */
buildName?: string;
/** 结余 */
cashSurplus?: number;
/** 班级名称 */
className?: string;
/** 身份证号 */
credentialNumber?: string;
/** 性别中文 */
genderCn?: string;
/** 监护人电话 */
guardianPhone?: string;
/** 是否低保户(1:是 0:否) */
isIndemnify?: number;
/** 专业方向名称 */
majorSetName?: string;
/** 本人手机号 */
mobile?: string;
/** 学生姓名 */
name?: string;
/** 学习形式中文 */
rollModalityCn?: string;
/** 寝室名称 */
roomName?: string;
/** 就读方式 */
stduyStatusCn?: string;
/** 学号 */
studentId?: string;
/** 一卡通 */
tUnion?: number;
/** 班主任名称 */
teacherName?: string;
/** 班主任电话 */
teacherPhone?: string;
/** 主键 */
userId?: string;
}

type PresentUserCheckInfoVo = {
/** 地点 */
address?: string;
/** 考勤时间 */
attendanceTime?: LocalTime;
/** 打卡时间 */
checkTime?: string;
/** 纬度 */
latitude?: number;
/** 考勤节点(xjr_dictionary_item[attendance_node]) */
leaveReason?: string;
/** 纬度 */
longitude?: number;
/** 岗位名称 */
postName?: string;
/** 状态（1:正常 2:迟到） */
status?: number;
/** 用户名 */
userName?: string;
}

type PrintSetConfigDto = {
/** api配置 */
apiConfig?: string;
/** 按钮code */
buttonCode?: string;
/** 按钮id */
buttonId?: string;
/** 菜单id */
menuId?: string;
/** 模板id */
schemaId?: string;
}

type ProcessConfig = {
appShow?: boolean;
authConfig?: AuthConfig;
autoAgreeRule?: number[];
category?: string;
code?: string;
defaultFormList?: FormConfig_10[];
formInitConfig?: FormInitConfig;
implStartNodeForm?: boolean;
isPrevChooseNext?: number;
menuConfig?: MenuConfig_2;
name?: string;
nameRule?: string;
nameRuleConfigs?: NameRuleConfig[];
noHandler?: number;
processId?: string;
processParamConfigs?: ProcessParamConfig[];
relationProcessConfigs?: RelationProcessConfig[];
remark?: string;
timeoutRemidConfig?: TimeoutRemidConfig;
workflowChat?: string;
xmlContent?: string;
}

type ProcessParamConfig = {
apiConfig?: ApiConfig;
id?: string;
name?: string;
type?: number;
value?: string;
}

type ProclamationPageVo = {
/** 紧急程度  1=一般 2=紧急 */
emergent?: number;
/** 完整标题 */
fullHead?: string;
/** 标题颜色 */
fullHeadColor?: string;
/** 公告主键 */
id?: string;
/** 公告内容 */
newsContent?: string;
/** 接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求) */
openReply?: number;
/** 发布时间 */
releaseTime?: string;
/** 发送部门 */
sendDeptId?: string;
/** 发送部门 */
sendDeptIdCN?: string;
/** 张贴结束时间 */
sendEndDate?: string;
/** 状态 1=未发布 2=已发布 3=下架 */
status?: number;
/** 类型（1-新闻 2-公告） */
typeId?: number;
}

type ProclamationVo = {
/** 附件子表 */
appendixList?: NewsAppendixVo[];
/** 发送部门 */
createUserId?: string;
/** 紧急程度  1=一般 2=紧急 */
emergent?: number;
/** 完整标题 */
fullHead?: string;
/** 标题颜色 */
fullHeadColor?: string;
/** 主键 */
id?: string;
/** 新闻内容 */
newsContent?: string;
/** 关系配置子表 */
newsRelationConfigVoList?: NewsRelationConfigVo[];
/** 接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求) */
openReply?: number;
/** 关系子表 */
relationList?: NewsRelationVo[];
/** 发布时间 */
releaseTime?: string;
/** 发送部门 */
sendDeptId?: string;
/** 发送部门 */
sendDeptIdCN?: string;
/** 张贴结束时间 */
sendEndDate?: string;
/** 发送范围 1=全校教职工 2=全校师生 3=指定人员 */
sendRange?: number;
/** 状态 1=未发布 2=已发布 3=下架 */
status?: number;
}

type QueryConfig = {
fieldName?: string;
format?: string;
isDate?: boolean;
label?: string;
width?: number;
}

type QuotaFormulaRuleAttributePageVo = {
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 属性值 */
formula?: string;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 属性名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type QuotaFormulaRuleAttributeVo = {
/** 属性值 */
formula?: string;
/** 主键编号 */
id?: string;
/** 属性名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type QuotaFormulaRuleConstantPageVo = {
/** 指标 */
bindQuota?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 规则公式 */
formula?: string;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 基数名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type QuotaFormulaRuleConstantVo = {
/** 指标 */
bindQuota?: string;
/** 规则公式 */
formula?: string;
/** 主键编号 */
id?: string;
/** 基数名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type QuotaFormulaRulePageVo = {
/** 指标 */
bindQuota?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 规则公式 */
formula?: string;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 规则名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type QuotaFormulaRuleVo = {
/** 指标 */
bindQuota?: string;
/** 规则公式 */
formula?: string;
/** 主键编号 */
id?: string;
/** 规则名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type ReLaunchDto = {
/** 所有上传文件的文件夹id */
fileFolderIds?: string[];
/** 表单数据 */
formData?: any;
/** 流程id */
processId?: string;
/** 关联任务信息 */
relationTasks?: LaunchRelationTaskDto[];
/** 工作流模板id */
schemaId?: string;
}

type RecycleDeleteDto = {
/** 流程id */
processIds?: string[];
}

type RegisterDto = {
/** 地址 */
address?: string;
/** 头像 */
avatar?: string;
/** 生日 */
birthDate?: Timestamp_1;
/** 编号 */
code?: string;
/** 部门id */
departmentIds?: string;
/** 邮箱 */
email?: string;
/** 性别 */
gender?: string;
/** 纬度 */
latitude?: number;
/** 经度 */
longitude?: number;
/** 手机号 */
mobile?: string;
/** 姓名 */
name?: string;
/** 昵称 */
nickName?: string;
/** 密码 */
password?: string;
/** qq号码 */
qqNumber?: string;
/** 备注 */
remark?: string;
/** 角色Id */
roleId: string;
/** 验证码 */
smsCode?: string;
/** 排序码 */
sortCode?: number;
/** 账户 */
userName?: string;
/** 微信号码 */
wechatNumber?: string;
}

type RelationProcessConfig = {
/** 关联流程定义key */
definitionKey?: string;
/** 工作流模板id */
id?: string;
/** 关联流程名称 */
name?: string;
processAuth?: number;
processStatus?: number;
}

type ResetPasswordDto = {
id?: string;
}

type RestartDto = {
processId?: string;
schemaId?: string;
}

type ResultViewingExcelDto = {
/** 评价管理主键编号 */
evaluateManageId: string;
}

type ResultViewingPageVo = {
/** 实际打分人数 */
actualExecuterNum?: number;
/** 题目项的id */
evaluateManageItemId?: string;
/** 具体被评的那个对象的id */
objectId?: string;
/** 具体被评的那个对象的id */
objectIdCN?: string;
/** 应打分人数 */
planExecuterNum?: number;
/** 题目名称 */
problem?: string;
/** 单个被评对象的每一道题的平均得分 */
sumScore?: number;
/** 单个被评对象的综合平均得分 */
synthesisScore?: number;
/** 标题名称 */
topic?: string;
/** 单个被评对象的每个标题的平均得分 */
topicScore?: number;
}

type RoomBedCheckRecordEchoVo = {
/** 班级 */
classList?: BaseClass[];
/** 寝室 */
roomEchoVoList?: RoomEchoVo[];
/** 用户id */
userId?: string;
/** 用户名 */
userName?: string;
}

type RoomBedCheckRecordPageVo = {
/** 查寝时间 */
checkRecordTime?: string;
/** 班级编号 */
classId?: string;
/** 班级编号 */
classIdCN?: string;
/** 附件文件id */
fileId?: string;
/** 主键编号 */
id?: string;
/** 情况 */
record?: string;
/** 备注 */
remark?: string;
/** 填写人 */
userId?: string;
/** 填写人 */
userIdCN?: string;
}

type RoomBedCheckRecordRelationVo = {
/** 楼层 */
floorNumber?: number;
/** 主键编号 */
id?: string;
/** 楼栋(base_office_build) */
officeBuildId?: string;
/** 楼栋(base_office_build) */
officeBuildIdCN?: string;
/** 查寝记录编号（room_bed_check_record） */
roomBedCheckRecordId?: string;
/** 寝室编号(room) */
roomId?: string;
/** 寝室名称 */
roomName?: string;
/** 序号 */
sortCode?: number;
}

type RoomBedCheckRecordVo = {
/** 查寝时间 */
checkRecordTime?: string;
/** 班级编号 */
classId?: string;
/** 班级编号 */
classIdCN?: string;
/** 附件文件id */
fileId?: string;
/** 文件集合 */
fileList?: File对象[];
/** 主键编号 */
id?: string;
/** 情况 */
record?: string;
/** 备注 */
remark?: string;
/** roomBedCheckRecordRelation子表 */
roomBedCheckRecordRelationList?: RoomBedCheckRecordRelationVo[];
/** 填写人 */
userId?: string;
/** 填写人 */
userIdCN?: string;
}

type RoomBedPageVo = {
/** 床位号 */
bedNumber?: number;
/** 楼栋名称 */
buildName?: string;
/** 班级名称 */
className?: string;
/** 楼层 */
floorNumber?: number;
/** 入住性别 */
genderCn?: string;
/** 年级名称 */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 手机号 */
mobile?: string;
/** 寝室名称 */
roomName?: string;
/** 序号 */
sortCode?: number;
/** 学生学号 */
studentId?: string;
/** 学生姓名 */
studentName?: string;
}

type RoomBedVo = {
/** 床位号 */
bedNumber?: number;
/** 主键编号 */
id?: string;
/** 是否入住（1:是 0:否） */
isCheckIn?: number;
/** 备注 */
remark?: string;
/** 寝室编号(room) */
roomId?: string;
/** 序号 */
sortCode?: number;
/** 学生用户编号 */
studentUserId?: string;
}

type RoomEchoVo = {
/** 寝室id */
roomId?: string;
/** 寝室名 */
roomName?: string;
}

type RoomPageVo = {
/** 床位数 */
bedCount?: number;
/** 楼栋名称 */
bulidName?: string;
/** 入住身份 */
checkInStatusCn?: string;
/** 楼层 */
floorNumber?: number;
/** 入住性别 */
genderCn?: string;
/** id */
id?: string;
/** 是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否） */
isMax?: number;
/** 备注 */
remark?: string;
/** 寝室名称 */
roomName?: string;
/** 序号 */
sortCode?: number;
/** 寝室长 */
studentAppointNames?: string;
/** 宿管 */
teacherAppointNames?: string;
}

type RoomRuleItemVo = {
/** 主键编号 */
id?: string;
/** 楼栋(base_office_build) */
officeBuildId?: string;
/** 寝室生成规则编号(room_rule) */
roomRuleId?: string;
/** 序号 */
sortCode?: number;
}

type RoomRulePageVo = {
/** 绑定楼栋id */
buildIds?: string;
/** 绑定楼栋 */
buildNames?: string;
/** 门牌号 */
houseNumber?: string;
/** 主键编号 */
id?: string;
/** 规则名称 */
name?: string;
/** 规则配置（多个规则用逗号隔开） */
rule?: string;
/** 序号 */
sortCode?: number;
}

type RoomRuleVo = {
/** 楼层 */
floorNumber?: number;
/** 主键编号 */
id?: string;
/** 规则名称 */
name?: string;
/** 备注 */
remark?: string;
/** roomRuleItem子表 */
roomRuleItemList?: RoomRuleItemVo[];
/** 规则配置（多个规则用逗号隔开） */
rule?: string;
/** 序号 */
sortCode?: number;
}

type RoomStudentAppointVo = {
/** 主键编号 */
id?: string;
/** 职务编号【只取职位级别为寝室的,cadreLevel_room】(base_student_post) */
postId?: string;
/** 职务编号【只取职位级别为寝室的,cadreLevel_room】(base_student_post) */
postIdCN?: string;
/** 备注 */
remark?: string;
/** 寝室床位编号(room_bed) */
roomBedId?: string;
/** 寝室编号(room) */
roomId?: string;
/** 序号 */
sortCode?: number;
/** 学生用户编号 */
studentUserId?: string;
}

type RoomTeacherAppointPageVo = {
/** 宿管员 */
appointUsers?: string;
/** 楼栋名称 */
buildName?: string;
/** 楼层 */
floorNumber?: number;
/** 入住性别 */
genderCn?: string;
/** 主键编号 */
id?: string;
/** 寝室 */
roomName?: string;
/** 序号 */
sortCode?: number;
}

type RoomTeacherAppointVo = {
/** 主键编号 */
id?: string;
/** 备注 */
remark?: string;
/** 寝室编号(room) */
roomId?: string;
/** 序号 */
sortCode?: number;
/** 用户编号 */
userId?: string;
}

type RoomValueWeekItemVo = {
/** 结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 人数(添加时先默认统计一个进去) */
numberPeople?: number;
/** 职务（宿管、教官） */
postName?: string;
/** 负责寝室（男寝、女寝固定） */
roomType?: string;
/** 宿管值班管理编号（room_value_week） */
roomValueWeekId?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 值班人员用户编号 */
userId?: string;
}

type RoomValueWeekPageVo = {
/** 结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 人数(添加时先默认统计一个进去) */
numberPeople?: number;
/** 职务（宿管、教官） */
postName?: string;
/** 负责寝室（男寝、女寝固定） */
roomType?: string;
/** 宿管值班管理编号（room_value_week） */
roomValueWeekId?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 值班人员用户编号 */
userId?: string;
/** 值班人员用户编号 */
userName?: string;
}

type RoomVo = {
/** 床位数 */
bedCount?: number;
/** 入住身份(xjr_dictionary_item[check_in_status]) */
checkInStatus?: string;
/** 楼层 */
floorNumber?: number;
/** 入住性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 主键编号 */
id?: string;
/** 是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否） */
isMax?: number;
/** 楼栋(base_office_build) */
officeBuildId?: string;
/** 备注 */
remark?: string;
/** 寝室名称 */
roomName?: string;
/** 序号 */
sortCode?: number;
}

type SaveDraftDto = {
/** 数据id */
dataId?: string;
/** 表单数据 */
formData?: any;
/** 工作流模板id */
schemaId?: string;
/** 流程任务id */
taskId?: string;
}

type SaveEvaluateObjectDto = {
/** 评价管理编号 */
evaluateManageId?: string;
/** 被评人信息 */
objectList?: AddEvaluateObjectDto[];
}

type SaveRoleXjrMenuQuickDto = {
menus?: AddXjrMenuQuickDto[];
roleId?: string;
}

type ScheduleListVo = {
/** 是否全天 */
allDay?: boolean;
/** 日程结束时间 */
end?: string;
/** 主键 */
id?: string;
/** 机构名称 */
start?: string;
/** 日程标题 */
title?: string;
}

type ScheduleVo = {
/** 日程分类 */
category?: string;
/** 备注 */
description?: string;
/** 提前提醒 */
early?: number;
/** 结束日期 */
endDate?: string;
/** 结束时间 */
endTime?: string;
/** 邮件提醒 */
isMailAlert?: number;
/** 手机提醒 */
isMobileAlert?: number;
/** 微信提醒 */
isWechatAlert?: number;
/** 日程内容 */
scheduleContent?: string;
/** 日程名称 */
scheduleName?: string;
/** 日程状态 */
scheduleState?: number;
/** 排序码 */
sortCode?: number;
/** 开始日期 */
startDate?: string;
/** 开始时间 */
startTime?: string;
}

type ScheduleWeekExportQueryDto = {
/** 班级id(课表类型为class时使用) */
classId?: string;
/** 课表类型(teacher:教师,class:班级) */
courseType?: string;
/** 结束时间 */
endDate?: string;
/** 年级id(课表类型为class时使用) */
gradeId?: string;
/** 工号(课表类型为teachar时使用) */
jobNumber?: string;
/** 专业方向id(课表类型为class时使用) */
majorSetId?: string;
/** 学期管理 */
semesterId?: string;
/** 开始时间 */
startDate?: string;
/** 学生id(家长登录时使用) */
studentId?: string;
/** 教师id */
teacherId?: string;
/** 姓名(课表类型为teachar时使用) */
teacherName?: string;
/** 当前日期 */
toDay?: string;
/** 周次 */
week?: number;
/** 周几 */
weekDay?: number;
}

type SchoolRollCategoryPageVo = {
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 学籍异动类型(xjr_dictionary_item[school_change_type]) */
scholarshipSource?: string;
/** 学籍异动类型中文名(xjr_dictionary_item[school_change_type]) */
scholarshipSourceCN?: string;
/** 序号 */
sortCode?: number;
}

type SchoolRollCategoryVo = {
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 学籍异动类型(xjr_dictionary_item[school_change_type]) */
scholarshipSource?: string;
/** 学籍异动类型中文名(xjr_dictionary_item[school_change_type]) */
scholarshipSourceCN?: string;
/** 序号 */
sortCode?: number;
}

type SchoolRollFurtherEducationPageVo = {
/** 申请人姓名 */
applicantUserIdCN?: string;
/** 异动后班级中文(base_class) */
backClassIdCN?: string;
/** 异动后专业方向中文(base_major_set) */
backMajorSetIdCN?: string;
/** 异动前班级中文(base_class) */
beforeClassIdCN?: string;
/** 异动前专业方向中文(base_major_set) */
beforeMajorSetIdCN?: string;
/** 证件号码 */
credentialNumber?: string;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 序号 */
sortCode?: number;
/** 状态 */
status?: number;
/** 学生编号(学生user_id) */
studentId?: string;
/** 学生编号姓名(学生user_id) */
studentIdCN?: string;
}

type SchoolRollFurtherEducationVo = {
/** 申请人 */
applicantUserId?: string;
/** 申请人姓名 */
applicantUserIdCN?: string;
/** 异动后班级(base_class) */
backClassId?: string;
/** 异动后班级中文(base_class) */
backClassIdCN?: string;
/** 异动后所属机构(xjr_department) */
backDepartmentId?: string;
/** 异动后入学年级(base_grade) */
backGradeId?: string;
/** 异动后专业方向(base_major_set) */
backMajorSetId?: string;
/** 异动后专业方向中文(base_major_set) */
backMajorSetIdCN?: string;
/** 异动前班级(base_class) */
beforeClassId?: string;
/** 异动前班级中文(base_class) */
beforeClassIdCN?: string;
/** 异动前所属机构(xjr_department) */
beforeDepartmentId?: string;
/** 异动前入学年级(base_grade) */
beforeGradeId?: string;
/** 异动前专业方向(base_major_set) */
beforeMajorSetId?: string;
/** 异动前专业方向中文(base_major_set) */
beforeMajorSetIdCN?: string;
/** 证件号码 */
credentialNumber?: string;
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学生编号(学生user_id) */
studentId?: string;
/** 学生编号姓名(学生user_id) */
studentIdCN?: string;
}

type SchoolRollReasonPageVo = {
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 备注 */
remark?: string;
/** 学籍异动类别ID(school_roll_category) */
schoolRollCategoryId?: string;
/** 学籍异动类别ID中文(school_roll_category) */
schoolRollCategoryIdCN?: string;
/** 序号 */
sortCode?: number;
}

type SchoolRollReasonVo = {
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 备注 */
remark?: string;
/** 学籍异动类别ID(school_roll_category) */
schoolRollCategoryId?: string;
/** 学籍异动类别中文ID(school_roll_category) */
schoolRollCategoryIdCN?: string;
/** 序号 */
sortCode?: number;
}

type SchoolRollStudentPageVo = {
/** 申请人姓名 */
applicantUserName?: string;
/** 异动后班级 */
backClassName?: string;
/** 异动前班级 */
beforeClassName?: string;
/** 证件号 */
credentialNumber?: string;
/** 主键编号 */
id?: string;
/** 入班时间 */
inClassDate?: string;
/** 学生名字 */
name?: string;
/** 离班时间 */
outClassDate?: string;
/** 备注 */
remark?: string;
/** 学籍异动类型 */
scholarshipSource?: string;
/** 学籍异动类型-中文 */
scholarshipSourceCn?: string;
/** 序号 */
sortCode?: number;
/** 学号 */
studentId?: string;
}

type SchoolRollStudentVo = {
/** 申请人 */
applicantUserName?: string;
/** 异动后行政班 */
backClassName?: string;
/** 异动后组织机构 */
backDepartmentName?: string;
/** 异动后年级 */
backGradeName?: string;
/** 异动后专业方向 */
backMajorSetName?: string;
/** 异动前行政班 */
beforeClassName?: string;
/** 异动前组织机构 */
beforeDepartmentName?: string;
/** 异动前年级 */
beforeGradeName?: string;
/** 异动前专业方向 */
beforeMajorSetName?: string;
/** 申请时间 */
createDate?: string;
/** 证件号 */
credentialNumber?: string;
/** 性别 */
gender?: string;
/** 主键编号 */
id?: string;
/** 入班日期 */
inClassDate?: string;
/** 是否已经维护到国家/省学籍系统(0:未维护 1:已维护 2:无需维护) */
isMaintained?: number;
/** 是否记录到档案 */
isRecord?: number;
/** 是否保留学籍 */
isRetain?: number;
/** 是否给予肄业 */
isUnderGraduate?: number;
/** 休学时段(结束时间) */
leaveEndYear?: string;
/** 休学时段(开始时间) */
leaveStartYear?: string;
/** 休学年限 */
leaveYear?: string;
/** 姓名 */
name?: string;
/** 离班日期 */
outClassDate?: string;
/** 异动原因 */
reason?: string;
/** 异动类型 */
scholarshipSourceCn?: string;
/** 状态 */
status?: number;
/** 学号 */
studentId?: string;
}

type SchoolRollTransferStudentPageVo = {
/** 家庭住址 */
address?: string;
/** 别名 */
asName?: string;
/** 转学前班级名称 */
beforeClassName?: string;
/** 转学前年级名称 */
beforeGradeName?: string;
/** 转学前专业方向名称 */
beforeMajorSetName?: string;
/** 转学前学号 */
beforeSchoolId?: string;
/** 转学前学校名称 */
beforeSchoolName?: string;
/** 所属派出所 */
belongsPolice?: string;
/** 出生地 市(xjr_area) */
birthCity?: string;
/** 出生地 区/县(xjr_area) */
birthDistrict?: string;
/** 出生地 省(xjr_area) */
birthProvinces?: string;
/** 生日类型(xjr_dictionary_item[date_type]) */
birthType?: string;
/** 血型(xjr_dictionary_item[blood_type]) */
bloodType?: string;
/** 港澳台侨外(xjr_dictionary_item[chinese_type]) */
chineseType?: string;
/** 籍贯 市(xjr_area) */
city?: string;
/** 班级(base_class) */
classId?: string;
/** 联系人姓名 */
contact?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 证件号码 */
credentialNumber?: string;
/** 证件类型(xjr_dictionary_item[credential_type]) */
credentialType?: string;
/** 出生日期 */
dayOfBirth?: string;
/** 删除标记 */
deleteMark?: number;
/** 所属机构(xjr_department) */
departmentId?: string;
/** 籍贯 区/县(xjr_area) */
district?: string;
/** 有效标志 */
enabledMark?: number;
/** 性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 健康状况(xjr_dictionary_item[health]) */
health?: string;
/** 户口所在地 市(xjr_area) */
houseCity?: string;
/** 户口所在地 区/县(xjr_area) */
houseDistrict?: string;
/** 户口所在详细地址 */
houseHoldAddress?: string;
/** 户口类别(xjr_dictionary_item[house_hold_type]) */
houseHoldType?: string;
/** 户口所在地 省(xjr_area) */
houseProvinces?: string;
/** 主键编号 */
id?: string;
/** 入班时间 */
inClassDate?: string;
/** 是否建档立卡 */
isFilingCard?: number;
/** 是否流动人口 */
isFloatingPopulation?: number;
/** 是否免学费 */
isFree?: number;
/** 是否低保 */
isIndemnify?: number;
/** 是否随迁子女 */
isMigrateChildren?: number;
/** 是否住宿 */
isStay?: number;
/** 是否享受国家助学金 */
isStipend?: number;
/** 专业方向(base_major_set) */
majorSetId?: string;
/** 婚姻状况(xjr_dictionary_item[marital_state]) */
maritalState?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 国籍地区(xjr_dictionary_item[nationality]) */
nationality?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 籍贯 省(xjr_area) */
provinces?: string;
/** 信仰宗教(xjr_dictionary_item[religion]) */
religion?: string;
/** 学生居住地类型(xjr_dictionary_item[residence_type]) */
residenceType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
/** 家庭电话 */
telephone?: string;
/** 转学日期 */
transferDate?: string;
/** 微信号 */
wechat?: string;
}

type SchoolRollTransferStudentVo = {
/** 家庭住址 */
address?: string;
/** 别名 */
asName?: string;
/** 转学前班级名称 */
beforeClassName?: string;
/** 转学前年级名称 */
beforeGradeName?: string;
/** 转学前专业方向名称 */
beforeMajorSetName?: string;
/** 转学前学号 */
beforeSchoolId?: string;
/** 转学前学校名称 */
beforeSchoolName?: string;
/** 所属派出所 */
belongsPolice?: string;
/** 出生地 市(xjr_area) */
birthCity?: string;
/** 出生地 区/县(xjr_area) */
birthDistrict?: string;
/** 出生地 省(xjr_area) */
birthProvinces?: string;
/** 生日类型(xjr_dictionary_item[date_type]) */
birthType?: string;
/** 血型(xjr_dictionary_item[blood_type]) */
bloodType?: string;
/** 港澳台侨外(xjr_dictionary_item[chinese_type]) */
chineseType?: string;
/** 籍贯 市(xjr_area) */
city?: string;
/** 班级(base_class) */
classId?: string;
/** 联系人姓名 */
contact?: string;
/** 证件号码 */
credentialNumber?: string;
/** 证件类型(xjr_dictionary_item[credential_type]) */
credentialType?: string;
/** 出生日期 */
dayOfBirth?: string;
/** 所属机构(xjr_department) */
departmentId?: string;
/** 籍贯 区/县(xjr_area) */
district?: string;
/** 性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 健康状况(xjr_dictionary_item[health]) */
health?: string;
/** 户口所在地 市(xjr_area) */
houseCity?: string;
/** 户口所在地 区/县(xjr_area) */
houseDistrict?: string;
/** 户口所在详细地址 */
houseHoldAddress?: string;
/** 户口类别(xjr_dictionary_item[house_hold_type]) */
houseHoldType?: string;
/** 户口所在地 省(xjr_area) */
houseProvinces?: string;
/** 主键编号 */
id?: string;
/** 入班时间 */
inClassDate?: string;
/** 是否建档立卡 */
isFilingCard?: number;
/** 是否流动人口 */
isFloatingPopulation?: number;
/** 是否免学费 */
isFree?: number;
/** 是否低保 */
isIndemnify?: number;
/** 是否随迁子女 */
isMigrateChildren?: number;
/** 是否住宿 */
isStay?: number;
/** 是否享受国家助学金 */
isStipend?: number;
/** 专业方向(base_major_set) */
majorSetId?: string;
/** 婚姻状况(xjr_dictionary_item[marital_state]) */
maritalState?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 国籍地区(xjr_dictionary_item[nationality]) */
nationality?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 籍贯 省(xjr_area) */
provinces?: string;
/** 信仰宗教(xjr_dictionary_item[religion]) */
religion?: string;
/** 学生居住地类型(xjr_dictionary_item[residence_type]) */
residenceType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
/** 家庭电话 */
telephone?: string;
/** 转学日期 */
transferDate?: string;
/** 微信号 */
wechat?: string;
}

type SelectPersonPageVo = {
/** 部门 */
deptName?: string;
/** 性别 */
gender?: string;
/** 用户工号 */
jobNumber?: string;
/** 联系电话 */
mobile?: string;
/** 岗位 */
postName?: string;
/** 用户编号 */
userId?: string;
/** 用户姓名 */
userName?: string;
}

type SemesterYeatTreeVo = {
/** children */
children?: SemesterYeatTreeVo[];
/** id */
id?: string;
/** name */
name?: string;
/** parentId */
parentId?: string;
}

type SetAssigneeDto = {
assignees?: string[];
taskId?: string;
}

type SetDefaultStampDto = {
id?: string;
}

type SetRoleAuthDto = {
buttonIds?: string[];
columnIds?: string[];
formIds?: string[];
id?: string;
menuIds?: string[];
}

type SetSuspendedDto = {
processId?: string;
}

type SqlConfig = {
bindField?: string;
databaseId?: string;
enabled?: boolean;
formField?: string;
sqlContent?: string;
sqlParamConfig?: string[];
}

type StampEnabledDto = {
id?: string;
}

type StudentHonorsPageVo = {
/** 获奖日期 */
awardDate?: string;
/** 附件文件id */
fileId?: string;
/** 荣誉等级(xjr_dictionary_item[honors_grade]) */
honorsGrade?: string;
/** 荣誉级别(xjr_dictionary_item[honors_level]) */
honorsLevel?: string;
/** 荣誉类型(xjr_dictionary_item[honors_type]) */
honorsType?: string;
/** 主键编号 */
id?: string;
/** 荣誉名称 */
name?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
/** 学生姓名 */
studentName?: string;
/** 教师id */
teacherId?: string;
}

type StudentHonorsTreeVo = {
children?: StudentHonorsTreeVo[];
id?: string;
/** 名字 */
name?: string;
/** 父级id */
parentId?: string;
}

type StudentHonorsVo = {
/** 申请人Id */
applicantUserId?: string;
/** 申请人姓名 */
applicantUserName?: string;
/** 获奖日期 */
awardDate?: string;
/** 学期Id */
baseSemesterId?: string;
/** 班级Id */
classId?: string;
/** 班级 */
className?: string;
/** 附件文件id */
fileId?: string;
/** 附件列表 */
fileInfos?: File对象[];
/** 年级id */
gradeId?: string;
/** 年级 */
gradeName?: string;
/** 荣誉等级(xjr_dictionary_item[honors_grade]) */
honorsGrade?: string;
/** 荣誉等级-中文 */
honorsGradeCn?: string;
/** 荣誉级别(xjr_dictionary_item[honors_level]) */
honorsLevel?: string;
/** 荣誉级别-中文 */
honorsLevelCn?: string;
/** 荣誉类型(xjr_dictionary_item[honors_type]) */
honorsType?: string;
/** 荣誉类型-中文 */
honorsTypeCn?: string;
/** 主键编号 */
id?: string;
/** 所学专业Id */
majorSetId?: string;
/** 所学专业 */
majorSetName?: string;
/** 荣誉名称 */
name?: string;
/** 学号 */
studentId?: string;
/** 学生姓名 */
studentName?: string;
/** 学生userId */
studentUserId?: string;
}

type SubjectGroupCoursePageVo = {
/** 课程编号(base_course_subject) */
courseSubjectId?: string;
/** 课程编号(base_course_subject) */
courseSubjectIdCN?: string;
/** 主键编号 */
id?: string;
/** 学科组管理编号(subject_group) */
subjectGroupId?: string;
/** 学科组管理编号(subject_group) */
subjectGroupIdCN?: string;
}

type SubjectGroupCourseVo = {
/** 课程编号(base_course_subject) */
courseSubjectId?: string;
/** 主键编号 */
id?: string;
/** 序号 */
sortCode?: number;
/** 学科组管理编号(subject_group) */
subjectGroupId?: string;
}

type SubjectGroupPageVo = {
/** 组名 */
groupName?: string;
/** 主键编号 */
id?: string;
/** 组长用户编号 */
leaderUserId?: string;
/** 组长用户编号 */
leaderUserIdCN?: string;
/** 备注 */
remark?: string;
/** 学科组课程管理信息 */
subjectGroupCourseList?: SubjectGroupCoursePageVo[];
}

type SubjectGroupVo = {
/** 组名 */
groupName?: string;
/** 主键编号 */
id?: string;
/** 组长用户编号 */
leaderUserId?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 学科组课程管理信息 */
subjectGroupCourseList?: SubjectGroupCoursePageVo[];
}

type SwitchPostDto = {
postId?: string;
}

type TableConfig = {
isMain?: boolean;
pkField?: string;
pkType?: string;
relationField?: string;
relationTableField?: string;
tableName?: string;
}

type TableFieldConfig = {
fieldComment?: string;
fieldLength?: number;
fieldName?: string;
fieldType?: number;
}

type TableInfoDto = {
databaseId?: string;
tableConfigs?: TableConfig[];
}

type TableStructureConfig = {
isMain?: boolean;
operator?: number;
pkField?: string;
tableComment?: string;
tableFieldConfigs?: TableFieldConfig[];
tableName?: string;
}

type TeacherCheckByStuVo = {
/** 学号 */
studentId?: string;
/** 学生用户编号 */
studentUserId?: string;
/** 学生用户编号 */
studentUserIdCN?: string;
/** 学生教材领取记录集合 */
textbookClaimVOList?: TextbookClaimVO[];
}

type TeacherCheckByclassVo = {
/** 已经确认领取人数 */
actualClaimNum?: string;
/** 实际领取教材数量 */
actualReceivedNum?: number;
/** 学期id */
baseSemesterId?: string;
/** 学期id */
baseSemesterIdCN?: string;
/** 教材名称 */
bookName?: string;
/** 班级id */
classId?: string;
/** 班级人数 */
classStudentNum?: number;
/** 教材主键编号 */
textbookId?: string;
}

type TeacherCheckStuClaimVo = {
/** 教材名称 */
bookName?: string;
/** 是否领取（1:已领取 0:未领取） */
isClaim?: number;
/** 学生学号 */
studentId?: string;
/** 学生姓名 */
studentName?: string;
/** 学生id */
studentUserId?: string;
/** 教材主键编号 */
textbookId?: string;
/** 学生教材认领主键编号 */
textbookStudentClaimId?: string;
}

type TeacherConfirmDto = {
/** 备注 */
remark?: string;
/** 学生id */
studentUserId?: string;
/** 教材主键编号 */
textbookId?: string;
/** 学生教材认领主键编号 */
textbookStudentClaimId?: string;
}

type TextbookClaimExportQueryDto = {
/** 学期id */
baseSemesterId?: string;
/** 书名 */
bookName?: string;
/** 班级id */
classId?: string;
/** 课程id */
courseSubjectId?: string;
/** 规划教材 */
isTextbookPlan?: string;
/** 书号 */
issn?: string;
/** 学科id */
subjectGroupId?: string;
/** 教材id */
textbookId?: string;
/** 教材类型 */
textbookType?: string;
}

type TextbookClaimItem = {
/** 本次发放数量 */
confirmNumber?: number;
/** 教材申领项主键编号 */
textbookClaimItemId?: string;
}

type TextbookClaimStudentConfirmVo = {
/** 学期 */
baseSemesterCN?: string;
/** 班级 */
classCN?: string;
/** 学号 */
studentId?: string;
/** 学生姓名 */
studentName?: string;
/** 学生教材认领记录集合 */
textbookClaimVoList?: TextbookClaimVO[];
}

type TextbookClaimVO = {
/** 书名 */
bookName?: string;
/** 折后价格 */
discountPrice?: number;
/** 是否领取（1:已领取 0:未领取） */
isClaim?: number;
/** 定价(元) */
price?: number;
/** 序号 */
sortCode?: number;
/** 学生id */
studentUserId?: string;
/** 教材管理编号 */
textbookId?: string;
/** 学生教材认领主键编号 */
textbookStudentClaimId?: string;
}

type TextbookClassRelationVo = {
/** 班级编号 */
classId?: string;
/** 主键编号 */
id?: string;
/** 序号 */
sortCode?: number;
/** 教材管理编号 */
textbookId?: string;
}

type TextbookIssueRecordExportDto = {
/** 主键编号 */
ids?: string[];
}

type TextbookIssueRecordListVo = {
/** 出库时间 */
issueDate?: string;
/** 出库方式 */
issueMode?: string;
/** 出库数量 */
issueNumber?: number;
/** 出库人员 */
issueUser?: string;
/** 去处 */
remark?: string;
}

type TextbookIssueRecordPageVo = {
/** 学期 */
baseSemesterIdCn?: string;
/** 书名 */
bookName?: string;
/** 领取人员 */
claimUser?: string;
/** 使用班级 */
className?: string;
/** 对应课程 */
courseName?: string;
/** 出库时间 */
createDate?: string;
/** 出库时间 */
createDateStr?: string;
/** 作者（主编） */
editorInChief?: string;
/** 使用年级 */
gradeName?: string;
/** 学科组 */
groupName?: string;
/** 主键编号 */
id?: string;
/** 书号 */
issn?: string;
/** 出库方式 */
issueModeCn?: string;
/** 出库数量 */
issueNumber?: number;
/** 出版社 */
publishingHouse?: string;
/** 序号 */
sortCode?: number;
/** 规格型号 */
specificationsModels?: string;
/** 类型 */
textbookTypeCn?: string;
}

type TextbookIssueRecordVo = {
/** 主键编号 */
id?: string;
/** 出库方式(xjr_dictionary_item[issue_mode]) */
issueMode?: string;
/** 出库数量 */
issueNumber?: number;
/** 出库用户编号 */
issueUserId?: string;
/** 领取用户编号 */
receiveUserId?: string;
/** 剩余数量 */
remainingNumber?: number;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 教材申领编号 */
wfTextbookClaimId?: string;
/** 教材申领项编号 */
wfTextbookClaimItemId?: string;
}

type TextbookPageVo = {
/** 估价(元) */
appraisalPrice?: number;
/** 书名 */
bookName?: string;
/** 课程 */
courseName?: string;
/** 折扣 */
discount?: number;
/** 主编 */
editorInChief?: string;
/** 学科组名称 */
groupName?: string;
/** 主键编号 */
id?: string;
/** 是否为规划教材 */
isTextbookPlanCn?: string;
/** 国际标准刊号 */
issn?: string;
/** 定价(元) */
price?: number;
/** 出版社 */
publishingHouse?: string;
/** 学期名称 */
semesterName?: string;
/** 序号 */
sortCode?: number;
/** 规格型号 */
specificationsModels?: string;
/** 库存 */
stock?: number;
/** 小计（元） */
subtotal?: number;
/** 教材类型-中文 */
textbookTypeCn?: string;
/** 使用班级 */
useClass?: string;
/** 使用年级 */
useGrade?: string;
/** 版本 */
version?: string;
}

type TextbookStandingExportQuerytDto = {
/** 学期id */
baseSemesterId?: string;
/** 书名 */
bookName?: string;
/** 课程id */
courseSubjectId?: string;
/** 规划教材 */
isTextbookPlan?: string;
/** 书号 */
issn?: string;
/** 学科id */
subjectGroupId?: string;
/** 教材类型 */
textbookType?: string;
}

type TextbookStudentClaimPageVo = {
/** 书名 */
bookName?: string;
/** 折后价格 */
discountPrice?: number;
/** 主键编号 */
id?: string;
/** 是否领取（1:已领取 0:未领取） */
isClaim?: number;
/** 定价(元) */
price?: number;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 教材管理编号 */
textbookId?: string;
}

type TextbookStudentClaimVo = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 学期ID(base_semester) */
baseSemesterIdCN?: string;
/** 班级编号 */
classId?: string;
/** 班级编号 */
classIdCN?: string;
/** 主键编号 */
id?: string;
/** 是否领取（1:已领取 0:未领取） */
isClaim?: number;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 学生用户编号 */
studentUserId?: string;
/** 学生用户编号 */
studentUserIdCN?: string;
/** 教材管理编号 */
textbookId?: string;
/** 教材管理编号 */
textbookIdCN?: string;
}

type TextbookStudentSemesterVo = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 学期ID(base_semester) */
baseSemesterIdCN?: string;
/** 该学生该学期未领取数量 */
notClaimNum?: string;
}

type TextbookSubscriptionExportQueryDto = {
/** 学期id */
baseSemesterId?: string;
/** 书名 */
bookName?: string;
/** 课程id */
courseSubjectId?: string;
/** 规划教材 */
isTextbookPlan?: string;
/** 书号 */
issn?: string;
/** 学科id */
subjectGroupId?: string;
/** 教材类型 */
textbookType?: string;
}

type TextbookSubscriptionRecordVo = {
/** 征订人 */
applicantUser?: string;
/** 估价(元) */
appraisalPrice?: number;
/** 书名 */
bookName?: string;
/** 班级id */
classIds?: string;
/** 对应课程 */
courseName?: string;
/** 征订时间 */
createDate?: string;
/** 主编 */
editorInChief?: string;
/** 使用年级 */
gradeName?: string;
/** 有无配套教学资源 */
isSupportResourcesCn?: string;
/** 是否为规划教材 */
isTextbookPlanCn?: string;
/** 国际标准刊号 */
issn?: string;
/** 出版社 */
publishingHouse?: string;
/** 学生用书征订数量 */
studentSubscriptionNumber?: number;
/** 学科组管理编号(subject_group) */
subjectGroupId?: string;
/** 学科组管理编号(subject_group) */
subjectGroupIdCN?: string;
/** 教师教参用书征订数量 */
teacherReferenceNumber?: number;
/** 教师教材用书征订数量 */
teacherSubscriptionNumber?: number;
/** 使用班级 */
useClass?: string;
}

type TextbookVo = {
/** 估价(元) */
appraisalPrice?: number;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 书名 */
bookName?: string;
/** 课程编号(base_course_subject) */
courseSubjectId?: string;
/** 折扣 */
discount?: number;
/** 主编 */
editorInChief?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 主键编号 */
id?: string;
/** 是否为规划教材(xjr_dictionary_item[judgment_method_1]) */
isTextbookPlan?: string;
/** 国际标准刊号 */
issn?: string;
/** 定价(元) */
price?: number;
/** 出版社 */
publishingHouse?: string;
/** 规格型号 */
specificationsModels?: string;
/** 库存 */
stock?: number;
/** 学科组管理编号(subject_group) */
subjectGroupId?: string;
/** 小计（元） */
subtotal?: number;
/** 使用班级 */
textbookClassRelationList?: TextbookClassRelationVo[];
/** 教材类型(xjr_dictionary_item[textbook_type]) */
textbookType?: string;
/** 版本 */
version?: string;
}

type TextbookWarehouseRecordExportDto = {
/** 主键编号 */
ids?: string[];
}

type TextbookWarehouseRecordListVo = {
/** 来源 */
source?: string;
/** 入库时间 */
warehouseDate?: string;
/** 入库数量 */
warehouseNumber?: number;
/** 入库人员 */
warehouseUser?: string;
}

type TextbookWarehouseRecordPageVo = {
/** 单价(元) */
Price?: number;
/** 学期 */
baseSemesterIdCn?: string;
/** 书名 */
bookName?: string;
/** 对应课程 */
courseName?: string;
/** 入库时间 */
createDate?: string;
/** 折扣 */
discount?: number;
/** 作者（主编） */
editorInChief?: string;
/** 学科组 */
groupName?: string;
/** 主键编号 */
id?: string;
/** 书号 */
issn?: string;
/** 出版社 */
publishingHouse?: string;
/** 序号 */
sortCode?: number;
/** 规格型号 */
specificationsModels?: string;
/** 类型 */
textbookTypeCn?: string;
/** 使用班级 */
useClass?: string;
/** 使用年级 */
useGrade?: string;
/** 入库数量 */
warehouseNumber?: number;
/** 入库人员 */
warehouseUser?: string;
}

type TextbookWarehouseRecordVo = {
/** 折扣 */
discount?: number;
/** 主键编号 */
id?: string;
/** 定价(元) */
price?: number;
/** 序号 */
sortCode?: number;
/** 来源 */
source?: string;
/** 小计（元） */
subtotal?: number;
/** 教材管理编号 */
textbookId?: string;
/** 总价（元） */
totalPrice?: number;
/** 入库数量 */
warehouseNumber?: number;
}

type TimeoutRemidConfig = {
enabled?: boolean;
hour?: number;
interval?: number;
pushHits?: number;
pushMemberConfigs?: MemberConfig[];
}

type Timestamp = {
date?: number;
day?: number;
hours?: number;
minutes?: number;
month?: number;
nanos?: number;
seconds?: number;
time?: string;
timezoneOffset?: number;
year?: number;
}

type Timestamp_1 = {
date?: number;
hours?: number;
minutes?: number;
month?: number;
nanos?: number;
seconds?: number;
time?: string;
year?: number;
}

type TotalConfig = {
fieldName?: string;
}

type TransferDto = {
taskId?: string;
userId?: string;
}

type UpdateAppFuncDesignDto = {
/** app菜单id */
appMenuId?: string;
/** 代码模板id */
codeSchemaId?: string;
/** 前端代码 */
codes?: GeneratorAppDto;
/** 状态 */
enabledMark?: number;
/** 页面类型:0 系统表单 1 自定义表单 */
formType?: number;
/** 功能描述 */
funcDescribe?: string;
/** 功能模块所选id */
funcModule?: string;
id?: string;
/** 是否生成代码  如果 formType 为自定义表单  需要传入  0 不生成  1 生成 */
isGeneratorCode?: number;
/** 页面配置json */
jsonContent?: string;
/** 菜单配置 */
menuConfigs?: AddAppMenuDto;
/** 备注 */
remark?: string;
/** 排序 */
sortCode?: number;
}

type UpdateAppMenuDto = {
/** 分类id */
categoryId?: string;
/** 菜单编码 */
code?: string;
/** 菜单图标 */
icon?: string;
/** id */
id?: string;
/** 菜单名称 */
name?: string;
/** 备注 */
remark?: string;
/** 排序 */
sortCode?: number;
/** url 路径 */
url?: string;
}

type UpdateAppPageDesignDto = {
/** app菜单id */
appMenuId?: string;
/** 功能类别id */
categoryId?: string;
/** 页面编码 */
code?: string;
/** 1:启用，0：禁用，-1：草稿 */
enabledMark?: number;
/** 图标 */
icon?: string;
/** 主键 */
id?: string;
/** 是否是菜单：（0：否，1：是） */
isMenu?: number;
/** json内容 */
jsonContent?: string;
/** 页面名称 */
name?: string;
/** 页面代码 */
pageCode?: string;
/** 备注 */
remark?: string;
/** 排序码 */
sortCode?: number;
}

type UpdateAreaDto = {
/** 区域编码 */
code?: string;
/** 主键 */
id?: string;
/** 层次 */
layer?: number;
/** 区域名称 */
name?: string;
/** 父级主键 */
parentId?: string;
/** 快速查询 */
quickQuery?: string;
/** 备注 */
remark?: string;
/** 简拼 */
simpleSpelling?: string;
/** 排序码 */
sortCode?: number;
}

type UpdateAttendanceConfigDto = {
/** 地点 */
address?: string;
/** 范围（米） */
attendanceRange?: number;
/** 考勤时间 */
attendanceTime?: LocalTime_1;
/** 主键编号 */
id?: string;
/** 纬度 */
latitude?: number;
/** 考勤节点(xjr_dictionary_item[attendance_node]) */
leaveReason?: string;
/** 经度 */
longitude?: number;
/** 序号 */
sortCode?: number;
}

type UpdateAttendancePersonnelDto = {
/** 主键编号 */
id?: string;
/** 用户编号 */
userId?: string;
}

type UpdateAttendanceRecordDto = {
/** 地点 */
address?: string;
/** 考勤时间 */
attendanceTime?: LocalTime_1;
/** 打卡时间 */
checkTime?: string;
/** 主键编号 */
id?: string;
/** 纬度 */
latitude?: number;
/** 考勤节点(xjr_dictionary_item[attendance_node]) */
leaveReason?: string;
/** 纬度 */
longitude?: number;
/** 序号 */
sortCode?: number;
/** 状态（1:正常 2:迟到） */
status?: number;
/** 用户编号 */
userId?: string;
}

type UpdateBaseAppFunctionDto = {
/** 图标颜色 */
color?: string;
/** 图标 */
icon?: string;
/** 主键编号 */
id?: string;
/** 菜单类型 0=菜单 1=目录 */
isDirectory?: number;
/** 名称 */
name?: string;
/** 图标前缀 */
prefix?: string;
/** 模板ID */
schemaId?: string;
/** 排序 */
sortCode?: number;
/** 功能分类(xjr_dictionary_item[APPFUNC]) */
type?: string;
/** 功能地址 */
url?: string;
}

type UpdateBaseClassMajorSetDto = {
/** 男生人数 */
boyNum?: number;
/** 班级(base_class_major_set) */
classId?: string;
/** 女生人数 */
girlNum?: number;
/** 主键 */
id?: string;
/** 专业方向(base_major_set) */
majorSetId?: string;
/** 计划人数 */
planTotalStudent?: number;
/** 班级人数 */
totalStudent?: number;
}

type UpdateBasePersonnelLabourCapitalDto = {
/** 发放年月 */
dateOfIssue?: string;
/** 主键编号 */
id?: string;
/** 工资发放名称 */
name?: string;
}

type UpdateBaseStudentAssessmentCategoryDto = {
/** 编码 */
code?: string;
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 总分 */
totalScore?: number;
}

type UpdateBaseStudentAssessmentInspectionDto = {
/** 考核时间 */
assessmentDate?: string;
/** 考核用户ID(xjr_user) */
assessmentUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 学生考核项目编号（base_student_assessment_category） */
baseStudentAssessmentCategoryId?: string;
/** 班级考核项目编号（base_student_assessment_project） */
baseStudentAssessmentProjectId?: string;
/** 班级Ids(多选) */
classIds?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 分数 */
score?: number;
/** 分数类型(xjr_dictionary_item[score_type]) */
scoreType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type UpdateBaseStudentAssessmentItemDto = {
/** 学生考核类别(base_student_assessment_category) */
baseStudentAssessmentCategoryId?: string;
id?: string;
/** 项目名称 */
name?: string;
}

type UpdateBaseStudentAssessmentProjectDto = {
/** 加分范围（最大） */
addPointsMax?: number;
/** 加分范围（最小） */
addPointsMin?: number;
/** 考核对象（class:班级 personal:个人） */
assessmentType?: string;
/** 学生考核类别(base_student_assessment_category) */
baseStudentAssessmentCategoryId?: string;
/** 操行项目编号 */
baseStudentBehaviorProjectId?: string;
/** 基础分 */
basicPoints?: number;
/** 折算操行分要求 */
behaviorScore?: number;
/** 手动处理学生操行分说明 */
behaviorScoreRemark?: string;
/** 编码 */
code?: string;
/** 所属机构(xjr_department) */
departmentId?: string;
/** 主键编号 */
id?: string;
/** 是否影响(1:是 0:否) */
isAffect?: number;
/** 是否允许班主任修改项目(1:是 0:否) */
isTeacherEdit?: number;
/** 名称 */
name?: string;
/** 扣分范围（最大） */
pointsDeductedMax?: number;
/** 扣分范围（最小） */
pointsDeductedMin?: number;
/** 学生操行分处理方式(xjr_dictionary_item[ap_method]) */
processingMethod?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type UpdateBaseStudentBehaviorCategoryDto = {
/** 编码 */
code?: string;
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type UpdateBaseStudentBehaviorManageDto = {
/** 考核地点 */
assessmentAddress?: string;
/** 考核时间 */
assessmentDate?: string;
/** 考核机构(xjr_department) */
assessmentDepartmentId?: string;
/** 考核用户ID(xjr_user) */
assessmentUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 学生操行分考核类别编号（base_student_behavior_category） */
baseStudentBehaviorCategoryId?: string;
/** baseStudentBehaviorClassRelation子表 */
baseStudentBehaviorClassRelationList?: AddBaseStudentBehaviorClassRelationDto[];
/** 学生操行分考核项目编号（base_student_behavior_project） */
baseStudentBehaviorProjectId?: string;
/** baseStudentBehaviorStudentRelation子表 */
baseStudentBehaviorStudentRelationList?: AddBaseStudentBehaviorStudentRelationDto[];
/** 班级Ids(多选) */
classIds?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 主键编号 */
id?: string;
/** 是否影响(1:是 0:否) */
isAffect?: number;
/** 备注 */
remark?: string;
/** 分数 */
score?: number;
/** 分数次数 */
scoreNumber?: number;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 总分 */
totalScore?: number;
}

type UpdateBaseStudentBehaviorProjectDto = {
/** 自动换算考核类型(xjr_dictionary_item[score_type]) */
automaticScoreType?: string;
/** 班级考核项目编号（base_student_assessment_project） */
baseStudentAssessmentProjectId?: string;
/** 学生考核类别编号(base_student_behavior_category) */
baseStudentBehaviorCategoryId?: string;
/** 编码 */
code?: string;
/** 换算方式(1:手动换算 2:自动换算) */
conversionMethod?: number;
/** 主键编号 */
id?: string;
/** 是否允许调整(1:是 0:否) */
isAdjustment?: number;
/** 是否影响班级考核(1:是 0:否) */
isImpactAssessment?: number;
/** 名称 */
name?: string;
/** 扣分范围（最大） */
pointsDeductedMax?: number;
/** 扣分范围（最小） */
pointsDeductedMin?: number;
/** 备注 */
remark?: string;
/** 分值 */
score?: number;
/** 考核类型(xjr_dictionary_item[score_type]) */
scoreType?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type UpdateBaseStudentBursariesApplicantDto = {
/** 申请人 */
applicantUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 助学金项目ID(base_student_bursaries_project) */
baseStudentBursariesProjectId?: string;
/** 班级编号 */
classId?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 主键编号 */
id?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type UpdateBaseStudentBursariesProjectDto = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 助学金类型(xjr_dictionary_item[bursaries_type]) */
bursariesType?: string;
/** 结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 总金额 */
totalAmount?: number;
}

type UpdateBaseStudentBursariesStudentDto = {
/** 申请金额 */
applicantAmount?: number;
/** 银行卡号 */
bankNo?: string;
/** 收款银行(xjr_dictionary_item[bank_type]) */
bankType?: string;
/** 助学金申请ID(base_student_bursaries_applicant) */
baseStudentBursariesApplicantId?: string;
/** 班级名称 */
className?: string;
/** 招生类型名称 */
enrollTypeCn?: string;
/** 性别 */
genderName?: string;
/** 年级名称 */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 在读专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

type UpdateBaseStudentCadreDto = {
/** 干部部门编号 */
cadreDeptId?: string;
/** 任职结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 离职原因 */
leaveReason?: string;
/** 离职生效日期 */
leaveTime?: string;
/** 职务id */
postId?: string;
/** 序号 */
sortCode?: number;
/** 任职开始时间 */
startTime?: string;
/** 状态（1:在职 0:离职） */
status?: number;
}

type UpdateBaseStudentContactDto = {
/** 主键 */
id?: string;
/** QQ&MSN */
qqMsn?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 个人主页 */
userPage?: string;
/** 微信号 */
wechat?: string;
}

type UpdateBaseStudentDto = {
/** 别名 */
asName?: string;
/** 所属派出所 */
belongsPolice?: string;
/** 出生地 市(xjr_area) */
birthCity?: string;
/** 出生地 区/县(xjr_area) */
birthDistrict?: string;
/** 出生地 省(xjr_area) */
birthProvinces?: string;
/** 生日类型(xjr_dictionary_item[date_type]) */
birthType?: string;
/** 血型(xjr_dictionary_item[blood_type]) */
bloodType?: string;
/** 港澳台侨外(xjr_dictionary_item[chinese_type]) */
chineseType?: string;
/** 籍贯 市(xjr_area) */
city?: string;
/** 出生日期 */
dayOfBirth?: string;
/** 籍贯 区/县(xjr_area) */
district?: string;
/** 英文姓名 */
enName?: string;
/** 曾用名 */
formerName?: string;
/** 生源地(base_graduate_school) */
graduateSchoolId?: string;
/** 健康状况(xjr_dictionary_item[health]) */
health?: string;
/** 身高（cm） */
height?: number;
/** 户口所在地 市(xjr_area) */
houseCity?: string;
/** 户口所在地 区/县(xjr_area) */
houseDistrict?: string;
/** 户籍地址 */
houseHoldAddress?: string;
/** 户口类别(xjr_dictionary_item[house_hold_type]) */
houseHoldType?: string;
/** 户口所在地 省(xjr_area) */
houseProvinces?: string;
/** 主键 */
id?: string;
/** 是否流动人口 */
isFloatingPopulation?: number;
/** 是否随迁子女 */
isMigrateChildren?: number;
/** 婚姻状况(xjr_dictionary_item[marital_state]) */
maritalState?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 国籍地区(xjr_dictionary_item[nationality]) */
nationality?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 籍贯 省(xjr_area) */
provinces?: string;
/** 姓名拼音 */
pyName?: string;
/** 信仰宗教(xjr_dictionary_item[religion]) */
religion?: string;
/** 学生居住地类型(xjr_dictionary_item[residence_type]) */
residenceType?: string;
/** 特长 */
specialty?: string;
/** 学号 */
studentId?: string;
/** 乘火车区间 */
trainInterval?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 视力 */
vision?: number;
/** 体重（kg） */
weight?: number;
}

type UpdateBaseStudentFamilyDto = {
/** 家庭住址 */
address?: string;
/** 联系人姓名 */
contact?: string;
/** 主键 */
id?: string;
/** 家庭月收入金额 */
incomeNumber?: number;
/** 家庭主要收入来源 */
incomeSource?: string;
/** 家庭人口 */
population?: number;
/** 离家最近火车站 */
railwayStation?: string;
/** 家庭电话 */
telephone?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 家庭邮编 */
zipCode?: string;
}

type UpdateBaseStudentFamilyMemberDto = {
/** 生日类型(xjr_dictionary_item[date_type]) */
birthType?: string;
/** 证件号码 */
credentialNumber?: string;
/** 证件类型(xjr_dictionary_item[credential_type]) */
credentialType?: string;
/** 出生日期 */
dayOfBirth?: string;
/** 邮箱 */
email?: string;
/** 性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 健康状况(xjr_dictionary_item[health]) */
health?: string;
/** 户口所在地 市(xjr_area) */
houseCity?: string;
/** 户口所在地 区/县(xjr_area) */
houseDistrict?: string;
/** 户口所在地 省(xjr_area) */
houseProvinces?: string;
/** 主键 */
id?: string;
/** 是否为监护人 */
isGuardian?: number;
/** 联系电话 */
mobile?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 从事的工作(职业) */
occupation?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 职务 */
position?: string;
/** 与本人关系(xjr_dictionary_item[relationship]) */
relationship?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 微信号 */
wechat?: string;
/** 工作单位 */
workUnit?: string;
}

type UpdateBaseStudentGraduateDto = {
/** 发证日期 */
certificateDate?: string;
/** 证书编号 */
certificateNumber?: string;
/** 附件id */
folderId?: string;
/** 主键编号 */
id?: string;
/** 离寝日期(住读的学生才村) */
leavingBedDate?: string;
/** 序号 */
sortCode?: number;
/** 证书发放状态（0:未发放 1:已发放） */
status?: number;
/** 学生(xjr_user) */
userId?: string;
}

type UpdateBaseStudentInfoDto = {
/** 学籍状态(xjr_dictionary_item[archives_status]) */
archivesStatus?: string;
/** 学习形式 */
rollModality?: string;
/** 就读方式(xjr_dictionary_item[stduy_status]) */
stduyStatus?: string;
/** 学生userIds */
userIds?: string[];
}

type UpdateBaseStudentPostDto = {
/** 职责描述 */
explains?: string;
/** 主键编号 */
id?: string;
/** 是否允许德育检查(1:是 0:否) */
isAllowedCheck?: number;
/** 职务级别 */
level?: string;
/** 职务 */
post?: string;
/** 序号 */
sortCode?: number;
/** 是否启用(1:是 0:否) */
status?: number;
}

type UpdateBaseStudentPunishmentInfoDto = {
/** basePunishmentStudentRelation子表 */
basePunishmentStudentRelationList?: AddBasePunishmentStudentRelationDto[];
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级id */
classId?: string;
/** 附件文件id */
fileId?: string;
/** 主键编号 */
id?: string;
/** 是否公示(1:是 0:否) */
isPublicity?: number;
/** 处分类型id */
punishmentTypeId?: string;
/** 发送处分(1:班主任 2:学生 3:家长) */
pushMessageObject?: number;
/** 处分原因 */
reason?: string;
}

type UpdateBaseStudentScholarshipApplicantDto = {
/** 申请人 */
applicantUserId?: string;
/** 获奖日期 */
awardDate?: string;
/** 银行卡号 */
bankNo?: string;
/** 收款银行(xjr_dictionary_item[bank_type]) */
bankType?: string;
/** 奖学金类别ID(base_student_scholarship_category) */
baseStudentScholarshipCategoryId?: string;
/** 班级名称 */
className?: string;
/** 招生类型名称 */
enrollTypeCn?: string;
/** 文件ID(xjr_file) */
fileId?: string;
/** 性别 */
genderName?: string;
/** 入学名称 */
gradeName?: string;
/** 主键编号 */
id?: string;
/** 在读专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 发放状态（1:已发放 0:未发放） */
releaseStatus?: number;
/** 学期名称 */
semesterName?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type UpdateBaseStudentScholarshipCategoryDto = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** baseStudentScholarshipLevel子表 */
baseStudentScholarshipLevelList?: AddBaseStudentScholarshipLevelDto[];
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 奖学金等级 0=无等级 */
scholarshipLevel?: number;
/** 奖学金来源(xjr_dictionary_item[scholarship_source]) */
scholarshipSource?: string;
/** 序号 */
sortCode?: number;
/** 总金额 */
totalAmount?: number;
}

type UpdateBaseStudentSchoolRollDto = {
/** 入学总分 */
admissionScores?: number;
/** 学生档案编号 */
archivesNumber?: string;
/** 学籍状态(xjr_dictionary_item[archives_status]) */
archivesStatus?: string;
/** 分流状态(xjr_dictionary_item[choose_status]) */
chooseStatus?: string;
/** 班级(base_class) */
classId?: string;
/** 入学招生类型(xjr_dictionary_item[enroll_type]) */
enrollType?: string;
/** 入学年月 */
enrollmentDate?: string;
/** 入学方式(xjr_dictionary_item[enrollment_type]) */
enrollmentType?: string;
/** 考生号 */
examineeNumber?: string;
/** 分段培养方式(xjr_dictionary_item[foster_type]) */
fosterType?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 毕业成绩 */
graduatedScore?: number;
/** 毕业学校 */
graduatedUniversity?: string;
/** 入学前最高学历(xjr_dictionary_item[education]) */
highestEducation?: string;
/** 主键 */
id?: string;
/** 学习形式(xjr_dictionary_item[learn_status]) */
learnStatus?: string;
/** 在读专业方向(base_major_set) */
majorSetId?: string;
/** 招生对象(xjr_dictionary_item[recruit_target]) */
recruitTarget?: string;
/** 招生方式(xjr_dictionary_item[recruit_type]) */
recruitType?: string;
/** 备注 */
remark?: string;
/** 学籍号 */
rollNumber?: string;
/** 就读方式(xjr_dictionary_item[stduy_status]) */
stduyStatus?: string;
/** 学生来源(xjr_dictionary_item[student_type]) */
studentSource?: string;
/** 学生来源(xjr_dictionary_item[student_type]) */
studentType?: string;
/** 在读专业方向(base_major_set) */
studyYear?: number;
/** 准考证号 */
ticketNumber?: string;
/** 用户ID(xjr_user) */
userId?: string;
}

type UpdateBaseStudentSubsidizeDto = {
/** 主键 */
id?: string;
/** 是否建档立卡 */
isFilingCard?: number;
/** 是否免学费 */
isFree?: number;
/** 是否低保 */
isIndemnify?: number;
/** 是否享受国家助学金 */
isStipend?: number;
/** 学生资助卡号 */
stipendNumber?: string;
/** 助学金发放标准（元） */
stipendStand?: number;
/** 用户ID(xjr_user) */
userId?: string;
}

type UpdateBaseStudentUserDto = {
/** 地址 */
address?: string;
/** 头像 */
avatar?: string;
/** baseStudentContact子表 */
baseStudentContactList?: UpdateBaseStudentContactDto[];
/** baseStudentFamily子表 */
baseStudentFamilyList?: UpdateBaseStudentFamilyDto[];
/** baseStudentFamilyMember子表 */
baseStudentFamilyMemberList?: UpdateBaseStudentFamilyMemberDto[];
/** baseStudent子表 */
baseStudentList?: UpdateBaseStudentDto[];
/** baseStudentSchoolRoll子表 */
baseStudentSchoolRollList?: UpdateBaseStudentSchoolRollDto[];
/** baseStudentSubsidize子表 */
baseStudentSubsidizeList?: UpdateBaseStudentSubsidizeDto[];
/** 编号 */
code?: string;
/** 证件号码 */
credentialNumber?: string;
/** 证件类型(xjr_dictionary_item[credential_type]) */
credentialType?: string;
/** 邮箱 */
email?: string;
/** 性别 */
gender?: string;
id?: string;
/** 纬度 */
latitude?: number;
/** 经度 */
longitude?: number;
/** 手机号 */
mobile?: string;
/** 姓名 */
name?: string;
/** 昵称 */
nickName?: string;
/** 备注 */
remark?: string;
/** 排序码 */
sortCode?: number;
/** 账户 */
userName?: string;
}

type UpdateBaseTeacherContactDto = {
/** 现住地址 */
address?: string;
/** 主键 */
id?: string;
/** 微博地址 */
microblog?: string;
/** 办公室地址 */
officeAddress?: string;
/** 办公室电话 */
officeTel?: string;
/** QQ&MSN */
qqMsn?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 微信号 */
wechat?: string;
/** 住址邮编 */
zipCode?: string;
}

type UpdateBaseTeacherDto = {
/** 别名 */
asName?: string;
/** 生日类型(xjr_dictionary_item[date_type]) */
birthType?: string;
/** 血型(xjr_dictionary_item[blood_type]) */
bloodType?: string;
/** 港澳台侨外(xjr_dictionary_item[chinese_type]) */
chineseType?: string;
/** 市(xjr_area) */
city?: string;
/** 出生日期 */
dayOfBirth?: string;
/** 区/县(xjr_area) */
district?: string;
/** 聘用类型(xjr_dictionary_item[employ_type]) */
employType?: string;
/** 聘用方式(xjr_dictionary_item[employ_type])上级聘用类型 */
employWay?: string;
/** 英文姓名 */
enName?: string;
/** 曾用名 */
formerName?: string;
/** 健康状况(xjr_dictionary_item[health]) */
health?: string;
/** 户籍地址 */
houseHoldAddress?: string;
/** 户口类别(xjr_dictionary_item[house_hold_type]) */
houseHoldType?: string;
/** 主键 */
id?: string;
/** 是否在编 */
isOrganized?: number;
/** 在职状态(xjr_dictionary_item[job_state]) */
jobState?: string;
/** 来校年月 */
joinTime?: string;
/** 婚姻状况(xjr_dictionary_item[marital_state]) */
maritalState?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 国籍地区(xjr_dictionary_item[nationality]) */
nationality?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 省(xjr_area) */
provinces?: string;
/** 姓名拼音 */
pyName?: string;
/** 参加工作年月 */
startWorkTime?: string;
/** 用户ID(xjr_user) */
userId?: string;
}

type UpdateBaseTeacherEducationDto = {
/** 最高学位(xjr_dictionary_item[degree]) */
degree?: string;
/** 获得最高学位的院校 */
degreeCollege?: string;
/** 最高学历(xjr_dictionary_item[education]) */
education?: string;
/** 获得最高学历的院校 */
educationCollege?: string;
/** 主键 */
id?: string;
/** 所学专业 */
specialty?: string;
/** 用户ID(xjr_user) */
userId?: string;
}

type UpdateBaseTeacherEmployDto = {
/** 主键 */
id?: string;
/** 校内主岗位类别(xjr_dictionary_item[school_job_type]) */
jobCategory?: string;
/** 岗位等级(xjr_dictionary_item[school_job_level]) */
jobLevel?: string;
/** 岗位等级类型(xjr_dictionary_item[school_job_level_type]) */
jobLevelType?: string;
/** 校内主岗位(xjr_dictionary_item[school_job_type])上级校内主岗位类别 */
jobPost?: string;
/** 岗位类型 (1:校内主岗 2:校内兼职岗位 3:事业制单位主岗) */
type?: number;
/** 用户ID(xjr_user) */
userId?: string;
}

type UpdateBaseTeacherFamilyDto = {
/** 家庭住址 */
address?: string;
/** 联系人姓名 */
contact?: string;
/** 家庭经济情况 */
finance?: string;
/** 主键 */
id?: string;
/** 家庭人口 */
population?: number;
/** 家庭电话 */
telephone?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 家庭邮编 */
zipCode?: string;
}

type UpdateBaseTeacherFamilyMemberDto = {
/** 出生日期 */
dayOfBirth?: string;
/** 性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 主键 */
id?: string;
/** 是否为监护人 */
isGuardian?: number;
/** 联系电话 */
mobile?: string;
/** 姓名 */
name?: string;
/** 职业 */
occupation?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 与本人关系(xjr_dictionary_item[relationship]) */
relationship?: string;
/** 用户ID(xjr_user) */
userId?: string;
/** 工作单位 */
workUnit?: string;
}

type UpdateBaseTeacherRegularDto = {
/** 所属系统(xjr_dictionary_item[belong_org]) */
belongOrg?: string;
/** 教师资格证种类(xjr_dictionary_item[certificate_Type]) */
certificateType?: string;
/** 任教学科(base_course_subject) */
courseSubjectId?: string;
/** 主键 */
id?: string;
/** 是否双师型教师 */
isDoubleTeacher?: number;
/** 任教学科类别(base_major_categor) */
majorCategorId?: string;
/** 普通话等级(xjr_dictionary_item[mandarin_level]) */
mandarinLevel?: string;
/** 从教起始年月 */
startTeachTime?: string;
/** 任课状况(xjr_dictionary_item[teaching_status])多选 */
teachingStatus?: any[];
/** 用户ID(xjr_user) */
userId?: string;
}

type UpdateCadreDeptDto = {
/** 编码 */
code?: string;
/** 主键编号 */
id?: string;
/** 部门指导教师用户编号 */
instructorUserId?: string;
/** 机构名称 */
name?: string;
/** 部门上级编号 */
parentId?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type UpdateCarManagementDto = {
/** 状态 1=启用 2=禁用 */
Status?: number;
/** 住址 */
cAddress?: string;
/** 结束时间 */
cEndTime?: Timestamp_1;
/** 收费类型 1=月卡 2=临时车 3=免费车 4=储值卡 */
cFeeType?: number;
/** 身份证号 */
cId?: string;
/** 姓名 */
cName?: string;
/** 联系电话 */
cPhone?: string;
/** 开始时间 */
cStartTime?: Timestamp_1;
/** 车牌类型 1=民用 2=军队 3=警用 4=武警 */
cType?: number;
/** 车牌号码 */
carNo?: string;
/** 主键 */
id?: string;
/** 用户ID(xjr_user) */
userId?: string;
}

type UpdateCarManagementStatusDto = {
enabledMark?: number;
id?: string;
}

type UpdateClassHonorsDto = {
/** 获奖日期 */
awardDate?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级id */
classId?: string;
/** 附件文件id */
fileId?: string;
/** 荣誉等级(xjr_dictionary_item[honors_grade]) */
honorsGrade?: string;
/** 荣誉级别(xjr_dictionary_item[honors_level]) */
honorsLevel?: string;
/** 主键编号 */
id?: string;
/** 荣誉名称 */
name?: string;
/** 序号 */
sortCode?: number;
}

type UpdateCodeRuleDto = {
/** 编号 */
code?: string;
/** 备注 */
description?: string;
/** 有效标志 */
enabledMark?: number;
/** 规则格式Json */
formatJson?: string;
/** 主键 */
id?: string;
/** 名称 */
name?: string;
/** 排序码 */
sortCode?: number;
}

type UpdateCodeSchemaDto = {
/** 分类（关联数据字典） */
category?: string;
/** 内容 */
content?: string;
/** 功能描述 */
description?: string;
/** 主键 */
id?: string;
/** 名称 */
name?: string;
/** 描述 */
remark?: string;
/** 模板状态（0-草稿，1-正式） */
status?: number;
/** 类型（0-数据优先模板,1-界面优先模板,2-简易模板） */
type?: number;
}

type UpdateDataAuthDto = {
/** 授权配置 授权方式为1  就会有 */
authConfigList?: DataAuthConfig对象[];
/** 授权公式  */
authFormula?: string;
/** 授权方式 0 简易 1 自定义 */
authMethod?: number;
/** 实现范围 如果是简易模式 就会有这个数据  */
authScope?: number;
/** 类型 0 角色 1 用户 */
authType?: number;
/** 编码 */
code?: string;
/** 主键 */
id?: string;
/** 名称 */
name?: string;
/** 授权对象 id 列表 */
objectIdList?: string[];
/** 备注 */
remark?: string;
}

type UpdateDatabaseLinkDto = {
/** 数据库名称 */
dbName?: string;
/** 数据库类型 */
dbType?: string;
/** 数据库版本 */
dbVersion?: string;
/** 驱动 */
driver?: string;
/** 连接地址 */
host?: string;
/** 主键 */
id?: string;
/** 密码 */
password?: string;
/** 备注 */
remark?: string;
/** 账号 */
username?: string;
}

type UpdateDatasourceDto = {
/** 编号 */
code?: string;
/** 数据库主键 */
databaselinkId?: string;
/** 主键 */
id?: string;
/** 名字 */
name?: string;
/** 备注 */
remark?: string;
/** sql语句 */
sqlScript?: string;
}

type UpdateDelegateDto = {
/** 被委托人 */
delegateUserIds?: string;
/** 结束时间 */
endTime?: string;
id?: string;
/** 说明备注 */
remark?: string;
/** 所委托模板ids */
schemaIds?: string;
/** 开始时间 */
startTime?: string;
}

type UpdateDepartmentDto = {
/** 地址 */
address?: string;
/** 编码 */
code?: string;
/** 组织类别，1：公司，0：部门 */
departmentType?: number;
/** 邮箱 */
email?: string;
/** 是否启用 */
enabledMark?: number;
/** 主键 */
id?: string;
/** 电话 */
mobile?: string;
/** 机构名称 */
name?: string;
/** 机构名称 */
parentId?: string;
/** 备注 */
remark?: string;
/** 排序号 */
sortCode?: number;
/** 主页 */
website?: string;
}

type UpdateDictionaryDetailDto = {
/** 编码 */
code?: string;
/** 主键 */
id?: string;
/** 字典项id */
itemId?: string;
/** 名字 */
name?: string;
/** 备注 */
remark?: string;
/** 排序号 */
sortCode?: number;
/** 值 */
value?: string;
}

type UpdateDictionaryItemDto = {
code?: string;
id?: string;
name?: string;
remark?: string;
sortCode?: number;
}

type UpdateDraftDto = {
/** 表单数据 */
formData?: any;
/** 草稿id */
id?: string;
/** 工作流模板id */
schemaId?: string;
}

type UpdateEnableMarkDto = {
enabledMark?: number;
/** 主键 */
id?: string;
}

type UpdateEvaluateManageDto = {
/** 学期id */
baseSemesterId?: string;
/** 生成频率（xjr_dictionary_detail[create_frequency]） */
createFrequency?: string;
/** 结束时间 */
endTime?: string;
/** 评价模版编号 */
evaluateTemplateId?: string;
/** 主键编号 */
id?: string;
/** 是否自动生成（0:否，1:是） */
isAutoCreate?: number;
/** 评价名称 */
name?: string;
/** 发布部门id */
orgId?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（-1：未发布，1：进行中，0，暂停） */
status?: number;
}

type UpdateEvaluateSubmitRecordDto = {
/** 参评人编号 */
evaluateExecuterId?: string;
/** 评价管理编号 */
evaluateManageId?: string;
/** 被评对象（teacher：老师，class：班级，student：学生） */
evaluatedObject?: string;
/** 被评对象编号 */
evaluatedObjectId?: string;
id?: string;
}

type UpdateEvaluateTemplateDto = {
/** 使用部门ids */
deptIds?: string;
/** 评价类型(xjr_dictionary_item[evaluate_type]) */
evaluateType?: string;
/** 主键编号 */
id?: string;
/** 模板名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 状态（0:禁用 1:启用） */
status?: number;
/** 评价总分 */
total?: number;
}

type UpdateEvaluateTemplateStatusDto = {
/** 主键编号 */
id?: string;
/** 状态（0:禁用 1:启用） */
status?: number;
}

type UpdateFaceManagementStatusDto = {
enabledMark?: number;
id?: string;
}

type UpdateFormCodeFirstDto = {
/** 表单分类 关联 数据字典 */
category?: string;
/** 表单设计类型（0-数据优先，1-界面优先，2-简易模板） */
formDesignType?: number;
/** 表单设计json */
formJson?: FormDesignConfig_2;
/** 表单类型:0 系统表单 1 自定义表单 */
formType?: number;
/** id */
id?: string;
/** 是否需要修改表 */
isChange?: boolean;
/** 是否创建新表 */
isCreateNewTable?: boolean;
/** 表单模板名称 */
name?: string;
/** 备注 */
remark?: string;
}

type UpdateFormDataFirstDto = {
/** 表单分类 关联 数据字典 */
category?: string;
/** 表单设计类型（0-数据优先，1-界面优先，2-简易模板） */
formDesignType?: number;
/** 表单设计json */
formJson?: FormDesignConfig_3;
/** 表单类型:0 系统表单 1 自定义表单 */
formType?: number;
/** id */
id?: string;
/** 表单模板名称 */
name?: string;
/** 备注 */
remark?: string;
}

type UpdateFormReleaseDto = {
formId?: string;
id?: string;
listConfig?: ListConfig;
menuConfig?: MenuConfig;
menuId?: string;
}

type UpdateInfoDto = {
address?: string;
code?: string;
email?: string;
mobile?: string;
name?: string;
remark?: string;
}

type UpdateLedgerConfigDto = {
/** magicapi接口地址 */
apiUrl?: string;
/** 台账配置信息 */
configJson?: string;
id?: string;
/** 台账名称 */
name?: string;
}

type UpdateLedgerConfigReleaseDto = {
/** 发布id */
id?: string;
/** 台账配置id(ledger_config) */
ledgerConfigId?: string;
menuConfig?: MenuConfig;
/** 备注信息 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type UpdateMaterialTaskDto = {
/** 指派给几人 */
assignPerson?: number;
/** 主键编号 */
id?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategory?: string;
/** materialTaskAppendix子表 */
materialTaskAppendixList?: AddMaterialTaskAppendixDto[];
/** 材料提交任务类型(material_type) */
materialTypeId?: string;
/** 任务名称 */
name?: string;
/** 按时提交 */
onTimePerson?: number;
/** 要求完成日期 */
requiredCompleteTime?: string;
/** 要求 */
requirement?: string;
/** 是否发送消息 0=不发 1=发送 */
sendMessage?: number;
/** 状态 1=未开始 2=进行中 3=结束 */
status?: number;
/** 已提交人数 */
submitedPerson?: number;
/** 延迟提交 */
timeDelay?: number;
/** 用户列表 */
userList?: MaterialAssignUserDto[];
}

type UpdateMaterialTypeDto = {
/** 文件模板 */
folderId?: string;
/** 表单发布 */
formReleaseId?: string;
/** 主键编号 */
id?: string;
/** 任务类型(可多选 xjr_dictionary_detail[material_category]) */
materialCategory?: string;
/** 任务名称 */
name?: string;
}

type UpdateMenuButtonDto = {
/** 编码 */
code?: string;
/** 图标 */
icon?: string;
id?: string;
/** 菜单id */
menuId?: string;
/** 请求方式 */
method?: number;
/** 按钮名 */
name?: string;
/** 请求地址 */
url?: string;
}

type UpdateMenuColumnDto = {
/** 编码 */
code?: string;
/** 描述 */
description?: string;
/** 主键 */
id?: string;
/** 菜单主键 */
menuId?: string;
/** 名称 */
name?: string;
/** 排序码 */
sortCode?: number;
}

type UpdateMenuDto = {
/** 是否允许删除 */
allowDelete?: number;
/** 是否允许修改 */
allowModify?: number;
/** 按钮列表 */
buttonList?: AddMenuButtonDto[];
/** 菜单编号 */
code?: string;
/** 列表字段列表 */
columnList?: UpdateMenuColumnDto[];
/** 组件地址 */
component?: string;
/** 组件类型 默认组件 0 普通需要注册的组件 1 自定义表单 桌面设计 等已经默认注册进来的组件  */
componentType?: number;
/** 菜单显示或者隐藏 */
display?: number;
/** 启用状态 */
enabledMark?: number;
/** 表单字段列表 */
formList?: UpdateMenuFormDto[];
/** 菜单图标 */
icon?: string;
/** 图标地址 */
iconUrl?: string;
/** 主键 */
id?: string;
/** 外链地址 */
iframeSrc?: string;
/** 页面持久化 */
keepAlive?: number;
/** 组件类型 */
menuType?: number;
/** 组件名（路由名称） --  与vue代码组件名必须一直 才能做到缓存页面 相关联 */
name?: string;
/** 是否外链 */
outLink?: number;
/** 上级Id */
parentId?: string;
/** 地址 */
path?: string;
/** 备注 */
remark?: string;
/** 排序码 */
sortCode?: number;
/** 系统主键 */
systemId?: string;
/** 系统类型(xjr_dictionary_item[system_type]) */
systemType?: string;
/** 菜单名 */
title?: string;
}

type UpdateMenuFormDto = {
children?: UpdateMenuFormDto[];
/** 编码 */
code?: string;
/** 主键 */
id?: string;
/** 是否必填，0-非必填，1-必填 */
isRequired?: number;
/** 菜单主键 */
menuId?: string;
/** 名称 */
name?: string;
/** 父级字段 */
parentId?: string;
/** 排序码 */
sortCode?: number;
}

type UpdateNewsDto = {
/** 附件子表 */
appendixList?: AddNewsAppendixDto[];
/** 作者 */
authorName?: string;
/** 简略标题 */
briefHead?: string;
/** 所属类别 */
category?: string;
/** 父级主键 */
categoryId?: string;
/** 编辑 */
compileName?: string;
/** 紧急程度  1=一般 2=紧急 */
emergent?: number;
/** 完整标题 */
fullHead?: string;
/** 标题颜色 */
fullHeadColor?: string;
id?: string;
/** 关键字 */
keyword?: string;
/** 级别 1=校级 2=班级 */
level?: number;
/** 新闻内容 */
newsContent?: string;
/** 是否允许接收人转发 0=不能转发 1=允许转发 */
openForward?: number;
/** 接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求) */
openReply?: number;
/** 是否允许接收人查看其他接收人 0=不允许查看 1=允许查看 */
openViewOther?: number;
/** 关系子表 */
relationList?: AddNewsRelationDto[];
/** 发布时间 */
releaseTime?: string;
/** 备注 */
remark?: string;
/** 发送部门 */
sendDeptId?: string;
/** 张贴结束时间 */
sendEndDate?: string;
/** 发送范围 1=所有人 2=根据权限 */
sendRange?: number;
/** 张贴开起时间 */
sendStartDate?: string;
/** 来源地址 */
sourceAddress?: string;
/** 来源 */
sourceName?: string;
/** Tag词 */
tagWord?: string;
/** 类型（1-新闻2-公告） */
typeId?: number;
}

type UpdateNewsRelationDto = {
/** 新闻ID */
id?: string;
/** 关系列表 */
relationList?: NewsRelationConfigDto[];
/** 关系类型 1=部门 2=人员 3=班级 */
relationType?: number;
}

type UpdateOfficialDocumentPostDto = {
/** 附件文件id */
fileId?: string;
/** 主键编号 */
id?: string;
/** 发文时间 */
postDate?: string;
/** 发文所属机构(xjr_department) */
postDepartmentId?: string;
/** 发文文号（发文文号自动生成，年+三位数字（三位数字从001开始）如2023001、2023002，依次生成） */
postNumber?: string;
/** 发文标题 */
postTitle?: string;
/** 序号 */
sortCode?: number;
}

type UpdateOfficialDocumentReceivedDto = {
/** 办结时间 */
checkoutTime?: string;
/** 来文文号 */
communicationNumber?: string;
/** 来文机构 */
communicationOrg?: string;
/** 文件密级(xjr_dictionary_item[document_level]) */
documentLevel?: string;
/** 紧急程度(xjr_dictionary_item[emergency_level]) */
emergencyLevel?: string;
/** 附件文件id */
fileId?: string;
/** 主键编号 */
id?: string;
/** 收文时间 */
receivedDate?: string;
/** 收文文号 */
receivedNumber?: string;
/** 收文标题 */
receivedTitle?: string;
/** 收文类型(xjr_dictionary_item[received_type]) */
receivedType?: string;
/** 序号 */
sortCode?: number;
}

type UpdateOrderDto = {
OrderID?: string;
OrderManager?: string;
OrderName?: string;
OrderNum?: string;
OrderPriceCount?: number;
OrderProduct?: OrderProductDto[];
}

type UpdatePasswordDto = {
confirmPassword?: string;
newPassword?: string;
oldPassword?: string;
}

type UpdatePbSemesterConfigDto = {
/** 学期 */
baseSemesterId?: string;
/** 攀宝学期code */
beltcode?: string;
id?: string;
}

type UpdatePostDto = {
/** 编码 */
code?: string;
/** 岗位所属组织id */
deptId?: string;
/** 有效标记 */
enabledMark?: number;
/** 主键 */
id?: string;
/** 岗位名称 */
name?: string;
/** 父级 */
parentId?: string;
/** 备注 */
remark?: string;
/** 排序号 */
sortCode?: number;
}

type UpdatePrintSchemaDto = {
/** api配置 */
apiConfig?: string;
/** 分类id */
category?: string;
/** 编码 */
code?: string;
/** 打印配置 */
content?: string;
/** 图标 */
icon?: string;
/** id */
id?: string;
/** 是否生成菜单 */
isMenu?: number;
/** 菜单id */
menuId?: string;
/** 菜单名称 */
menuName?: string;
/** 名称 */
name?: string;
/** 父级菜单 */
parentId?: string;
/** 备注 */
remark?: string;
/** 排序 */
sortCode?: number;
}

type UpdateProclamationDto = {
/** 附件子表 */
appendixList?: AddNewsAppendixDto[];
/** 紧急程度  1=一般 2=紧急 */
emergent?: number;
/** 标题 */
fullHead?: string;
/** 标题颜色 */
fullHeadColor?: string;
id?: string;
/** 新闻内容 */
newsContent?: string;
/** 接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求) */
openReply?: number;
/** 关系子表 */
relationList?: AddNewsRelationDto[];
/** 发布时间 */
releaseTime?: string;
/** 发送部门 */
sendDeptId?: string;
/** 张贴结束时间 */
sendEndDate?: string;
/** 发送范围 1=全校师生 2=全校教职工 3=指定人员 */
sendRange?: number;
/** 状态 1=未发布 2=已发布 3=下架 */
status?: number;
/** 类型（1-新闻2-公告） */
typeId?: number;
}

type UpdateProfessionalReportDto = {
/** 编码 */
code?: string;
/** 文件json */
fileJson?: string;
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 排序 */
sortCode?: number;
/** 报表类型id */
typeId?: string;
/** 报表类型值 */
typeValue?: string;
}

type UpdateQuotaFormulaRuleAttributeDto = {
/** 属性值 */
formula?: string;
/** 主键编号 */
id?: string;
/** 属性名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type UpdateQuotaFormulaRuleConstantDto = {
/** 指标 */
bindQuota?: string;
/** 规则公式 */
formula?: string;
/** 主键编号 */
id?: string;
/** 基数名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type UpdateQuotaFormulaRuleDto = {
/** 指标 */
bindQuota?: string;
/** 规则公式 */
formula?: string;
/** 主键编号 */
id?: string;
/** 规则名称 */
name?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
}

type UpdateReportReleaseDto = {
code?: string;
dataType?: number;
id?: string;
menuId?: string;
parentId?: string;
remark?: string;
reportId?: string;
sortCode?: number;
title?: string;
}

type UpdateRoleDto = {
/** 编码 */
code?: string;
/** 数据权限 */
dataAuthType?: number;
/** 启用状态 */
enabledMark?: number;
id?: string;
/** 名字 */
name?: string;
/** 备注 */
remark?: string;
/** 排序号 */
sortCode?: number;
}

type UpdateRoleStatusDto = {
enabledMark?: number;
id?: string;
}

type UpdateRoomBedCheckRecordDto = {
/** 查寝时间 */
checkRecordTime?: string;
/** 班级编号 */
classId?: string;
/** 附件文件id */
fileId?: string;
/** 主键编号 */
id?: string;
/** 情况 */
record?: string;
/** 备注 */
remark?: string;
/** roomBedCheckRecordRelation子表 */
roomBedCheckRecordRelationList?: AddRoomBedCheckRecordRelationDto[];
/** 序号 */
sortCode?: number;
/** 填写人 */
userId?: string;
}

type UpdateRoomBedDto = {
/** 床位号 */
bedNumber?: number;
/** 主键编号 */
id?: string;
/** 是否入住（1:是 0:否） */
isCheckIn?: number;
/** 备注 */
remark?: string;
/** 寝室编号(room) */
roomId?: string;
/** 序号 */
sortCode?: number;
/** 学生用户编号 */
studentUserId?: string;
}

type UpdateRoomDto = {
/** 床位数 */
bedCount?: number;
/** 入住身份(xjr_dictionary_item[check_in_status]) */
checkInStatus?: string;
/** 楼层 */
floorNumber?: string;
/** 每层房间数 */
floorRoomsCount?: number;
/** 入住性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 主键编号 */
id?: string;
/** 楼栋(base_office_build) */
officeBuildId?: string;
}

type UpdateRoomRuleDto = {
/** 主键编号 */
id?: string;
/** 规则名称 */
name?: string;
/** 备注 */
remark?: string;
/** 规则配置（多个规则用逗号隔开，1为楼栋，2为楼层，3为寝室号） */
rule?: string;
}

type UpdateRoomStudentAppointDto = {
/** 主键编号 */
id?: string;
/** 职务编号【只取职位级别为寝室的,cadreLevel_room】(base_student_post) */
postId?: string;
/** 备注 */
remark?: string;
/** 寝室床位编号(room_bed) */
roomBedId?: string;
/** 寝室编号(room) */
roomId?: string;
/** 序号 */
sortCode?: number;
/** 学生用户编号 */
studentUserId?: string;
}

type UpdateRoomValueWeekDto = {
/** 主键编号 */
id?: string;
/** 留寝人数 */
numberPeople?: number;
/** 人员编号 */
userId?: string;
}

type UpdateScheduleDto = {
/** 类别 */
category?: string;
/** 备注 */
description?: string;
/** 提前提醒 */
early?: number;
/** 结束日期 */
endDate?: string;
/** 结束时间 */
endTime?: string;
/** 日程ID */
id?: string;
/** 邮件提醒 */
isMailAlert?: number;
/** 手机提醒 */
isMobileAlert?: number;
/** 微信提醒 */
isWeChatAlert?: number;
/** 日程内容 */
scheduleContent?: string;
/** 日程名称 */
scheduleName?: string;
/** 日程状态 */
scheduleState?: number;
/** 排序码 */
sortCode?: number;
/** 开始日期 */
startDate?: string;
/** 开始时间 */
startTime?: string;
}

type UpdateSchoolRollCategoryDto = {
/** 主键编号 */
id?: string;
/** 名称 */
name?: string;
/** 备注 */
remark?: string;
/** 学籍异动类型(xjr_dictionary_item[school_change_type]) */
scholarshipSource?: string;
/** 序号 */
sortCode?: number;
}

type UpdateSchoolRollFurtherEducationDto = {
/** 申请人 */
applicantUserId?: string;
/** 异动后班级(base_class) */
backClassId?: string;
/** 异动后所属机构(xjr_department) */
backDepartmentId?: string;
/** 异动后入学年级(base_grade) */
backGradeId?: string;
/** 异动后专业方向(base_major_set) */
backMajorSetId?: string;
/** 异动前班级(base_class) */
beforeClassId?: string;
/** 异动前所属机构(xjr_department) */
beforeDepartmentId?: string;
/** 异动前入学年级(base_grade) */
beforeGradeId?: string;
/** 异动前专业方向(base_major_set) */
beforeMajorSetId?: string;
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学生编号(学生user_id) */
studentId?: string;
}

type UpdateSchoolRollReasonDto = {
/** 主键编号 */
id?: string;
/** 原因 */
reason?: string;
/** 备注 */
remark?: string;
/** 学籍异动类别ID(school_roll_category) */
schoolRollCategoryId?: string;
/** 序号 */
sortCode?: number;
}

type UpdateSchoolRollTransferStudentDto = {
/** 家庭住址 */
address?: string;
/** 别名 */
asName?: string;
/** 转学前班级名称 */
beforeClassName?: string;
/** 转学前年级名称 */
beforeGradeName?: string;
/** 转学前专业方向名称 */
beforeMajorSetName?: string;
/** 转学前学号 */
beforeSchoolId?: string;
/** 转学前学校名称 */
beforeSchoolName?: string;
/** 所属派出所 */
belongsPolice?: string;
/** 出生地 市(xjr_area) */
birthCity?: string;
/** 出生地 区/县(xjr_area) */
birthDistrict?: string;
/** 出生地 省(xjr_area) */
birthProvinces?: string;
/** 生日类型(xjr_dictionary_item[date_type]) */
birthType?: string;
/** 血型(xjr_dictionary_item[blood_type]) */
bloodType?: string;
/** 港澳台侨外(xjr_dictionary_item[chinese_type]) */
chineseType?: string;
/** 籍贯 市(xjr_area) */
city?: string;
/** 班级(base_class) */
classId?: string;
/** 联系人姓名 */
contact?: string;
/** 证件号码 */
credentialNumber?: string;
/** 证件类型(xjr_dictionary_item[credential_type]) */
credentialType?: string;
/** 出生日期 */
dayOfBirth?: string;
/** 所属机构(xjr_department) */
departmentId?: string;
/** 籍贯 区/县(xjr_area) */
district?: string;
/** 性别(xjr_dictionary_item[gender]) */
gender?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 健康状况(xjr_dictionary_item[health]) */
health?: string;
/** 户口所在地 市(xjr_area) */
houseCity?: string;
/** 户口所在地 区/县(xjr_area) */
houseDistrict?: string;
/** 户口所在详细地址 */
houseHoldAddress?: string;
/** 户口类别(xjr_dictionary_item[house_hold_type]) */
houseHoldType?: string;
/** 户口所在地 省(xjr_area) */
houseProvinces?: string;
/** 主键编号 */
id?: string;
/** 入班时间 */
inClassDate?: string;
/** 是否建档立卡 */
isFilingCard?: number;
/** 是否流动人口 */
isFloatingPopulation?: number;
/** 是否免学费 */
isFree?: number;
/** 是否低保 */
isIndemnify?: number;
/** 是否随迁子女 */
isMigrateChildren?: number;
/** 是否住宿 */
isStay?: number;
/** 是否享受国家助学金 */
isStipend?: number;
/** 专业方向(base_major_set) */
majorSetId?: string;
/** 婚姻状况(xjr_dictionary_item[marital_state]) */
maritalState?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 国籍地区(xjr_dictionary_item[nationality]) */
nationality?: string;
/** 政治面貌(xjr_dictionary_item[political_state]) */
politicalState?: string;
/** 籍贯 省(xjr_area) */
provinces?: string;
/** 信仰宗教(xjr_dictionary_item[religion]) */
religion?: string;
/** 学生居住地类型(xjr_dictionary_item[residence_type]) */
residenceType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
/** 家庭电话 */
telephone?: string;
/** 转学日期 */
transferDate?: string;
/** 微信号 */
wechat?: string;
}

type UpdateSpecialMenuDto = {
/** 功能编码 */
code?: string;
/** 字段权限 配置 0 所有 1指定 */
fieldAuthType?: number;
/** 专项菜单字段权限 指定成员 如果 field_auth_type == 1 才会有 */
fieldAuthUserId?: string;
/** 表单字段配置 */
fieldConfig?: string;
/** 专项菜单id  */
id?: string;
/** 菜单配置 */
menuInfo?: UpdateMenuDto;
/** 功能名称 */
name?: string;
/** 查询配置 */
queryConfig?: string;
/** 模板权限类型 0 所有 1 指定 */
schemaAuthType?: number;
/** 专项菜单使用人 如果 schema_auth_type == 1 才会有 */
schemaAuthUserId?: string;
/** 模板配置  */
schemaId?: string;
}

type UpdateStampDto = {
/** 1,上传图片，2,手写签名的类型 */
fileType?: number;
/** 图片地址 */
fileUrl?: string;
/** 主键id */
id?: string;
/** 签章名 */
name?: string;
/** 密码 */
password?: string;
/** 备注 */
remark?: string;
/** 排序 */
sortCode?: number;
/** 签章分类(数据字典) */
stampCategory?: string;
/** 签章类型 0 私人  1  公共 */
stampType?: number;
}

type UpdateStudentHonorsDto = {
/** 申请人 */
applicantUserId?: string;
/** 获奖日期 */
awardDate?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级id */
classId?: string;
/** 附件文件id */
fileId?: string;
/** 荣誉等级(xjr_dictionary_item[honors_grade]) */
honorsGrade?: string;
/** 荣誉级别(xjr_dictionary_item[honors_level]) */
honorsLevel?: string;
/** 荣誉类型(xjr_dictionary_item[honors_type]) */
honorsType?: string;
/** 主键编号 */
id?: string;
/** 所学专业 */
majorSetId?: string;
/** 荣誉名称 */
name?: string;
/** 序号 */
sortCode?: number;
/** 学号 */
studentId?: string;
/** 学生用户编号 */
studentUserId?: string;
}

type UpdateSubjectGroupCourseDto = {
/** 课程编号(base_course_subject) */
courseSubjectId?: string;
/** 主键编号 */
id?: string;
/** 序号 */
sortCode?: number;
/** 学科组管理编号(subject_group) */
subjectGroupId?: string;
}

type UpdateSubjectGroupDto = {
/** 组名 */
groupName?: string;
/** 主键编号 */
id?: string;
/** 组长用户编号 */
leaderUserId?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 学科组课程管理信息 */
subjectGroupCourseIds?: string[];
}

type UpdateSubsystemDto = {
/** 编码 */
code?: string;
/** 备注 */
description?: string;
/** 图标 */
icon?: string;
/** 主键 */
id?: string;
/** 主页地址 */
indexUrl?: string;
/** 翻译标记 */
lgmarkcode?: string;
/** 系统名 */
name?: string;
/** 排序码 */
sortCode?: number;
}

type UpdateTemplateStatusDto = {
enabledMark?: number;
id?: string;
}

type UpdateTextbookDto = {
/** 估价(元) */
appraisalPrice?: number;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 书名 */
bookName?: string;
/** 课程编号(base_course_subject) */
courseSubjectId?: string;
/** 折扣 */
discount?: number;
/** 主编 */
editorInChief?: string;
/** 入学年级(base_grade) */
gradeId?: string;
/** 主键编号 */
id?: string;
/** 是否为规划教材(xjr_dictionary_item[judgment_method_1]) */
isTextbookPlan?: string;
/** 国际标准书号 */
isbn?: string;
/** 国际标准刊号 */
issn?: string;
/** 定价(元) */
price?: number;
/** 出版社 */
publishingHouse?: string;
/** 序号 */
sortCode?: number;
/** 规格型号 */
specificationsModels?: string;
/** 库存 */
stock?: number;
/** 学科组管理编号(subject_group) */
subjectGroupId?: string;
/** 小计（元） */
subtotal?: number;
/** textbookClassRelation子表 */
textbookClassRelationList?: AddTextbookClassRelationDto[];
/** textbookSubscriptionRecord子表 */
textbookSubscriptionRecordList?: AddTextbookSubscriptionRecordDto[];
/** 教材类型(xjr_dictionary_item[textbook_type]) */
textbookType?: string;
/** 版本 */
version?: string;
}

type UpdateTextbookIssueRecordDto = {
/** 主键编号 */
id?: string;
/** 出库方式(xjr_dictionary_item[issue_mode]) */
issueMode?: string;
/** 出库数量 */
issueNumber?: number;
/** 出库用户编号 */
issueUserId?: string;
/** 领取用户编号 */
receiveUserId?: string;
/** 剩余数量 */
remainingNumber?: number;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 教材申领编号 */
wfTextbookClaimId?: string;
/** 教材申领项编号 */
wfTextbookClaimItemId?: string;
}

type UpdateTextbookStudentClaimDto = {
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级编号 */
classId?: string;
/** 主键编号 */
id?: string;
/** 是否领取（1:已领取 0:未领取） */
isClaim?: number;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 学生用户编号 */
studentUserId?: string;
/** 教材管理编号 */
textbookId?: string;
}

type UpdateTextbookWarehouseRecordDto = {
/** 折扣 */
discount?: number;
/** 主键编号 */
id?: string;
/** 定价(元) */
price?: number;
/** 序号 */
sortCode?: number;
/** 来源 */
source?: string;
/** 小计（元） */
subtotal?: number;
/** 教材管理编号 */
textbookId?: string;
/** 总价（元） */
totalPrice?: number;
/** 入库数量 */
warehouseNumber?: number;
}

type UpdateUserDto = {
/** 地址 */
address?: string;
/** 头像 */
avatar?: string;
/** 生日 */
birthDate?: Timestamp_1;
/** 编号 */
code?: string;
/** 部门id */
departmentIds?: string;
/** 邮箱 */
email?: string;
/** 性别 */
gender?: string;
/** 主键 */
id?: string;
/** 纬度 */
latitude?: number;
/** 经度 */
longitude?: number;
/** 手机号 */
mobile?: string;
/** 姓名 */
name?: string;
/** 昵称 */
nickName?: string;
/** qq号码 */
qqNumber?: string;
/** 备注 */
remark?: string;
/** 排序码 */
sortCode?: number;
/** 账户 */
userName?: string;
/** 微信号码 */
wechatNumber?: string;
}

type UpdateUserPostDto = {
departmentIds?: string[];
deptId?: string;
postId?: string;
/** 类型：0：人员选择，1：按组织架构选择 */
type?: number;
userIds?: string[];
}

type UpdateWfCadreCandidateDto = {
/** 申请时间 */
applicantTime?: string;
/** 申请人 */
applicantUserId?: string;
/** 干部部门编号 */
cadreDeptId?: string;
/** 班级名称 */
className?: string;
/** 主键编号 */
id?: string;
/** 部门指导教师用户编号 */
instructorUserId?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type UpdateWfHeadTeacherLeaveDto = {
/** 申请人 */
applicantUserId?: string;
/** 结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 是否有替班教师（1:是 0:否） */
isSubstitute?: number;
/** 请假原因(xjr_dictionary_item[leave_reason]) */
leaveReason?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 替换教师 */
substituteUserId?: string;
}

type UpdateWfRoomApplicantDto = {
/** 申请人 */
applicantUserId?: string;
/** 班级名称 */
className?: string;
/** 班主任用户编号 */
headTeacherId?: string;
/** 主键编号 */
id?: string;
/** 离宿事由(xjr_dictionary_item[nos_reason]) */
nosReason?: string;
/** 寝室申请类型(xjr_dictionary_item[room_applicant_type]) */
recedeType?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type UpdateWfRoomReportDto = {
/** 申请人 */
applicantUserId?: string;
/** 附件文件id */
fileId?: string;
/** 班主任用户编号 */
headTeacherId?: string;
/** 主键编号 */
id?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type UpdateWfRoomStayOvernightDto = {
/** 申请人 */
applicantUserId?: string;
/** 班级 */
className?: string;
/** 时长（天） */
duration?: number;
/** 结束时间 */
endTime?: string;
/** 性别 */
genderName?: string;
/** 监护人电话 */
guardianMobile?: string;
/** 班主任用户编号 */
headTeacherId?: string;
/** 主键编号 */
id?: string;
/** 联系电话 */
mobile?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 寝室编号(room) */
roomId?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type UpdateWfTeacherleaveDto = {
/** 附件 */
annex?: string;
/** 所在部门 */
department?: string;
id?: string;
/** 是否班主任 */
isItAHomeroomTeacher?: string;
/** 请假天数 */
leaveDays?: number;
/** 请假结束时间 */
leaveEndTime?: string;
/** 请假开始时间 */
leaveStartTime?: string;
/** 请假类型 */
leaveType?: string;
/** 是否中层 */
middleLevelOrNot?: string;
/** 请假事由 */
reasonForLeave?: string;
/** 申请人 */
userId?: string;
}

type UpdateWfTextbookClaimDto = {
/** 申请人 */
applicantUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 领取地点 */
claimAddress?: string;
/** 申领类型(xjr_dictionary_item[claim_type]) */
claimType?: string;
/** 领取用户编号（申请人帮领取人申请去领取） */
claimUserId?: string;
/** 班级编号 */
classId?: string;
/** 主键编号 */
id?: string;
/** 代领取人 */
receiveUserId?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学生编号 */
studentUserId?: string;
/** wfTextbookClaimItem子表 */
wfTextbookClaimItemList?: AddWfTextbookClaimItemDto[];
}

type UpdateWfTextbookRecedeDto = {
/** 申请人 */
applicantUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级编号 */
classId?: string;
/** 主键编号 */
id?: string;
/** 退还地点 */
recedeAddress?: string;
/** 退书类型(xjr_dictionary_item[recede_type]) */
recedeType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** wfTextbookRecedeItem子表 */
wfTextbookRecedeItemList?: AddWfTextbookRecedeItemDto[];
}

type UpdateWorkflowSchemaDto = {
childNodeConfig?: Map<string,object>[];
id?: string;
processConfig?: ProcessConfig;
}

type UpdateXjrLiteflowChainDto = {
/** 应用名 */
applicationName?: string;
/** 备注 */
chainDesc?: string;
/** 规则名 */
chainName?: string;
/** 规则文件 */
elData?: string;
id?: string;
}

type UpdateXjrMenuQuickDto = {
/** 数据类型 1=用户 2=角色 */
dataType?: number;
/** 主键编号 */
id?: string;
/** 菜单数据 */
menus?: AddXjrMenuQuickDto[];
/** 角色编号 */
roleId?: string;
/** 用户编号 */
userId?: string;
}

type UpdateXjrUserDto = {
/** 地址 */
address?: string;
/** 头像 */
avatar?: string;
/** baseTeacherContact子表 */
baseTeacherContactList?: UpdateBaseTeacherContactDto[];
/** baseTeacherEducation子表 */
baseTeacherEducationList?: UpdateBaseTeacherEducationDto[];
/** baseTeacherEmploy子表 */
baseTeacherEmployList?: UpdateBaseTeacherEmployDto[];
/** baseTeacherFamily子表 */
baseTeacherFamilyList?: UpdateBaseTeacherFamilyDto[];
/** baseTeacherFamilyMember子表 */
baseTeacherFamilyMemberList?: UpdateBaseTeacherFamilyMemberDto[];
/** baseTeacher子表 */
baseTeacherList?: UpdateBaseTeacherDto[];
/** baseTeacherRegular子表 */
baseTeacherRegularList?: UpdateBaseTeacherRegularDto[];
/** 编号 */
code?: string;
/** 证件号码 */
credentialNumber?: string;
/** 证件类型(xjr_dictionary_item[credential_type]) */
credentialType?: string;
/** 邮箱 */
email?: string;
/** 性别 */
gender?: number;
id?: string;
/** 纬度 */
latitude?: number;
/** 经度 */
longitude?: number;
/** 手机号 */
mobile?: string;
/** 姓名 */
name?: string;
/** 昵称 */
nickName?: string;
/** 密码 */
password?: string;
/** 备注 */
remark?: string;
/** 排序码 */
sortCode?: number;
/** 账户 */
userName?: string;
}

type UserDefinedProcessRecordListVo = {
/** 审批内容 */
approveComment?: string;
/** 审批结果 */
approveResult?: string;
/** 审批人姓名 */
approveUserName?: string;
circulateMessage?: string;
comment?: string;
nodeName?: string;
nodeType?: string;
startTime?: string;
}

type UserStudentBindDto = {
idCard?: string;
name?: string;
userId?: string;
}

type UserStudentDeleteDto = {
studentId?: string;
userId?: string;
}

type UserVo = {
address?: string;
avatar?: string;
/** 生日 */
birthDate?: string;
code?: string;
createDate?: string;
departmentIds?: string;
email?: string;
enabledMark?: number;
gender?: string;
genderCn?: string;
latitude?: number;
longitude?: number;
mobile?: string;
modifyDate?: string;
name?: string;
nickName?: string;
postId?: string;
/** qq号码 */
qqNumber?: string;
remark?: string;
sortCode?: number;
userName?: string;
/** 微信号码 */
wechatNumber?: string;
}

type ValidateTableDto = {
databaseId?: string;
tableStructureConfigs?: TableStructureConfig[];
}

type WeeklyDutySchedulePageVo = {
/** 年龄 */
age?: number;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 证件号码 */
credentialNumber?: string;
/** 出生日期 */
dateBirth?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 性别 */
gender?: string;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 姓名 */
name?: string;
/** 值周情况 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 工号 */
userNumber?: string;
}

type WfCadreCandidatePageVo = {
/** 申请时间 */
applicantTime?: string;
/** 申请人 */
applicantUserId?: string;
/** 申请人姓名 */
applicantUserIdCN?: string;
/** 干部部门编号 */
cadreDeptId?: string;
/** 干部部门名称 */
cadreDeptIdCN?: string;
/** 班级名称 */
className?: string;
/** 主键编号 */
id?: string;
/** 部门指导教师用户编号 */
instructorUserId?: string;
/** 部门指导教师用户姓名 */
instructorUserIdCN?: string;
/** 备注 */
remark?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type WfCadreCandidateVo = {
/** 申请时间 */
applicantTime?: string;
/** 申请人 */
applicantUserId?: string;
/** 干部部门编号 */
cadreDeptId?: string;
/** 班级名称 */
className?: string;
/** 主键编号 */
id?: string;
/** 部门指导教师用户编号 */
instructorUserId?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type WfHeadTeacherLeavePageVo = {
/** 申请人 */
applicantUserId?: string;
/** 申请人姓名 */
applicantUserIdCN?: string;
/** 结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 请假原因(xjr_dictionary_item[leave_reason]) */
leaveReason?: string;
/** 开始时间 */
startTime?: string;
/** 替换教师 */
substituteUserId?: string;
/** 替换教师姓名 */
substituteUserIdCN?: string;
}

type WfHeadTeacherLeaveVo = {
/** 申请人 */
applicantUserId?: string;
/** 结束时间 */
endTime?: string;
/** 主键编号 */
id?: string;
/** 是否有替班教师（1:是 0:否） */
isSubstitute?: number;
/** 请假原因(xjr_dictionary_item[leave_reason]) */
leaveReason?: string;
/** 备注 */
remark?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 替换教师 */
substituteUserId?: string;
}

type WfRoomApplicantPageVo = {
/** 申请人 */
applicantUserId?: string;
/** 班级名称 */
className?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 班主任用户编号 */
headTeacherId?: string;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 离宿事由(xjr_dictionary_item[nos_reason]) */
nosReason?: string;
/** 寝室申请类型(xjr_dictionary_item[room_applicant_type]) */
recedeType?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type WfRoomApplicantVo = {
/** 申请人 */
applicantUserId?: string;
/** 班级名称 */
className?: string;
/** 班主任用户编号 */
headTeacherId?: string;
/** 主键编号 */
id?: string;
/** 离宿事由(xjr_dictionary_item[nos_reason]) */
nosReason?: string;
/** 寝室申请类型(xjr_dictionary_item[room_applicant_type]) */
recedeType?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type WfRoomReportPageVo = {
/** 申请人 */
applicantUserId?: string;
/** 申请人 */
applicantUserIdCN?: string;
/** 附件文件id */
fileId?: string;
/** 班主任用户编号 */
headTeacherId?: string;
/** 班主任用户编号 */
headTeacherIdCN?: string;
/** 主键编号 */
id?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type WfRoomReportVo = {
/** 申请人 */
applicantUserId?: string;
/** 申请人 */
applicantUserIdCN?: string;
/** 附件文件id */
fileId?: string;
/** 附件文件 */
fileList?: File对象[];
/** 班主任用户编号 */
headTeacherId?: string;
/** 班主任用户编号 */
headTeacherIdCN?: string;
/** 主键编号 */
id?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type WfRoomStayOvernightPageVo = {
/** 申请人 */
applicantUserId?: string;
/** 申请人 */
applicantUserIdCN?: string;
/** 班级 */
className?: string;
/** 时长（天） */
duration?: number;
/** 结束时间 */
endTime?: string;
/** 性别 */
genderName?: string;
/** 监护人电话 */
guardianMobile?: string;
/** 班主任用户编号 */
headTeacherId?: string;
/** 班主任用户编号 */
headTeacherIdCN?: string;
/** 主键编号 */
id?: string;
/** 联系电话 */
mobile?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 寝室编号(room) */
roomId?: string;
/** 开始时间 */
startTime?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type WfRoomStayOvernightVo = {
/** 申请人 */
applicantUserId?: string;
/** 申请人姓名 */
applicantUserIdCN?: string;
/** 班级 */
className?: string;
/** 时长（天） */
duration?: number;
/** 结束时间 */
endTime?: string;
/** 结束时间 */
endTimeStr?: string;
/** 性别 */
genderName?: string;
/** 监护人电话 */
guardianMobile?: string;
/** 班主任用户编号 */
headTeacherId?: string;
/** 班主任姓名 */
headTeacherIdCN?: string;
/** 主键编号 */
id?: string;
/** 联系电话 */
mobile?: string;
/** 备注 */
remark?: string;
/** 寝室+床位名称 */
roomBedNumber?: string;
/** 寝室编号(room) */
roomId?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startTime?: string;
/** 开始时间 */
startTimeStr?: string;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学号 */
studentId?: string;
}

type WfSubscriptionListInfoVo = {
/** 附件列表 */
fileInfos?: File对象[];
/** 附件 */
folderId?: string;
/** 申请部门 */
orgName?: string;
/** 流程id */
processId?: string;
/** 申请日期 */
shenQingRiQi4752?: string;
/** 物品清单 */
subscriptionList?: WfSubscriptionListVo[];
/** 任务id */
taskId?: string;
/** 申请人 */
userName?: string;
/** 流程信息 */
workflowRecordList?: WorkflowRecordVo[];
}

type WfSubscriptionListVo = {
/** 申购物品数量 */
amount?: number;
/** 品牌 */
brand?: string;
/** 估计单价 */
estimatedUnitPrice?: number;
/** 物品类型 */
itemType?: string;
/** 申购物品名称 */
nameOfThePurchasedItem?: string;
parentId?: string;
/** 规格型号 */
specificationAndModel?: string;
/** 合计金额 */
totalAmount?: number;
/** 单位 */
unit?: string;
/** 用途 */
yongTu8748?: string;
}

type WfSubscriptionPageVo = {
/** 附件列表 */
fileInfos?: File对象[];
/** 流程名称 */
flowName?: string;
/** 附件 */
folderId?: string;
/** 主键编号 */
id?: string;
/** 编号 */
number?: string;
/** 申请部门 */
orgName?: string;
/** 申请日期 */
shenQingRiQi4752?: string;
/** 金额 */
totalAmount?: number;
/** 申请人 */
userName?: string;
}

type WfTeacherleavePageVo = {
/** 附件 */
annex?: string;
/** 所在部门 */
department?: string;
id?: string;
/** 是否班主任 */
isItAHomeroomTeacher?: string;
/** 请假天数 */
leaveDays?: number;
/** 请假结束时间 */
leaveEndTime?: string;
/** 请假开始时间 */
leaveStartTime?: string;
/** 请假类型 */
leaveType?: string;
/** 是否中层 */
middleLevelOrNot?: string;
/** 请假事由 */
reasonForLeave?: string;
/** 申请人 */
userId?: string;
}

type WfTeacherleaveVo = {
/** 附件 */
annex?: string;
/** 所在部门 */
department?: string;
id?: string;
/** 是否班主任 */
isItAHomeroomTeacher?: string;
/** 请假天数 */
leaveDays?: number;
/** 请假结束时间 */
leaveEndTime?: string;
/** 请假开始时间 */
leaveStartTime?: string;
/** 请假类型 */
leaveType?: string;
/** 是否中层 */
middleLevelOrNot?: string;
/** 请假事由 */
reasonForLeave?: string;
/** 申请人 */
userId?: string;
}

type WfTextbookClaimItemVo = {
/** 申请数量 */
applicantNumber?: number;
/** 主键编号 */
id?: string;
/** 已发放数量 */
issueNumber?: number;
/** 序号 */
sortCode?: number;
/** 教材管理编号 */
textbookId?: string;
/** 教材管理编号 */
textbookIdCN?: string;
/** 教材申领编号 */
wfTextbookClaimId?: string;
}

type WfTextbookClaimListVo = {
/** 领取时间 */
claimDate?: string;
/** 领取人身份 */
claimIdentity?: string;
/** 班级 */
className?: string;
/** 领取人员 */
name?: string;
/** 学期 */
semesterName?: string;
/** 学号/工号 */
userName?: string;
}

type WfTextbookClaimPageVo = {
/** 申请人 */
applicantUserId?: string;
/** 申请人 */
applicantUserIdCN?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 学期ID(base_semester) */
baseSemesterIdCN?: string;
/** 领取地点 */
claimAddress?: string;
/** 申领类型(xjr_dictionary_item[claim_type]) */
claimType?: string;
/** 申领类型(xjr_dictionary_item[claim_type]) */
claimTypeCN?: string;
/** 领取用户编号（申请人帮领取人申请去领取） */
claimUserId?: string;
/** 领取用户编号（申请人帮领取人申请去领取） */
claimUserIdCN?: string;
/** 班级编号 */
classId?: string;
/** 班级编号 */
classIdCN?: string;
/** 主键编号 */
id?: string;
/** 代领取人 */
receiveUserId?: string;
/** 代领取人 */
receiveUserIdCN?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学生编号 */
studentUserId?: string;
/** 学生编号 */
studentUserIdCN?: string;
/** wfTextbookClaimItem子表 */
wfTextbookClaimItemList?: WfTextbookClaimItemVo[];
}

type WfTextbookClaimVo = {
/** 申请人 */
applicantUserId?: string;
/** 申请人 */
applicantUserIdCN?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 学期ID(base_semester) */
baseSemesterIdCN?: string;
/** 领取地点 */
claimAddress?: string;
/** 申领类型(xjr_dictionary_item[claim_type]) */
claimType?: string;
/** 申领类型(xjr_dictionary_item[claim_type]) */
claimTypeCN?: string;
/** 领取用户编号（申请人帮领取人申请去领取） */
claimUserId?: string;
/** 领取用户编号（申请人帮领取人申请去领取） */
claimUserIdCN?: string;
/** 班级编号 */
classId?: string;
/** 班级编号 */
classIdCN?: string;
/** 主键编号 */
id?: string;
/** 代领取人 */
receiveUserId?: string;
/** 代领取人 */
receiveUserIdCN?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** 学生编号 */
studentUserId?: string;
/** 学生编号 */
studentUserIdCN?: string;
/** wfTextbookClaimItem子表 */
wfTextbookClaimItemList?: WfTextbookClaimItemVo[];
}

type WfTextbookRecedeItemVo = {
/** 主键编号 */
id?: string;
/** 数量 */
number?: number;
/** 序号 */
sortCode?: number;
/** 教材管理编号 */
textbookId?: string;
/** 退书申请编号 */
wfTextbookRecedeId?: string;
}

type WfTextbookRecedePageVo = {
/** 申请人 */
applicantUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级编号 */
classId?: string;
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 退还地点 */
recedeAddress?: string;
/** 退书类型(xjr_dictionary_item[recede_type]) */
recedeType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
}

type WfTextbookRecedeVo = {
/** 申请人 */
applicantUserId?: string;
/** 学期ID(base_semester) */
baseSemesterId?: string;
/** 班级编号 */
classId?: string;
/** 主键编号 */
id?: string;
/** 退还地点 */
recedeAddress?: string;
/** 退书类型(xjr_dictionary_item[recede_type]) */
recedeType?: string;
/** 序号 */
sortCode?: number;
/** 状态（1:结束 0:未结束） */
status?: number;
/** wfTextbookRecedeItem子表 */
wfTextbookRecedeItemList?: WfTextbookRecedeItemVo[];
}

type WithdrawDto = {
/** 活动Id */
activityId?: string;
/** 任务Id */
processId?: string;
}

type WorkflowApproveRecordListVo = {
/** 审批内容 */
approveComment?: string;
/** 审批结果按钮值 */
approveResult?: string;
/** 签章id */
approveStamp?: string;
/** 签章图片url */
approveStampUrl?: string;
/** 审批时间 */
approveTime?: string;
/** 审批类型 */
approveType?: number;
/** 审批人id */
approveUserId?: string;
/** 审批人姓名 */
approveUserName?: string;
/** 审批人审批时所使用岗位 */
approveUserPostId?: string;
/** 当前进度 */
currentProgress?: number;
/** 主键 */
id?: string;
/** 流程id */
processId?: string;
/** 模板Id */
schemaId?: string;
/** 流水号 */
serialNumber?: string;
/** 发起人id */
startUserId?: string;
/** 任务节点的定义key */
taskDefinitionKey?: string;
/** 任务id */
taskId?: string;
/** 任务名 */
taskName?: string;
}

type WorkflowRecordVo = {
/** 操作信息 */
message?: string;
/** 节点名称 */
nodeName?: string;
/** 流程id */
processId?: string;
/** 操作时间 */
recordTime?: string;
}

type XjrLiteflowChainListVo = {
/** 应用名 */
applicationName?: string;
/** 备注 */
chainDesc?: string;
/** 规则名 */
chainName?: string;
/** 创建时间 */
createTime?: string;
/** 规则文件 */
elData?: string;
id?: string;
}

type XjrLiteflowChainOptionsVo = {
/** 应用名 */
label?: string;
value?: string;
}

type XjrLiteflowChainPageVo = {
/** 应用名 */
applicationName?: string;
/** 备注 */
chainDesc?: string;
/** 规则名 */
chainName?: string;
/** 创建时间 */
createTime?: string;
/** 规则文件 */
elData?: string;
id?: string;
}

type XjrLiteflowChainVo = {
/** 应用名 */
applicationName?: string;
/** 备注 */
chainDesc?: string;
/** 规则名 */
chainName?: string;
/** 创建时间 */
createTime?: string;
/** 规则文件 */
elData?: string;
id?: string;
}

type XjrMenuQuickListVo = {
/** 创建时间 */
createDate?: string;
/** 创建人 */
createUserId?: string;
/** 删除标记 */
deleteMark?: number;
/** 有效标志 */
enabledMark?: number;
/** 主键编号 */
id?: string;
/** 菜单编号 */
menuId?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 角色编号 */
roleId?: string;
/** 序号 */
sortCode?: number;
/** 系统编号 */
systemId?: string;
/** 用户编号 */
userId?: string;
}

type XjrMenuQuickVo = {
/** 主键编号 */
id?: string;
/** 菜单编号 */
menuId?: string;
/** 角色编号 */
roleId?: string;
/** 序号 */
sortCode?: number;
/** 系统编号 */
systemId?: string;
/** 用户编号 */
userId?: string;
}

type 委托 = {
/** 被委托人 */
delegateUserIds?: string;
/** 结束时间 */
endTime?: string;
/** 说明备注 */
remark?: string;
/** 所委托模板ids */
schemaIds?: string;
/** 开始时间 */
startTime?: string;
}

/** 学生处分信息-关联学生 */
type 学生处分信息-关联学生对象 = {
/** 调整日期 */
adjustDate?: string;
/** 调整原因 */
adjustReason?: string;
/** 调整类型 1:升级 2:降级 3:撤销 */
adjustType?: number;
/** 所在班级 */
className?: string;
/** 性别 */
gender?: string;
/** 主键编号 */
id?: string;
/** 所学专业 */
major?: string;
/** 修改时间 */
modifyDate?: string;
/** 修改人 */
modifyUserId?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 处分信息id */
punishmentInfoId?: string;
/** 序号 */
sortCode?: number;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

/** 学生班级巡查考核-关联学生 */
type 学生班级巡查考核-关联学生对象 = {
/** 学生班级巡查考核id */
baseStudentAssessmentInspectionId?: string;
/** 班级编号 */
classId?: string;
/** 所在班级 */
className?: string;
/** 性别 */
gender?: string;
/** 主键编号 */
id?: string;
/** 所学专业 */
majorName?: string;
/** 姓名 */
name?: string;
/** 民族(xjr_dictionary_item[nation]) */
nation?: string;
/** 序号 */
sortCode?: number;
/** 学号 */
studentId?: string;
/** 学生id */
userId?: string;
}

/** 课表发布消息接收 */
type 课表发布消息接收 = {
/** 接收时间 */
createDate?: string;
/** 删除标记 */
deleteMark?: number;
/** 年级id */
eduYearSerialNo?: string;
/** 有效标志 */
enabledMark?: number;
/** 结束时间 */
endDate?: string;
/** 主键 */
id?: string;
/** 是否已回调 */
isCallback?: number;
/** 学校id */
schoolId?: string;
/** 序号 */
sortCode?: number;
/** 开始时间 */
startDate?: string;
}
}
        